2005-02-09 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/Makefile
	* xc/config/cf/xorgversion.def
	Bugzilla #2514 (https://bugs.freedesktop.org/show_bug.cgi?id=2514)
	attachment #1879 (https://bugs.freedesktop.org/attachment.cgi?id=1879):
	Bumping version to 6.8.2
	[Disclaimer: This is just a version bump, X11R6.8.2 is released when
	you see the official annoucement.]

2005-02-08  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* README:
	* RELNOTES:
	* programs/Xserver/hw/xfree86/doc/README:
	* programs/Xserver/hw/xfree86/doc/RELNOTES:
	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml:
	Update formatted docs.

2005-02-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/doc/sgml/README.sgml
	* xc/programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml
	* xc/programs/Xserver/hw/xfree86/doc/sgml/defs.ent
	Bugzilla #2485 (https://bugs.freedesktop.org/show_bug.cgi?id=2485):
	Second set of release note updates for upcoming X11R6.8.2 release
        per feedback from the release-wranglers mailinglist.

2005-02-07  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* BUILD:
	* README:
	* RELNOTES:
	* programs/Xserver/hw/xfree86/doc/BUILD:
	* programs/Xserver/hw/xfree86/doc/DESIGN:
	* programs/Xserver/hw/xfree86/doc/Install:
	* programs/Xserver/hw/xfree86/doc/OS2.Notes:
	* programs/Xserver/hw/xfree86/doc/README:
	* programs/Xserver/hw/xfree86/doc/README.DECtga:
	* programs/Xserver/hw/xfree86/doc/README.Darwin:
	* programs/Xserver/hw/xfree86/doc/README.I128:
	* programs/Xserver/hw/xfree86/doc/README.LynxOS:
	* programs/Xserver/hw/xfree86/doc/README.NetBSD:
	* programs/Xserver/hw/xfree86/doc/README.OpenBSD:
	* programs/Xserver/hw/xfree86/doc/README.SCO:
	* programs/Xserver/hw/xfree86/doc/README.SiS:
	* programs/Xserver/hw/xfree86/doc/README.Solaris:
	* programs/Xserver/hw/xfree86/doc/README.XKB-Config:
	* programs/Xserver/hw/xfree86/doc/README.XKB-Enhancing:
	* programs/Xserver/hw/xfree86/doc/README.ati:
	* programs/Xserver/hw/xfree86/doc/README.chips:
	* programs/Xserver/hw/xfree86/doc/README.dps:
	* programs/Xserver/hw/xfree86/doc/README.fonts:
	* programs/Xserver/hw/xfree86/doc/README.i740:
	* programs/Xserver/hw/xfree86/doc/README.i810:
	* programs/Xserver/hw/xfree86/doc/README.mouse:
	* programs/Xserver/hw/xfree86/doc/README.r128:
	* programs/Xserver/hw/xfree86/doc/README.rendition:
	* programs/Xserver/hw/xfree86/doc/README.s3virge:
	* programs/Xserver/hw/xfree86/doc/RELNOTES:
	* programs/Xserver/hw/xfree86/doc/Versions:
	* programs/Xserver/hw/xfree86/doc/sgml/defs.ent:
	* programs/xkbcomp/README.config:
	* programs/xkbcomp/README.enhancing:
	Update formatted docs.

2005-02-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/doc/sgml/SiS.sgml
	Bugzilla #2485 (https://bugs.freedesktop.org/show_bug.cgi?id=2485)
	attachment #1855 (https://bugs.freedesktop.org/attachment.cgi?id=1855):
	Update release notes for SiS driver.
	Patch by Thomas Winischhofer <thomas@winischhofer.net>.

2005-02-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/doc/sgml/OpenBSD.sgml
	* xc/programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml
	* xc/programs/Xserver/hw/xfree86/doc/sgml/SiS.sgml
	* xc/programs/Xserver/hw/xfree86/doc/sgml/Solaris.sgml
	* xc/programs/Xserver/hw/xfree86/doc/sgml/defs.ent
	Bugzilla #2485 (https://bugs.freedesktop.org/show_bug.cgi?id=2485):
	First set of release note updated for upcoming X11R6.8.2 release.

2005-02-02 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xorgversion.def
	Bugzilla #2456 (https://bugs.freedesktop.org/show_bug.cgi?id=2456)
	attachment #1823 (https://bugs.freedesktop.org/attachment.cgi?id=1823):
	Bump version number for upcoming X11R6.8.2rc4 (release canidate 4) to
	X11R6.8.1.904.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/xf86config/xorgconfig.c
	Backout of Bugzilla #2206 (https://bugs.freedesktop.org/show_bug.cgi?id=2206)
	attachment #1622 (https://bugs.freedesktop.org/attachment.cgi?id=1622)
	as this patch does not work for the branch and causes build failure.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/sis/sis.h
	Bugzilla #2438 (https://bugs.freedesktop.org/show_bug.cgi?id=2438)
	attachment #1806 (https://bugs.freedesktop.org/attachment.cgi?id=1806):
	Fix sis driver to work correctly on AMD64.
	Patch by Thomas Winischhofer <thomas@winischhofer.net>.
	Vouchers for commit into X11R6.8.x stable branch are Kevin E.
	Martin <kem@freedesktop.org> and Roland Mainz
	<roland.mainz@nrubsig.org>.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/sis/init301.c
	Bugzilla #2437 (https://bugs.freedesktop.org/show_bug.cgi?id=2437)
	attachment #1805 (https://bugs.freedesktop.org/attachment.cgi?id=1805):
	Fix sis driver which was reading wrong data from BIOS image.
	Patch by Thomas Winischhofer <thomas@winischhofer.net>.
	Vouchers for commit into X11R6.8.x stable branch are Kevin E.
	Martin <kem@freedesktop.org> and Roland Mainz
	<roland.mainz@nrubsig.org>.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/xf86Sbus.h
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_io.c
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c
	Bugzilla #825 (https://bugs.freedesktop.org/show_bug.cgi?id=825)
	attachment #956 (https://bugs.freedesktop.org/attachment.cgi?id=956):
	Fix build problems on Linux/SPARC.
	Patch by Jeremy Huddleston <eradicator@gentoo.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Alexander Gottwald <ago@freedesktop.org>
	* xc/config/cf/cygwin.cf
	Bugzilla #1393 (https://bugs.freedesktop.org/show_bug.cgi?id=1393)
	attachment #1801 (https://bugs.freedesktop.org/attachment.cgi?id=1801):
	Move xorg version numbers to separate config file (committing the
	missing parts from attachment #1188, the diff was approved but the
	changes were accidently never commited to "cygwin.cf"... ;-().

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xmore/xmore.man
	* xc/programs/xmore/xmore.sgml
	Bugzilla #2415 (https://bugs.freedesktop.org/show_bug.cgi?id=2415)
	attachment #1786 (https://bugs.freedesktop.org/attachment.cgi?id=1786):
	Fix formatting problem in the xmore(1x) manual page.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr> and Roland Mainz
	<roland.mainz@nrubsig.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call (the
	xmore.man diff is an automatic update from the DocBook--->man
	conversion).

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xrx/plugin/include/npapi.h
        * xc/programs/xrx/xnest-plugin/XnestDis.c
	Bugzilla #2386 (https://bugs.freedesktop.org/show_bug.cgi?id=2386)
	attachment #1766 (https://bugs.freedesktop.org/attachment.cgi?id=1766):
	Fix build bustage on MacOSX/*BSD and AIX platforms (1:1 port of the
        build bustage fixes from trunk).
	Patch by Dan McNichol <mcnichol@austin.ibm.com> and Torrey T.
        Lyons <torrey@mrcla.com>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	Bugzilla #2410 (https://bugs.freedesktop.org/show_bug.cgi?id=2410)
	attachment #1782 (https://bugs.freedesktop.org/attachment.cgi?id=1782):
	Build the XRX plugin only if the system supports shared libraries
	(which is a requirement for this plugin).
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bsd/bsd_kbd.c
	Bugzilla #2252 (https://bugs.freedesktop.org/show_bug.cgi?id=2252)
	attachment #1791 (https://bugs.freedesktop.org/attachment.cgi?id=1791):
	Fix option dontVTSwitch under *BSD, when XKB is disabled.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/Compose/pt_BR.UTF-8
	* xc/nls/XLC_LOCALE/pt_BR.UTF-8
	Bugzilla #2400 (https://bugs.freedesktop.org/show_bug.cgi?id=2400)
	attachment #1762 (https://bugs.freedesktop.org/attachment.cgi?id=1762):
	Fix build bustage caused by broken patch for brazillian locale support
	(see Bugzilla #1896).
	Patch by Kevin E. Martin <kem@freedesktop.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-01-25 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xorgversion.def
	Bugzilla #2378 (https://bugs.freedesktop.org/show_bug.cgi?id=2378)
	attachment #1747 (https://bugs.freedesktop.org/attachment.cgi?id=1747):
	Bump version number for upcoming X11R6.8.2rc3 (release canidate 3) to
	X11R6.8.1.903.

2005-01-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon.h
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c
	Bugzilla #1424 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1424)
	attachment #1209 (https://bugs.freedesktop.org/attachment.cgi?id=1209):
	Fix problems with RENDER extension accerlation on R100 cards (via
	pre-rendering small texture).
	Patch by Matthias Hopf <mhopf@suse.de>.

2005-01-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86pciBus.c
	Bugzilla #2322 (https://freedesktop.org/bugzilla/show_bug.cgi?id=2322)
	attachment #1709 (https://bugs.freedesktop.org/attachment.cgi?id=1709):
	Fix corruption of PCI config BAR1 of native PCI-Express boards
	on 64-bit platforms.
	Patch by Michael Yaroslavtsev <mike.work@besm6.org>.

2005-01-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/compose.dir
	* xc/nls/locale.dir
	* xc/nls/Compose/Imakefile
	* xc/nls/Compose/pt_BR.UTF-8
	* xc/nls/XI18N_OBJS/Imakefile
	* xc/nls/XI18N_OBJS/pt_BR.UTF-8
	* xc/nls/XLC_LOCALE/Imakefile
	* xc/nls/XLC_LOCALE/pt_BR.UTF-8
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1896 (https://bugs.freedesktop.org/show_bug.cgi?id=1896)
	attachment #1675 (https://bugs.freedesktop.org/attachment.cgi?id=1675):
	Add support for pt_BR.UTF-8 locale.
	Patch by Gustavo Noronha Silva, Branden Robinson, Julien Lafon.

2005-01-24 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/lib/font/util/Imakefile
        * xc/lib/font/util/utilbitmap.c
        Bugzilla #1804 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1804)
	attachment #1269 (https://bugs.freedesktop.org/attachment.cgi?id=1269):
        Fix build failure (caused by missing symbols such as |TwoByteSwap|)
        when linking the FreeType module and the FreeType library both
        statically info the Xserver.

2005-01-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/extras/Mesa/src/mesa/drivers/dri/radeon/radeon_ioctl.c
	Bugzilla #2361 (https://bugs.freedesktop.org/show_bug.cgi?id=2361)
	attachment #1739 (https://bugs.freedesktop.org/attachment.cgi?id=1739):
	Fix radeon m7 driver lock-ups on glxgears&co.
        Patch by Dave Airlie <airlied@freedesktop.org>.

2005-01-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_dri.c
	Bugzilla #2329 (https://bugs.freedesktop.org/show_bug.cgi?id=2329)
	attachment #1717 (https://bugs.freedesktop.org/attachment.cgi?id=1717):
	Unmap XCursor AGP memory on VT switch to prevent system from lockup.
        Patch by Matthias Hopf <mhopf@suse.de>.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	* xc/programs/Imakefile
	* xc/programs/xrx/Imakefile
	* xc/programs/xrx/plugin/Imakefile
	* xc/programs/xrx/plugin/Main.c
	* xc/programs/xrx/plugin/PProcess.c
	* xc/programs/xrx/xnest-plugin/Imakefile
	* xc/programs/xrx/xnest-plugin/NewNDest.c
	* xc/programs/xrx/xnest-plugin/SetWin.c
	* xc/programs/xrx/xnest-plugin/XnestDis.c
	Bugzilla #1372 (https://bugs.freedesktop.org/show_bug.cgi?id=1372)
	attachment #932 (https://bugs.freedesktop.org/attachment.cgi?id=932)
        and
	attachment #1105 (https://bugs.freedesktop.org/attachment.cgi?id=1105)
        Repairing XRX/Broadway support.
        This patch fixes both the libxrx.so plugin and the Xnest-based
        libxrxnest.so plugin and making them compatible to newer versions
        of Mozilla and removing the backwards compatibility hacks for old
        Netscape3.x versions with statically linked Motif.      

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/spooler.c
	Bugzilla #2167 (https://bugs.freedesktop.org/show_bug.cgi?id=2167)
	attachment #1641 (https://bugs.freedesktop.org/attachment.cgi?id=1641):
	Fix broken Solaris print queue enumeration.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Util.c
	* xc/programs/Xserver/Xprint/attributes.c
	* xc/programs/Xserver/Xprint/attributes.h
	* xc/programs/Xserver/Xprint/ps/Ps.h
	Bugzilla #2254 (https://bugs.freedesktop.org/show_bug.cgi?id=2254)
	attachment #1654 (https://bugs.freedesktop.org/attachment.cgi?id=1654)
        and
	attachment #1659 (https://bugs.freedesktop.org/attachment.cgi?id=1659)
	Fix for gcc4.0 build failure (including removing |ExecCommand()| -
	the function has no consumer and can safely be removed).
	Patch by Egbert Eich <eich@freedesktop.org> and Roland Mainz
        <roland.mainz@nrubsig.org>.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint.cpp
	Bugzilla #2240 (https://bugs.freedesktop.org/show_bug.cgi?id=2240)
	attachment #1642 (https://bugs.freedesktop.org/attachment.cgi?id=1642):
	Fix incorrect usage of /usr/bin/tr in startup script (the used
	"[\n]" is neither correct or portable, using "\n" seems to be
	sufficient (this fixes various "random" issues, including
	including Debian bug #258419 and Debian bug #264983).
	Patch by Drew Parsons <dparsons@debian.org>.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/xorg.cf
	Bugzilla #2264 (https://bugs.freedesktop.org/show_bug.cgi?id=2264)
	attachment #1665 (https://bugs.freedesktop.org/attachment.cgi?id=1665):
	- Don't build tdfx DRI driver on any platform but x86 and AXP
	as therequired Glide3 lib is only available there (if at all).
	- Readability fixes.
	Patch by Egbert Eich <eich@freedesktop.org>.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/xorg.cf
	Bugzilla #2215 (https://bugs.freedesktop.org/show_bug.cgi?id=2215)
	attachment #1658 (https://bugs.freedesktop.org/attachment.cgi?id=1658):
        Add i810 driver for AMD64.
        Patch by Kristian Høgsberg <krh@bitplanet.net>.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/xorg.cf
	Bugzilla #2215 (https://bugs.freedesktop.org/show_bug.cgi?id=2215)
	attachment #1629 (https://bugs.freedesktop.org/attachment.cgi?id=1629):
        Cleanup and enhancements in xc/config/cf/xorg.cf
        Patch by Egbert Eich <eich@freedesktop.org>.

2005-01-23 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/hw/xfree86/drivers/chips/chips.man
	Bugzilla #2261 (https://bugs.freedesktop.org/show_bug.cgi?id=2261)
	attachment #1666 (https://bugs.freedesktop.org/attachment.cgi?id=1666):
        Update manual page to explain the FpMode option.
        Patch by Egbert Eich <eich@freedesktop.org>.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xorgversion.def
	Bugzilla #2272 (https://bugs.freedesktop.org/show_bug.cgi?id=2272)
	attachment #1672 (https://bugs.freedesktop.org/attachment.cgi?id=1672):
	Bump version number for upcoming X11R6.8.2rc2 (release canidate 2) to
	X11R6.8.1.902.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xwin/ChangeLog
	* xc/programs/Xserver/hw/xwin/winkeybd.h
	* xc/programs/Xserver/hw/xwin/winkeyhook.c
	* xc/programs/Xserver/hw/xwin/winmultiwindowclass.c
	* xc/programs/Xserver/hw/xwin/winmultiwindowwindow.c
	* xc/programs/Xserver/hw/xwin/winmultiwindowwm.c
	* xc/programs/Xserver/hw/xwin/winwndproc.c
	Bugzilla #1831 (https://bugs.freedesktop.org/show_bug.cgi?id=1831)
	attachment #1656 (https://bugs.freedesktop.org/attachment.cgi?id=1656):
	CGYWIN update, including the following fixes:
	- Make keyhook feature work in multiwindowmode too
	- Hook windows keys
	- Fix crash with non-nullterminated strings (reported by Øyvind Harboe)
	- From Bug #1945: Stop unnecessary reordering.
	Patch by Alexander Gottwald and Kensuke Matsuzaki.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/sun.cf
	* xc/programs/Xserver/hw/xfree86/os-support/sunos/Imakefile
	* xc/programs/Xserver/hw/xfree86/os-support/sunos/solaris-sparcv8plus.S
	Bugzilla #2096 (https://bugs.freedesktop.org/show_bug.cgi?id=2096)
	attachment #1565 (https://bugs.freedesktop.org/attachment.cgi?id=1565):
	Fix Solaris/SPARC build failure caused by missing assembler code
	for this platform.
	Patch by Alan Coopersmith <alan.coopersmith@sun.com>

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/extras/Mesa/src/mesa/drivers/dri/r200/r200_tcl.c
	* xc/extras/Mesa/src/mesa/drivers/dri/radeon/radeon_swtcl.c
	* xc/extras/Mesa/src/mesa/drivers/dri/radeon/radeon_tcl.c
	Bugzilla #2110 (https://bugs.freedesktop.org/show_bug.cgi?id=2110)
	attachment #1569 (https://bugs.freedesktop.org/attachment.cgi?id=1569):
	Fix build bustage in MESA/DRI code with gcc 2.96.
	Patch by Kevin E. Martin <kem@freedesktop.org>
        
2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/compiler.h
	Bugzilla #2114 (https://bugs.freedesktop.org/show_bug.cgi?id=2114)
	attachment #1576 (https://bugs.freedesktop.org/attachment.cgi?id=1576):
	Fix build bustage on PPC64 with Linux 2.6.x kernel headers,
	use system definition of |eieio()|.
	Originally Gentoo bug #66223.
	Patch by Tim Yamin and Donnie Berkholz

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/ddc/edid.h
	Bugzilla #1490 (https://bugs.freedesktop.org/show_bug.cgi?id=1490)
	attachment #1576 (https://bugs.freedesktop.org/attachment.cgi?id=1576):
	Refix for previous patch (updating to EDID 1.3), this syncs the
	X11R6.8.x stable branch with todays Xorg trunk.
	Patch by Jay Cotton <jay.cotton@sun.com>, Alan Coopersmith
	<alan.coopersmith@sun.com> and Egbert Eich <eich@freedesktop.org>.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c:
	Bugzilla #2189 (https://bugs.freedesktop.org/show_bug.cgi?id=2189)
	attachment #1610 (https://bugs.freedesktop.org/attachment.cgi?id=1610):
	Fix formatting of XtNextEvent manual page.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c:
	Bugzilla #1488 (https://bugs.freedesktop.org/show_bug.cgi?id=1488)
	attachment #1607 (https://bugs.freedesktop.org/attachment.cgi?id=1607):
	Fix crash on i830 during startup.
	Patch by Eric Anholt <anholt@FreeBSD.org>

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	Bugzilla #2252 (https://bugs.freedesktop.org/show_bug.cgi?id=2252)
	attachment #1653 (https://bugs.freedesktop.org/attachment.cgi?id=1653):
	Make option 'DontVTSwitch' work again with kbd driver 
	under Linux.
	The kbd driver now calls the OS layer to handle special
	keys. Possibly other special keys and other OSes need to 
	be looked at also. 
	Patch by Egbert Eich <eich@freedesktop.org>.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
       * xc/programs/xterm/INSTALL
       * xc/programs/xterm/MANIFEST
       * xc/programs/xterm/Makefile.in
       * xc/programs/xterm/Tekproc.c
       * xc/programs/xterm/VTPrsTbl.c
       * xc/programs/xterm/VTparse.def
       * xc/programs/xterm/VTparse.h
       * xc/programs/xterm/XTerm.ad
       * xc/programs/xterm/aclocal.m4
       * xc/programs/xterm/button.c
       * xc/programs/xterm/charclass.c
       * xc/programs/xterm/charproc.c
       * xc/programs/xterm/configure
       * xc/programs/xterm/configure.in
       * xc/programs/xterm/ctlseqs.ms
       * xc/programs/xterm/cursor.c
       * xc/programs/xterm/doublechr.c
       * xc/programs/xterm/fontutils.c
       * xc/programs/xterm/fontutils.h
       * xc/programs/xterm/input.c
       * xc/programs/xterm/main.c
       * xc/programs/xterm/main.h
       * xc/programs/xterm/menu.c
       * xc/programs/xterm/menu.h
       * xc/programs/xterm/misc.c
       * xc/programs/xterm/os2main.c
       * xc/programs/xterm/plink.sh
       * xc/programs/xterm/precompose.c
       * xc/programs/xterm/print.c
       * xc/programs/xterm/ptyx.h
       * xc/programs/xterm/resize.c
       * xc/programs/xterm/screen.c
       * xc/programs/xterm/scrollbar.c
       * xc/programs/xterm/testxmc.c
       * xc/programs/xterm/trace.c
       * xc/programs/xterm/util.c
       * xc/programs/xterm/uxterm
       * xc/programs/xterm/version.h
       * xc/programs/xterm/xstrings.c
       * xc/programs/xterm/xterm.h
       * xc/programs/xterm/xterm.log.html
       * xc/programs/xterm/xterm.man
       * xc/programs/xterm/xterm_io.h
       * xc/programs/xterm/xtermcfg.hin
       * xc/programs/xterm/unicode/README
       * xc/programs/xterm/unicode/make-precompose.sh
       * xc/programs/xterm/unicode/precompose.c.head
       Bugzilla #1979 (https://bugs.freedesktop.org/show_bug.cgi?id=1979)
       attachment #1639 (https://bugs.freedesktop.org/attachment.cgi?id=1639):
       Update xterm from version #196 to version #197:
       - modify configure script to remove empty "-DPROJECTROOT="
         definition which resulted unusable values for luit's default path.
       - update precompose.c based on Unicode 4.0.1
       - several minor fixes based on Intel compiler warnings.
       - change default translations so a BtnDown which is not recognized
         is simply ignored rather than emitting a bell. That makes it less
         obtrusive when the user tries to use a mouse which provides more
         capabilities than the X mouse driver supports, e.g., one with a
         horizontal scroll wheel (Debian #265133).
       - note in xterm's manpage that translations is not specific to xterm
         (Debian #278897).
       - modify uxterm script to use locale program to verify if the
         derived locale is installed (Debian #246398).
       - correct font handling for active icon when in UTF-8 mode (report
         by Paolo Liberatore).
       - make active-icon and toolbar configurations work together.
       - modify the criteria for disowning primary selection. Previously,
         this happened anytime the cursor was moved before the end of the
         selection. That would ensure that any insert/delete of char or
         line, as well as scrolling, would disown the selection. The new
         criteria change this to checking if the operations would modify
         the data which is highlighted (Debian #277832).
       - reimplement DECALN with functions for vt420 rectangles, fixes
         selection for this case.
       - implement vt420 rectangle operations.
       - add parsing, for debug/test of vt220 soft-fonts.
       - add menu entry, actions and escape sequence to allow
         enabling/disabling toolbars at runtime.
       - improve rendering for Xft, allow it to draw non-linedrawing
         characters such as "pi", which were drawn from internal tables
         with patch #180 (Freedesktop.org Bugzilla #1260).
       - add configure option --enable-mini-luit, ifdef'd the mini-luit
         feature with OPT_MINI_LUIT.
       - add mini-luit feature, which supports Latin9 directly rather than
         via luit, provided that Unicode fonts are used (Freedesktop.org
         Bugzilla #1571, request by Stefan Dirsch, patch by Michael
         Schroeder).
       - for Linux, if IUTF8 is defined, e.g., on recent 2.6.x kernels, set
         the corresponding flag for the slave pty, to enable UTF-8
         interpretation of backspace in cooked mode (Freedesktop.org
         Bugzilla #1578, request by Stefan Dirsch).
       - modify faceSize resource to use a floating-point internal value
         (adapted from patch by Sam Stephenson).
       - correct handling selection of tabs over cleared space in UTF-8
         mode. In this special case, xterm represents the whitespace with a
         null rather than a space character (Debian #276447).
       - amend fix for infinite loop from patch #192 to check if there
         is wrapped text to output in a following iteration (Debian
         #273202).
       - fixes ifdef'd with __INTERIX to allow building with Interix
         (Windows Services for UNIX) 3.5 using the xlibs libraries from
         freedesktop.org (patch by Min Sik Kim).
       - amend solution for Debian #252873, #260471 from patch #194 by
         making the cursor not explicitly colored if only the foreground
         color is set, and the cursor is on a blank space (Debian #275473).
       - correct logic for send/receive mode (SRM) with regard to control
         characters.
       - fix masking of invisible text in wide-character mode, which did
         not work for line-drawing characters.
       - incorporate CF_XOPEN_SOURCE into configure script, replacing
         CF_GNU_SOURCE.
       Patch by Thomas Dickey <dickey@radix.net>.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Bugzilla #2211 (https://bugs.freedesktop.org/show_bug.cgi?id=2211)
	attachment #1627 (https://bugs.freedesktop.org/attachment.cgi?id=1627):
	xorgconfig default keyboard model outdated (should be pc105, 
	not pc101/pc102).
	Patch by Alan Coopersmith <alan.coopersmith@sun.com>

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/xf86config/xorgconfig.c
	Bugzilla #2206 (https://bugs.freedesktop.org/show_bug.cgi?id=2206)
	attachment #1622 (https://bugs.freedesktop.org/attachment.cgi?id=1622):
	Fix missing return value in xf86config.
	Patch by Egbert Eich <eich@freedesktop.org>.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/include/Xos.h
	* xc/include/Xthreads.h
	Bugzilla #2207 (https://bugs.freedesktop.org/show_bug.cgi?id=2207)
	attachment #1623 (https://bugs.freedesktop.org/attachment.cgi?id=1623):
	Replace usag of CPP symbol "linux" with "__linux__" to get the build
	working with gcc4.0 again.
	Patch by Egbert Eich <eich@freedesktop.org>.

2005-01-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/attributes.c
	Bugzilla #2205 (https://bugs.freedesktop.org/show_bug.cgi?id=2205)
	attachment #1621 (https://bugs.freedesktop.org/attachment.cgi?id=1621):
	Fix missing return value in Xprint's resource handling.
	Patch by Egbert Eich <eich@freedesktop.org>.

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xorgversion.def
	Bugzilla #2086 (https://bugs.freedesktop.org/show_bug.cgi?id=2086)
	attachment #1557 (https://bugs.freedesktop.org/attachment.cgi?id=1557):
	Bump version number for upcoming X11R6.8.2rc1 (release canidate 1) to
	X11R6.8.1.901.

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Init.c
	Bugzilla #2086 (https://bugs.freedesktop.org/show_bug.cgi?id=2086)
	attachment #1556 (https://bugs.freedesktop.org/attachment.cgi?id=1556):
	Fix problems with printing the release candidate version
	number for point releases.
	Patch by Kevin E. Martin <kem@freedesktop.org>

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/ddc/edid.h
	* xc/programs/Xserver/hw/xfree86/ddc/interpret_edid.c
	* xc/programs/Xserver/hw/xfree86/ddc/print_edid.c
	Bugzilla #1490 (https://bugs.freedesktop.org/show_bug.cgi?id=1490)
	attachment #1122 (https://bugs.freedesktop.org/attachment.cgi?id=1122):
	Updating to EDID 1.3.
	Patch by Jay Cotton <jay.cotton@sun.com> and Egbert Eich
	<eich@freedesktop.org>.

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/Xpm/Imakefile
	* xc/extras/Xpm/lib/Attrib.c
	* xc/extras/Xpm/lib/CrBufFrI.c
	* xc/extras/Xpm/lib/CrDatFrI.c
	* xc/extras/Xpm/lib/RdFToBuf.c
	* xc/extras/Xpm/lib/RdFToI.c
	* xc/extras/Xpm/lib/WrFFrBuf.c
	* xc/extras/Xpm/lib/WrFFrI.c
	* xc/extras/Xpm/lib/XpmI.h
	* xc/extras/Xpm/lib/create.c
	* xc/extras/Xpm/lib/data.c
	* xc/extras/Xpm/lib/hashtab.c
	* xc/extras/Xpm/lib/misc.c
	* xc/extras/Xpm/lib/parse.c
	* xc/extras/Xpm/lib/scan.c
	Bugzilla #1920 (https://bugs.freedesktop.org/show_bug.cgi?id=1920)
	attachment #1514 (https://bugs.freedesktop.org/attachment.cgi?id=1514):
	libXpm security fixes for CAN-2004-0914.
        Patch by Thomas Biege.

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/460gxPCI.c
	Bugzilla #1383 (https://bugs.freedesktop.org/show_bug.cgi?id=1383)
	attachment #902 (https://bugs.freedesktop.org/attachment.cgi?id=902):
	Fix typo in PCI code for Intel 460gx in X server, which causes a SEGV.
	Patch by H.J.Lu <hongjiu.lu@intel.com> 

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/fb/fbwindow.c
	* xc/programs/Xserver/hw/xfree86/xaa/xaaWrapper.c
	* xc/programs/Xserver/mi/micmap.c
	Bugzilla #1912 (https://bugs.freedesktop.org/show_bug.cgi?id=1220)
	attachment #980 (https://bugs.freedesktop.org/attachment.cgi?id=980):
	Fix (scrolling) performance problems caused by PseudoColor emulation layer.
	Patch by Egbert Eich <eich@freedesktop.org>
        
2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	Bugzilla #1912 (https://bugs.freedesktop.org/show_bug.cgi?id=1220)
	attachment #980 (https://bugs.freedesktop.org/attachment.cgi?id=980):
	Fix garbage screen on radeon cards which may appear after a system
	suspend/resume cycle.
	Patch by Matthias Hopf <mhopf@suse.de>

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h
	Bugzilla #1912 (https://bugs.freedesktop.org/show_bug.cgi?id=1912)
	attachment #1433 (https://bugs.freedesktop.org/attachment.cgi?id=1433):
	Fix hard lockup on Radeon 7000 + SMP due dynamic clock.
	Patch by Alex Deucher <agd5f@yahoo.com>.

2004-12-16 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Bugzilla #1890 (https://bugs.freedesktop.org/show_bug.cgi?id=1890)
	attachment #1331 (https://bugs.freedesktop.org/attachment.cgi?id=1331):
	Apply Debian patch to re-POST via VBE if driver thinks it has no
	video memory (a symptom of incompletely coming up from D3 power
	state), which fixes some Dell laptops
	This enables resume from suspend level S3 by asking the Radeon chip if it
	thinks it has no memory.  If so, the card is re-POSTed via the int10
	interface.  Reportedly enables the driver to work for this type of
	suspend/resume cycle on Dell D600 laptops (Dell D800s as well, if the video
	BIOS is patched to 4.28.20.31.C1 or later).  See Debian Bug #234575.
	This patch by Emmanuel Thome and Ole Rohne.

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/input/keyboard/kbd.c
	Bugzilla #1651 (https://bugs.freedesktop.org/show_bug.cgi?id=1651)
	attachment #1484 (https://bugs.freedesktop.org/attachment.cgi?id=1484):
	- set default XkbModel to pc105 (like legacy keyboard driver did)
	- fix autorepeat
	Patch by Matthieu Herrb and Petter Urkedal

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	Bugzilla #1881 (https://bugs.freedesktop.org/show_bug.cgi?id=1881)
	attachment #1322 (https://bugs.freedesktop.org/attachment.cgi?id=1322):
	Fix typo in radeon driver
	Patch by Daniel Stone <daniel@freedesktop.org>

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_bios.c
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	Bugzilla #1559 (https://bugs.freedesktop.org/show_bug.cgi?id=1559)
	attachment #1133 (https://bugs.freedesktop.org/attachment.cgi?id=1133):
	Fix display detection regression on Radeon Mobile.
	Patch by HUI YU <hyu@ati.com>

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	Bugzilla #1306 (https://bugs.freedesktop.org/show_bug.cgi?id=1306)
	attachment #1292 (https://bugs.freedesktop.org/attachment.cgi?id=1292):

	This patch should work around the panel timing params not being initialized. 
	Here's the problem:

	Previously, the PanelXRes and PanelYRes were either read from the BIOS or were
	left as 0 (if no BIOS was detected).  Then, in RADEONUpdatePanelSize(), the max
	panel size was found and the timing parameters were initialized, which worked
	fine for this ppc system.

	Now, the PanelXRes and PanelYRes are either read from the BIOS or are read from
	the registers.  Note that the other timing parameters (in particular the
	DotClock) are not initialized when reading from the registers.  Then, when
	RADEONUpdatePanelSize() is called, the max panel size is already set, so none
	of the other timing parameters are initialized here either (or anywhere else
	for that matter), which appears to be why the new code fails for this ppc
	system.

	The patch changes the test from < to <= in RADEONUpdatePanelSize() and then
	tests to make sure that only the first set of timings for the panel size read
	from the registers will be used -- this mimics the way the previous code
	worked.  The only problem with this code occurs when the registers hold invalid
	panel size params, which do not match any of the monitor's DDC info.  This
	should never happen; however, if it does, then the only solution in this case
	is to explicitly set the panel size in the config file.

	Patch by Kevin E. Martin <kem@freedesktop.org>

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	Bugzilla #1306 (https://bugs.freedesktop.org/show_bug.cgi?id=1306)
	attachment #1291 (https://bugs.freedesktop.org/attachment.cgi?id=1291):
	Fix SEGV in "radeon" driver.
	Patch by Kevin E. Martin <kem@freedesktop.org>

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_dac.c
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_type.h
	Bugzilla #1985 (https://bugs.freedesktop.org/show_bug.cgi?id=1985)
	attachment #1504 (https://bugs.freedesktop.org/attachment.cgi?id=1504)
	sync to 12/08/04 version of Nvidia driver from Mark Vojkovich,
	including these fixes since last sync:
	Fix some DAC/Graphics memory contention issues on newer 
	NVIDIA chips (specifically, NV40).
	More PCI IDs.
	Also, I've had trouble getting some panels to work 
	automagically so I expose an FPTweak option to let the user 
	adjust a troublesome register.

2004-12-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/nsc/nsc_gx1_video.c
	* xc/programs/Xserver/hw/xfree86/drivers/nsc/nsc_gx2_video.c
	Bug #1937 (https://bugs.freedesktop.org/show_bug.cgi?id=1937)
	attachment #1396 (https://bugs.freedesktop.org/attachment.cgi?id=1396):
	XV support doesn't depend on 2D acceleration any more. This patch
	removes this limitation from the NSC driver. This is a patch that
	I have committed to XFree86 a while ago but never ported over to
	X.Org.
	Patch by Egbert Eich <eich@freedesktop.org> and Matthieu
	Herrb <matthieu.herrb@laas.fr>

2004-12-15 Alexander Gottwald <ago@freedesktop.org>
	* xc/programs/Xserver/Imakefile
	* xc/programs/Xserver/hw/xwin/ChangeLog
	* xc/programs/Xserver/hw/xwin/Imakefile
	* xc/programs/Xserver/hw/xwin/InitOutput.c
	* xc/programs/Xserver/hw/xwin/XWin.rc
	* xc/programs/Xserver/hw/xwin/win.h
	* xc/programs/Xserver/hw/xwin/winclipboardthread.c
	* xc/programs/Xserver/hw/xwin/winclipboardwndproc.c
	* xc/programs/Xserver/hw/xwin/winclipboardxevents.c
	* xc/programs/Xserver/hw/xwin/winconfig.c
	* xc/programs/Xserver/hw/xwin/wincreatewnd.c
	* xc/programs/Xserver/hw/xwin/winmessages.h
	* xc/programs/Xserver/hw/xwin/winmouse.c
	* xc/programs/Xserver/hw/xwin/winmultiwindowwm.c
	* xc/programs/Xserver/hw/xwin/winmultiwindowwndproc.c
	* xc/programs/Xserver/hw/xwin/winprocarg.c
	* xc/programs/Xserver/hw/xwin/winresource.h
	* xc/programs/Xserver/hw/xwin/winshadddnl.c
	* xc/programs/Xserver/hw/xwin/winwin32rootlesswndproc.c
	* xc/programs/Xserver/hw/xwin/winwndproc.c
	Bug #1831 (https://bugs.freedesktop.org/show_bug.cgi?id=1831)
	attachment #1547 (https://bugs.freedesktop.org/attachment.cgi?id=1547)
	attachment #1548 (https://bugs.freedesktop.org/attachment.cgi?id=1548):
	Cygwin/X patches since 6.8.1, including:
	- Support for placing the mainwindow by coordinates and monitor
	- Setting default cursor in multiwindow mode
	- Added keyboardlayout "French (Switzerland)"
	- Fixed crashes after switching videomodes
	- Added support for reading the fontpath from /etc/X11/font-dirs
	- Make -multiplemonitors for multiwindow modes
	- Added support for mice with more than 3 buttons
	- Fixed another clipboard bug with Unicode applications
	
2004-12-15  Egbert Eich  <eich-at-freedesktop-org>

	* programs/Xserver/hw/xfree86/os-support/bus/460gxPCI.c:
	(xorgProbe460GX), (xf86PreScan460GX):
	* programs/Xserver/hw/xfree86/os-support/bus/460gxPCI.h:
	* programs/Xserver/hw/xfree86/os-support/bus/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bus/e8870PCI.c:
	(xorgProbeE8870), (xf86PreScanE8870):
	* programs/Xserver/hw/xfree86/os-support/bus/e8870PCI.h:
	* programs/Xserver/hw/xfree86/os-support/bus/ia64Pci.c:
	* programs/Xserver/hw/xfree86/os-support/bus/zx1PCI.c:
	(xf86PreScanZX1):
	* programs/Xserver/hw/xfree86/os-support/bus/zx1PCI.h:
	* programs/Xserver/hw/xfree86/os-support/linux/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_ia64.c:
	(OS_PROBE_PCI_CHIPSET):
	* programs/Xserver/hw/xfree86/os-support/shared/ia64Pci.c:
	(ia64ScanPCIWrapper):
	* programs/Xserver/hw/xfree86/os-support/shared/ia64Pci.h:
	Adding support for OS dependent probing of IA64 chipsets.
	Not all IA64 chipsets can be probed without OS support as
	probing them is only possible using ACPI. One example of 
	this are the HP ZX1/2 chipsets: previously the code assumed
	that these chips were present when no other of the known
	chipsets could be probed. This assumption brought SGI Altrix
        machines with 64 CPUs to a grinding halt.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/common.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_accel.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_dri.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_memory.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_reg.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_memory.c
	Bug #1944 (https://bugs.freedesktop.org/show_bug.cgi?id=1944)
	attachment #1403 (https://bugs.freedesktop.org/attachment.cgi?id=1403):
	Various I8xx driver fixes, including:
	- Fixed server crash on reset when a structure allocated in
	  PreInit() was freed on CloseScreen().
	- Fixed ring buffer lock ups that happened because the structure
	  that contained ringbuffer data was not zeroed after allocation.
	- Fixed numerous warnings due to signed unsigned comparisons.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/r128_accel.c:
	Bug #1889 (https://bugs.freedesktop.org/show_bug.cgi?id=1889)
	attachment #1330 (https://bugs.freedesktop.org/attachment.cgi?id=1330):
	Retry CCE idle commands until the (higher) timeout is reached, and
	properly stop the engine if we totally fail -- gets rid of serious
	performance issues and lockups with r128 DRI (see also Debian bug
	reports #223089, #236187, #236373, #243436).
	Patch by Daniel Jacobowitz.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/ati/r128_video.c
	Bug #1888 (https://bugs.freedesktop.org/show_bug.cgi?id=1888)
	attachment #1329 (https://bugs.freedesktop.org/attachment.cgi?id=1329):
	Allow pitches with a granularity of 32, rather than 64, because some
	clamshell iBooks have 800-byte pitches.  Change Xv allocation
	granularity to 8 bytes, rather than 16 bytes, also (see Debian
	#148775).
	Patch by Branden Robinson and Dagfinn Ilmari Mannsåker.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/r128_dri.c
	Bug #1886 (https://bugs.freedesktop.org/show_bug.cgi?id=1886)
	attachment #1327 (https://bugs.freedesktop.org/attachment.cgi?id=1327):
	Disable interrupt handling after the DRM handler has been removed,
	preventing lockups.
	Patch by Daniel Stone <daniel@freedesktop.org>
        
2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/ati/atiprobe.c
	Bug #1962 (https://bugs.freedesktop.org/show_bug.cgi?id=1962)
	attachment #1423 (https://bugs.freedesktop.org/attachment.cgi?id=1423):
	Avoid PIO access on IA64. Some IA64 machine check if legacy ports
	outside the VGA range are accessed. The ATi driver however does 
	this to	probe for ISA Mach8/32/64. 
	Since no IA64 has ISA slots this restriction should not be
	relevant to the user.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/atiprobe.c
	Bug #1928 (https://bugs.freedesktop.org/show_bug.cgi?id=1928)
	attachment #1387 (https://bugs.freedesktop.org/attachment.cgi?id=1387):
	Added some early bailouts to atiprobe if PCI structure pointer is
	NULL to prevent sig11.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/drivers/ati/atipreinit.c
	* xc/programs/Xserver/hw/xfree86/drivers/ati/ativga.c
	Bug #591 (https://bugs.freedesktop.org/show_bug.cgi?id=591)
	attachment #308 (https://bugs.freedesktop.org/attachment.cgi?id=308):
	Fix video timing problems with Sony PCG-C1VN Vaio Picturebook notebook
	&& co.
	Patch by Marc Aurele La France

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/doc/man/general/Imakefile
	* xc/doc/man/general/Xprint.html
	* xc/doc/man/general/Xprint.man
	* xc/doc/man/general/Xprint.sgml
	* xc/programs/Xserver/Xprint/Imakefile
	* xc/programs/Xserver/Xprint/Xprint.html
	* xc/programs/Xserver/Xprint/Xprint.man
	* xc/programs/Xserver/Xprint/Xprint.sgml
	* xc/programs/Xserver/Xprint/Xprt.html
	* xc/programs/Xserver/Xprint/Xprt.man
	* xc/programs/Xserver/Xprint/Xprt.sgml
	Bug #811 (https://bugs.freedesktop.org/show_bug.cgi?id=811)
	attachment #1374 (https://bugs.freedesktop.org/attachment.cgi?id=1374),
	attachment #1379 (https://bugs.freedesktop.org/attachment.cgi?id=1379),
	attachment #1431 (https://bugs.freedesktop.org/attachment.cgi?id=1431): 
	Add the missing manual page for the Xprt server (and move the Xprint(7)
	to it's correct location).
	Authors: Alan Coopersmith, Giuseppe Ghibò, Thomas Gilg, Jay Hobson,
	Julien Lafon, Masaki Katakai, Roland Mainz, Simon Montagu, Drew Parsons.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/doc/man/X11/XGetWProp.man
	Bug #2056 (https://bugs.freedesktop.org/show_bug.cgi?id=2056)
	attachment #1515 (https://bugs.freedesktop.org/attachment.cgi?id=1515):
	Fix the missing XChangeProperty() prototype in man page's
        synopsis section.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/docbook/docbookconv.sh
	* xc/doc/hardcopy/XPRINT/Xprint_FAQ.html
	* xc/doc/hardcopy/XPRINT/Xprint_FAQ.txt
	* xc/doc/hardcopy/XPRINT/Xprint_FAQ.xml
	* xc/programs/Xserver/Xprint/Xprint.html
	* xc/programs/Xserver/Xprint/Xprint.man
	* xc/programs/Xserver/Xprint/Xprint.sgml
	* xc/programs/xlsfonts/xlsfonts.man
	* xc/programs/xlsfonts/xlsfonts.sgml
	* xc/programs/xphelloworld/xphelloworld/xphelloworld.html
	* xc/programs/xphelloworld/xphelloworld/xphelloworld.man
	* xc/programs/xphelloworld/xphelloworld/xphelloworld.sgml
	* xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.html
	* xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.man
	* xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.sgml
	* xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.html
	* xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.man
	* xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.sgml
	* xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.html
	* xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.man
	* xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.sgml
	* xc/programs/xplsprinters/xplsprinters.html
	* xc/programs/xplsprinters/xplsprinters.man
	* xc/programs/xplsprinters/xplsprinters.sgml
	* xc/programs/xprehashprinterlist/xprehashprinterlist.man
	* xc/programs/xprehashprinterlist/xprehashprinterlist.sgml
	Bugzilla #1557 (https://bugs.freedesktop.org/show_bug.cgi?id=1557)
	attachment #1032 (https://bugs.freedesktop.org/attachment.cgi?id=1391):
	Update DocBook SGML+XML manual pages and docmentation
	and the in-tree copies of the generated files (*.man, *.html) to
	get them properly working with newer versions of the tools within the
	Xorg tree.
        Patch by Roland Mainz, Drew Parsons, Julien Lafon, Giuseppe Ghibò

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/doc/sgml/BUILD.sgml
	Bug #1932 (https://bugs.freedesktop.org/show_bug.cgi?id=1932)
	attachment #1391 (https://bugs.freedesktop.org/attachment.cgi?id=1391
	with typo fixed):
	Added explanation for DESTDIR to install to a different directory
	than /.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/sunos/Imakefile:
	Bug #1987 (https://bugs.freedesktop.org/show_bug.cgi?id=1987)
	attachment #1462 (https://bugs.freedesktop.org/attachment.cgi?id=1462):
	HAVE_SYSV_IPC should be defined when building libc_wrapper.c on 
	Solaris/SVR4Architecture (otherwise some drivers like those from
	Nvidia may not work).
	Patch by Alan Coopersmith <alan.coopersmith@sun.com>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/Pci.c
	Bug #1965 (https://bugs.freedesktop.org/show_bug.cgi?id=1965)
	attachment #1425 (https://bugs.freedesktop.org/attachment.cgi?id=1425):
	Avoid recursive calls of xf86scanpci(). This function normally 
	detects that it has been called before by checking if the PCI
	structure is filled out. So far if this was not the case 
	(because PCI probing has failed for some reason) the function
	is traversed again. With the chipset specific PCI bus probing
	this can lead to an endless recursive loop as the post-probing
	code calls xf86scanpci() from within this function.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c
	Bug #1963 (https://bugs.freedesktop.org/show_bug.cgi?id=1963)
	attachment #1424 (https://bugs.freedesktop.org/attachment.cgi?id=1424):
	The OS specific PCI code for Linux worked only if bus 0
	was populated as it checked for the presence of /proc/bus/pci/00.
	Fixed to check for /proc/bus/pci/<bus_to_look_for> instead.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Events.c
	* xc/programs/Xserver/hw/xfree86/common/xf86Init.c
	Bug #1933 (https://bugs.freedesktop.org/show_bug.cgi?id=1933)
	attachment #1392 (https://bugs.freedesktop.org/attachment.cgi?id=1392):
	Improving DPMS handling on VT swich and server
	termination/abort: previous version called the driver directly and
	too late.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Configure.c
	Bug #1931 (https://bugs.freedesktop.org/show_bug.cgi?id=1931)
	attachment #1390 (https://bugs.freedesktop.org/attachment.cgi?id=1390):
	Removing unused DDC sections that caused misinterpretation of
	DDC data due to a missing break statement in a switch.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/ix86Pci.c
	Bug #1927 (https://bugs.freedesktop.org/show_bug.cgi?id=1927)
	attachment #1386 (https://bugs.freedesktop.org/attachment.cgi?id=1386):
	Fixed typo in |ix86PciSelectCfgmech()|: #if <-> #ifdef.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xext/xf86vmode.c
	Bug #1552 (https://bugs.freedesktop.org/show_bug.cgi?id=1552)
	attachment #1026 (https://bugs.freedesktop.org/attachment.cgi?id=1026):

        Currently, when a screensaver kicks in, it calls xf86GetModeLine()
        which causes the Vidmode extension to write out a debugging log
        message of what the current modeline is.  These messages are
        generally only useful to an X11 developer who is debugging the
        extension itself, or to an application developer who is developing
        an application which uses the vidmode extension to get/set the video
        mode, however they're not very useful for end users.

        The current default Xvidmode verbosity causes the X server to write
        overly detailed video modeline information to the X server log file
        whenever any application uses the extension to get, set, or delete
        modelines.  This causes a problem for laptop users on battery power
        with their hard disks set to power saving mode, because the hard disk
        will power down, then later the screensaver kicks in, which calls
        xf86GetModeLine(), which causes the log message to get written out,
        which causes the hard disk to be powered back up.

        Having these messages off by default solves this problem for laptop
        users, and seems to make the most sense considering how useful they
        are in general.
        By changing the default log level for these messages, developers
        who need to see these for debugging purposes can increase their X
        server verbosity level and still see them, so no functionality is lost.

        This patch lowers the default verbosity of the X server's Xvidmode
        extension log file messages, in order to stop Xvidmode from writing
        out non-critical log messages to the X server log whenever an
        application uses this extension.

        Patch by Mike A. Harris <mharris@redhat.com>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	* xc/config/cf/cygwin.cf
	* xc/config/cf/darwin.cf
	* xc/programs/Xserver/dix/Imakefile
	* xc/programs/Xserver/miext/damage/Imakefile
	Bug #1816 (https://bugs.freedesktop.org/show_bug.cgi?id=1816)
	attachment #1300 (https://bugs.freedesktop.org/attachment.cgi?id=1300):
	Add BuildRootless Imake variable and ROOTLESS define.
	Patch by Torrey T. Lyons  <torrey@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/cygwin.cf
	* xc/config/cf/xorg.cf
	* xc/config/cf/xorgversion.def
	* xc/config/cf/Imakefile
	Bug #1393 (https://bugs.freedesktop.org/show_bug.cgi?id=1393)
	attachment #1188 (https://bugs.freedesktop.org/attachment.cgi?id=1188):
	Move xorg version numbers to separate config file
	(xc/config/cf/xorgversion.def).
	Patch by Alexander Gottwald <ago@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/GL/mesa/drivers/osmesa/Imakefile
	Bugzilla #1743 (https://bugs.freedesktop.org/show_bug.cgi?id=1743)
	attachment #1196 (https://bugs.freedesktop.org/attachment.cgi?id=1196):
	Fix build failure on Solaris due "ld: fatal:
	too many symbols require `small' PIC references" via adding
	|#define LargePICTable YES| to the Imakefile.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/xf86cfg/interface.c
	Bug #1826 (https://bugs.freedesktop.org/show_bug.cgi?id=1826)
	attachment #1283 (https://bugs.freedesktop.org/attachment.cgi?id=1283):
	Do not add '-4' to generated default file name (e.g. "xorg.conf"
	instead of "xorg.conf-4").
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xkbcomp/symbols/inet
	Bug #1935 (https://bugs.freedesktop.org/show_bug.cgi?id=1935)
	attachment #1394 (https://bugs.freedesktop.org/attachment.cgi?id=1394):
	Changed comment in xkbcomp/symbols/inet to mention xorg (instead of
	Xfree86).
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xkbcomp/rules/Imakefile
	Bug #1929 (https://bugs.freedesktop.org/show_bug.cgi?id=1929)
	attachment #1388 (https://bugs.freedesktop.org/attachment.cgi?id=1388):
	Create missing links for backward compatibility to XFree86
	Patch by Stefan Dirsch <sndirsch@suse.de>.

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xkbcomp/symbols/macintosh/us
	Bug #1872 (https://bugs.freedesktop.org/show_bug.cgi?id=1872)
	attachment #1315 (https://bugs.freedesktop.org/attachment.cgi?id=1315):
	Include srvrv_ctrl(xfree86) in macintosh US XKB symbol file so VT
	switching works again on mac.
	Patch by Kristian Høgsberg <krh@bitplanet.net>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xdm/resource.c
	Bug #1825 (https://bugs.freedesktop.org/show_bug.cgi?id=1825)
	attachment #1282 (https://bugs.freedesktop.org/attachment.cgi?id=1282):
	Fix typo in prngdSocket resource name in xdm/resource.c.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>

2004-12-14 Adam Jackson <ajax@freedesktop.org>
	* xc/extras/Mesa/:
	Bug #2003 (https://bugs.freedesktop.org/show_bug.cgi?id=2003):
	Merge Mesa 6.2.1.
	* lib/GL/mesa/drivers/dri/r128/Imakefile.inc:
	Fix Imakefile for r128 (Sergio Monteiro Basto)

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xrx/helper/helper.c
	Bug #1942 (https://bugs.freedesktop.org/show_bug.cgi?id=1942)
	attachment #1401 (https://bugs.freedesktop.org/attachment.cgi?id=1401):
	Fix problems with random return code returned by "xrx".
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xedit/lisp/lisp.c
	Bug #1936 (https://bugs.freedesktop.org/show_bug.cgi?id=1936)
	attachment #1395 (https://bugs.freedesktop.org/attachment.cgi?id=1395):
	Removed inclusion of unnecessary kernel header on Linux. 
	This may fail in an -ansi environment.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xorgsite.def
	* xc/config/cf/xprint_site.def
	Bug #1827 (https://bugs.freedesktop.org/show_bug.cgi?id=1827)
	attachment #1284 (https://bugs.freedesktop.org/attachment.cgi?id=1284):
	xf86site.def is referenced in comments in places where
	xorgsite.def is used
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/fonts/bdf/100dpi/Imakefile:
	* xc/fonts/bdf/75dpi/Imakefile:
	Bug #1560 (https://bugs.freedesktop.org/show_bug.cgi?id=1560)
	attachment #1036 (https://bugs.freedesktop.org/attachment.cgi?id=1036):
	Fix build of lucida fonts which were broken since 6.8.0.
	Patch by Alexander Gottwald  <ago@freedesktop.org>.
        
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/XLC_LOCALE/en_US.UTF-8
	Bug #1842 (https://bugs.freedesktop.org/show_bug.cgi?id=1842)
	attachment #1389 (https://bugs.freedesktop.org/attachment.cgi?id=1298):
        Move iso10646 last so the "fallback"
	fonts will actually be used if they are better matches.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xorgsite.def:
	Bug 2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bsd/bsd_KbdMap.c
	* xc/programs/Xserver/hw/xfree86/os-support/bsd/bsd_kbd.c
	Bug #1824 (https://bugs.freedesktop.org/show_bug.cgi?id=1824)
	attachment #1288 (https://bugs.freedesktop.org/attachment.cgi?id=1288):
	Fix kbd driver for wskbd protocol and pure wscons console driver
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>#1930 (https://bugs.freedesktop.org/show_bug.cgi?id=1930)
	attachment #1389 (https://bugs.freedesktop.org/attachment.cgi?id=1389):
	Make Xorg the default server to install.
	Patch by Egbert Eich <eich@freedesktop.org>

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bsd/bsd_KbdMap.c
	* xc/programs/Xserver/hw/xfree86/os-support/bsd/bsd_kbd.c
	Bug #1824 (https://bugs.freedesktop.org/show_bug.cgi?id=1824)
	attachment #1288 (https://bugs.freedesktop.org/attachment.cgi?id=1288):
	Fix kbd driver for wskbd protocol and pure wscons console driver
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/extras/Mesa/src/mesa/drivers/dri/common/dri_util.c
	* xc/lib/GL/glx/glxext.c
	Bug #1501 (https://bugs.freedesktop.org/show_bug.cgi?id=1501)
	attachment #1013 (https://bugs.freedesktop.org/attachment.cgi?id=1013):
	More complete fix for libglx bugs (double-free etc.).
	Patch by Egbert Eich and Matthias Hopf.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/fonts/encodings/Imakefile
	* xc/fonts/encodings/ascii-0.enc
	* xc/programs/mkfontscale/mkfontscale.c
	Bugzilla #1703 (https://bugs.freedesktop.org/show_bug.cgi?id=1703)
	attachment #1226 (https://bugs.freedesktop.org/attachment.cgi?id=1226):
	Adding ascii-0 font encoding which helps in
	cases where a font has all ASCII chars populated but not enougth
	glyphs to match the requirements for ISO8859-1 (and to add
	backwards compatibility to ttmkfdir).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/extras/Mesa/src/mesa/tnl/t_vtx_x86_gcc.S:
	Bugzilla #1079 (https://bugs.freedesktop.org/show_bug.cgi?id=1079)
	attachment #636 (https://bugs.freedesktop.org/attachment.cgi?id=636):
	Add missing check for CYGWIN for adding underscores tosymbol names
	in assembler.  Merged upstream, and should be brought in in
	the next import.
	Patch by  Alexander Gottwald <ago@freedesktop.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xset/Imakefile
	* xc/programs/xset/xset.c
	Bugzilla #1659 (https://bugs.freedesktop.org/show_bug.cgi?id=1659)
	attachment #1120 (https://bugs.freedesktop.org/attachment.cgi?id=1120):
	Fix Imakefile bug which caused the Xprint support
	in "xset" not being build.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xman/print.c
	* xc/programs/xmore/print.c
	* xc/programs/xphelloworld/xpawhelloworld/xpawhelloworld.c
	Bugzilla #1601 (https://bugs.freedesktop.org/show_bug.cgi?id=1601)
	attachment #1088 (https://bugs.freedesktop.org/attachment.cgi?id=1088):
	Fix problems with wrong page counts in xedit&co.
	when a global "*geometry" resource was overriding the internal
	geometry management used by XawPrintShell(=usually adjust to
	current page size, the resource was turning this into a static
	value).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xman/search.c
	Bugzilla #1481 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1481)
	attachment #976 (https://bugs.freedesktop.org/attachment.cgi?id=976)
	Avoid several buffer overflows in xman if search string is too long. 
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>.
        
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/psout.c
	Bugzilla #661 (https://freedesktop.org/bugzilla/show_bug.cgi?id=661)
	attachment #1002 (https://bugs.freedesktop.org/attachment.cgi?id=1002):
	Xprt producing spurious characters in PS
	output when using the bitmap cache (Originally reported
	against Solaris Xprt as Sun bug id #4369307, and 
	fixed in Solaris by Jay Hobson <jay.hobson@sun.com>).
	Patch by Jay Hobson <jay.hobson@sun.com>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	Bugzilla #1800 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1800)
	attachment #1474 (https://bugs.freedesktop.org/attachment.cgi?id=1474):
	Fix Postscript DDX's 1bit StaticGray visual to report only 1bit
	of significant bits in color specification (instead of 8bits).
	Patch by Julien Lafon <julien.lafon@gmail.com>

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/xprint_site.def
	* xc/programs/Xserver/Xprint/ps/Ps.h
	* xc/programs/Xserver/Xprint/ps/PsPixmap.c
	* xc/programs/Xserver/Xprint/ps/PsPolygon.c
	* xc/programs/Xserver/mi/miinitext.c
	Bugzilla #1664 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1664)
	attachment #1161 (https://bugs.freedesktop.org/attachment.cgi?id=1161):
	RFE: Add support for the DOUBLE-BUFFER extension
	to the Xprint server and DDX. Additionally a "pixmap-scrubber"
	optimisation is added to the PostScript DDX to remove all content
	from a vector pixmap when a |PolyFillRect()| call covers the whole
	pixmap surface with a solid fill (this avoids that a backbuffer
	vector pixmap gets constantly filled even when the content is
	not visible anymore after |XdbeSwapBuffers()| has cleared the
	hidden buffer with the background color).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/attributes.c
	Bugzilla #1647 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1647)
	attachment #1117 (https://bugs.freedesktop.org/attachment.cgi?id=1117):
        Fix the problem that |XpSubmitJob()| returns
	a random value (patch by Stefan Dirsch/SuSE).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/PsColor.c
	Bugzilla #1646 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1646)
	attachment #1116 (https://bugs.freedesktop.org/attachment.cgi?id=1116):
        Fix the problem that |PsCreateColormap()| returns
	a random value (patch by Stefan Dirsch/SuSE).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Oid.c
	Bugzilla #1637 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1637)
	attachment #1114 (https://bugs.freedesktop.org/attachment.cgi?id=1114):
	Fix problems in oid code which may cause the
	usage of an invalid string pointer (original patch by Egbert Eich).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xlsfonts/Imakefile
	* xc/programs/xlsfonts/xlsfonts.c 
	* xc/programs/xlsfonts/xlsfonts.man
	* xc/programs/xlsfonts/xlsfonts.sgml
	* xc/programs/xplsprinters/xplsprinters.html
	* xc/programs/xplsprinters/xplsprinters.man
	* xc/programs/xplsprinters/xplsprinters.sgml
	Bugzilla #1551 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1551)
	attachment #1025 (https://bugs.freedesktop.org/attachment.cgi?id=1025):
	Convert "xlsfonts" manual page to DocBook
	format (and document the new functionality introduced
	with bug #1518).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xlsfonts/Imakefile
	* xc/programs/xlsfonts/dsimple.c
	* xc/programs/xlsfonts/dsimple.h
	* xc/programs/xlsfonts/xlsfonts.c
	Bugzilla #1518 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1518)
	attachment #1022 (https://bugs.freedesktop.org/attachment.cgi?id=1022):
        Add filter support to "xlsfonts" that it can
	filter builtin-, glyph- and/or other kinds of printer fonts
	(controlled by the xp-listfonts-modes attribute as described
	in the CDE DtPrint and Xprint specifications).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/pcl/PclInit.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	Bugzilla #1629 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1629)
	attachment #1107 (https://bugs.freedesktop.org/attachment.cgi?id=1107):
	Fix crash on AMD64, regression caused by bug
	1496 ("Xorg Xprt does not support "*xp-listfonts-mode:
	xp-list-internal-printer-fonts" to toggle the usage of
	printer-builtin fonts").

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/pcl/PclInit.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	Bugzilla #1496 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1496)
	attachment #998 (https://bugs.freedesktop.org/attachment.cgi?id=998):
	Fixed Xprt font handling which did not support
	"*xp-listfonts-modes: xp-list-internal-printer-fonts" or
	"*xp-listfonts-modes: xp-list-glyph-fonts" to toggle
	the usage of printer-builtin and glyph fonts in XListFonts*(),
	XLoad*Font(), etc.
	Additionally the Xprint DDX now explicitly list "xp-listfonts-modes"
	in "document-attributes-supported" (for document-level) or
	"xp-page-attributes-supported" (for page-level) when the DDX implements
	this feature (as described in the CDE DtPrint and Xprint
	specifications).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/PsGC.c
	* xc/programs/Xserver/Xprint/ps/PsPixmap.c
	Bugzilla #1416 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1416)
	attachment #994 (https://bugs.freedesktop.org/attachment.cgi?id=994):
	Fix Xprt PostScript DDX crashes when copying
	offscreen pixmap content to the same pixmap (the crash can
	be reproduced with % x11perf -copypixpix500 ... # or the
	reduced testcase in bug #1416 (attachment #993)).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ps/Ps.h
	* xc/programs/Xserver/Xprint/ps/PsArea.c
	* xc/programs/Xserver/Xprint/ps/PsColor.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	* xc/programs/Xserver/Xprint/ps/psout.c
	* xc/programs/Xserver/Xprint/ps/psout.h
	Bugzilla #1299 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1299)
	attachment #1001 (https://bugs.freedesktop.org/attachment.cgi?id=1001):
	Add more visuals to the Postscript DDX (8bit GrayScale/StaticGray,
	1bit StaticGray and the basic infratructure for "deep" visuals with more
	than 8bits per RGB gun).
	Patch by Roland Mainz <roland.mainz@nrubsig.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/GL/glx/glxcmds.c
	Bugzilla #1672 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1672)
	attachment #1132 (https://bugs.freedesktop.org/attachment.cgi?id=1132):
	Prevent libGL segfault if server's GLX version is > 1.2.
	Patch by Adam Jackson <ajax@freedesktop.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/GL/mesa/Imakefile
	* xc/lib/GL/mesa/math/Imakefile
	* xc/lib/GL/mesa/shader/Imakefile
	* xc/lib/GL/mesa/sparc/Imakefile
	* xc/lib/GL/mesa/swrast/Imakefile
	* xc/lib/GL/mesa/swrast_setup/Imakefile
	* xc/lib/GL/mesa/tnl/Imakefile
	* xc/lib/GL/mesa/tnl_dd/Imakefile
	Bugzilla #1843 (https://freedesktop.org/bugzilla/show_bug.cgi?id=1843)
	attachment #1301 (https://bugs.freedesktop.org/attachment.cgi?id=1301):
	Fix build failure in the linker stage of libOSMesa.so.4.0 which
	happens more or less every couple of months with the message
	"ld: fatal: too many symbols require `small' PIC references:
	have 2112, maximum 2048 -- recompile some modules -K PIC.".
	The fix is to add |#define LargePICTable YES| to _ALL_ relevant
	Imakefiles (previously this was done only on "on-demand" basis).

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/util/memleak/getretmips.c
	Bugzilla #758 (https://bugs.freedesktop.org/show_bug.cgi?id=758)
	attachment #375 (https://bugs.freedesktop.org/attachment.cgi?id=375):
	Fix a buffer overrun which may happen when the size of the stack buffer
	is exactly the same as the actual stack size.
	Patch by Stephen Kennedy <Stephen.Kennedy@havok.com>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/extras/Xpm/lib/xpm.h
	Bugzilla #830 (https://bugs.freedesktop.org/show_bug.cgi?id=830)
	attachment #1493 (https://bugs.freedesktop.org/attachment.cgi?id=1493):
	Fix libXpm header (xpm.h) to use the X11 function begin/end marker
	macros (_XFUNCPROTOBEGIN, _XFUNCPROTOEND) instead of homegrown
	(native) C++ code.
	Patch by Kevin DeKorte <kdekorte@yahoo.com>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/include/extensions/dpms.h
	Bugzilla #830 (https://bugs.freedesktop.org/show_bug.cgi?id=830)
	attachment #1492 (https://bugs.freedesktop.org/attachment.cgi?id=1492):
	Get DPMS header file (include/extensions/dpms.h) working with C++
	applications.
	Patch by Kevin DeKorte <kdekorte@yahoo.com> and Roland
	Mainz <roland.mainz@nrubsig.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xext/saver.c
	Bugzilla #1695 (https://bugs.freedesktop.org/show_bug.cgi?id=1695)
	attachment #1230 (https://bugs.freedesktop.org/attachment.cgi?id=1230):       
	Fix crash in Xscreensaver code which allowed any authentificated X client
        to crash the Xserver using |XScreenSaverUnsetAttributes()|.
        Patch by ajax@nwnk.net
        
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/include/extensions/Imakefile
	Bugzilla #1871 (https://bugs.freedesktop.org/show_bug.cgi?id=1871)
	attachment #1314 (https://bugs.freedesktop.org/attachment.cgi?id=1314):       
	Remove old and now obsolete xc/include/extensions/damage.h.
        Patch by Kristian Høgsberg <krh@bitplanet.net>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/include/extensions/Xinerama.h
	Bugzilla #1897 (https://bugs.freedesktop.org/show_bug.cgi?id=1897)
	attachment #1338 (https://bugs.freedesktop.org/attachment.cgi?id=1338):       
	xc/include/extensions/Xinerama.h should include <X11/Xlib.h>, since it uses
        libX11 functions.
        Patch by Xavier Bestel and Daniel Stone <daniel@freedesktop.org>.
        
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/Xaw/AsciiSink.c
	* xc/lib/Xaw/Label.c
	* xc/lib/Xaw/List.c
	* xc/lib/Xaw/MultiSink.c
	* xc/lib/Xaw/SmeBSB.c
	* xc/lib/Xaw/Tip.c
	* xc/lib/Xaw/XawIm.c
	Bugzilla #1941 (https://bugs.freedesktop.org/show_bug.cgi?id=1941)
	attachment #1400 (https://bugs.freedesktop.org/attachment.cgi?id=1400):       
	Fail during initialization with error if font/fontset is not 
	set for widget. This prevents a sig11 later when the non-existent
	font/fontset structs are referenced.
        Patch by Egbert Eich <eich@freedesktop.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/X11/XKBBind.c
	Bugzilla #1459 (https://bugs.freedesktop.org/show_bug.cgi?id=1459)
	attachment #966 (https://bugs.freedesktop.org/attachment.cgi?id=966):       
	Fix |bzero()| size argument so it doesn't trash the stack.
        Patch by Mike A. Harris <mharris@www.linux.org.uk>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/X11/XlibInt.c
	Bugzilla #1864 (https://bugs.freedesktop.org/show_bug.cgi?id=1864)
	attachment #1434 (https://bugs.freedesktop.org/attachment.cgi?id=1434):       
	Fix random crashes because |bufp| variable is not initialized in
        |_XopenFile| (later the pointer is checked for |NULL| and freed
        otherwise. If the file was not found the pointer is uninitialized and
        rando memory is freed).
        Patch by  Alexander Gottwald <ago@freedesktop.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/X11/XlibInt.c
	Bugzilla #1864 (https://bugs.freedesktop.org/show_bug.cgi?id=1864)
	attachment #1310 (https://bugs.freedesktop.org/attachment.cgi?id=1310):       
	Fix random crashes because |pbuf| variable is not initialized in
        |_XFopenFile| (later the pointer is checked for |NULL| and freed
        otherwise. If the file was not found the pointer is uninitialized and
        rando memory is freed).
        Patch by  Alexander Gottwald <ago@freedesktop.org>

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/X11/imInsClbk.c
	Bugzilla #1926 (https://bugs.freedesktop.org/show_bug.cgi?id=1926)
	attachment #1482 (https://bugs.freedesktop.org/attachment.cgi?id=1482):       
	Unregistering events in XSelectInput() when unregistering IM
	filter callbacks via |_XimUnRegisterIMInstantiateCallback| may be a
        bad idea as others may be interested in this event.
        Removed the call to XSelectInput() altogether as we are in root
        window anyway.
        Patch by Lubos Lunak and and Egbert Eich <eich@freedesktop.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Xinput.c
	Bugzilla #1688 (https://bugs.freedesktop.org/show_bug.cgi?id=1688)
	attachment #1530 (https://bugs.freedesktop.org/attachment.cgi?id=1530):       
        Fix the current implementation to make it  possible to slow down the
        mouse pointer or use arbitrary fractions (without running into
        rounding error issues). The change is using the same method of
        preserving rounding errors that the exponential method is already
        using.
	Patch by Jan Brunner <Jan_B@gmx.ch>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/os/WaitFor.c
	Bugzilla #1934 (https://bugs.freedesktop.org/show_bug.cgi?id=1934)
	attachment #1393 (https://bugs.freedesktop.org/attachment.cgi?id=1393):       
	Fixing |SetDPMSTimers()| so that DPMS*Time == 0 disables the
	appropriate timer. This takes advantage of the fact that
	|TimerSet()| with a timeout argument 0 behaves like |TimerCanel()|.
	Patch by Egbert Eich <eich@freedesktop.org>.
        
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/dix/dispatch.c
	Bugzilla #1939 (https://bugs.freedesktop.org/show_bug.cgi?id=1939)
	attachment #1398 (https://bugs.freedesktop.org/attachment.cgi?id=1398):       
	Fixe size of a variable that gets assigned the value of
        SmartScheduleTime (|long|) to |long|. This should help to prevent
        smart scheduler lockup on 64 bit systems due to datatype overruns.
	Patch by Andreas Schwab and Egbert Eich <eich@freedesktop.org>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xext/saver.c
	Bugzilla #1989 (https://bugs.freedesktop.org/show_bug.cgi?id=1989)
	attachment #1399 (https://bugs.freedesktop.org/attachment.cgi?id=1399):       
	Fixed sig11 in |ScreenSaverUnsetAttributes()| which occured when
        calling a |CloseDisplay()| after |XScreenSaverSetAttributes()|
        followed by |XScreenSaverUnsetAttributes()|. Caused by missing
        |FreeResource()| in |XScreenSaverUnsetAttributes()|.
	Patch by Egbert Eich <eich@freedesktop.org>.
        
2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/dmx/dmx.c
	Bugzilla #1989 (https://bugs.freedesktop.org/show_bug.cgi?id=1989)
	attachment #1442 (https://bugs.freedesktop.org/attachment.cgi?id=1442):       
	Fix invalid write in libXdmx extension library (for |DMXAddInput()|).
	Patch by Mark McLoughlin <mark@skynet.ie>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/dmx/dmx.c
	Bugzilla #1989 (https://bugs.freedesktop.org/show_bug.cgi?id=1989)
	attachment #1441 (https://bugs.freedesktop.org/attachment.cgi?id=1441):       
	Fix invalid write in libXdmx extension library.
	Patch by Mark McLoughlin <mark@skynet.ie>.

2004-12-12 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/miext/damage/damage.c
        Bugzilla #1204 (https://bugs.freedesktop.org/show_bug.cgi?id=1204)
        attachment #1360 (https://bugs.freedesktop.org/attachment.cgi?id=1360):
        Fix X11 test suite (caused by DAMAGE layer) failure with Xvfb when
        rendering text using |XDrawText*()| (XDrawText() tests 1, 3, 4, 27, 28,
        29, 30, 34, 37, 39, 41, 43 and XDrawText16() tests 1, 3, 9, 10, 11, 12,
        13, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 34,
        37, 39, 41, 43).
        Patch by Hong Bo Peng <penghb@cn.ibm.com> and Stefan Dirsch
        <sndirsch@suse.de>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/xf86cfg/loader.h
	Bugzilla #557 (https://bugs.freedesktop.org/show_bug.cgi?id=557)
	attachment #1255 (https://bugs.freedesktop.org/attachment.cgi?id=1255):       
	Do not use "bool" as a variable name in xf86cfg, to avoid
	compiler bugs.
	Patch by Donnie Berkholz <spyderous@gentoo.org>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xext/xf86bigfont.c
	Bugzilla #1402 (https://bugs.freedesktop.org/show_bug.cgi?id=1402)
	attachment #948 (https://bugs.freedesktop.org/attachment.cgi?id=948):       
	Fix BigFont extension if SHM is compiled in but 
	not working. Does not access SHM and privates if the SHM syscall
	failed during extension initialization.    
	Patch by Alexander Gottwald <ago@freedesktop.org>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/os/utils.c
	Bugzilla #1453 (https://bugs.freedesktop.org/show_bug.cgi?id=1453)
	attachment #964 (https://bugs.freedesktop.org/attachment.cgi?id=964):       
	Fix spaces in usage output for BIGREQUESTS extension (option
	"-maxbigreqsize").

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/os/utils.c
	Bugzilla #1489 (https://bugs.freedesktop.org/show_bug.cgi?id=1489)
	attachment #979 (https://bugs.freedesktop.org/attachment.cgi?id=979):       
	Use |long| instead of |int| for BIGREQUESTS commandline option.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/loader/elfloader.c:
	Bugzilla #1812 (https://bugs.freedesktop.org/show_bug.cgi?id=1812)
	attachment #1263 (https://bugs.freedesktop.org/attachment.cgi?id=1263),
	Sun bug id #6175128:       
	Add Solaris to the platforms on which mprotect() is run to set
	execute permissions when necessary.
	Patch by Alan Coopersmith <alan.coopersmith@sun.com>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xmodmap/pf.c
	* xc/programs/xmodmap/xmodmap.c
	* xc/programs/xmodmap/xmodmap.h
	Bugzilla #1818 (https://bugs.freedesktop.org/show_bug.cgi?id=1818)
	attachment #1286 (https://bugs.freedesktop.org/attachment.cgi?id=1286):
	Fixing off-by-one allocation error.
	Patch by Kristian Høgsberg <krh@bitplanet.net>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/dix/main.c
	Bugzilla #1404 (https://bugs.freedesktop.org/show_bug.cgi?id=1404):
	Fixing random crashes (like in DAMAGE code etc.) in Xnest due
	uninitalised GetWindowPixmap.
	Original patch by Alexander Gottwald <ago@freedesktop.org>

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #1287 (https://bugs.freedesktop.org/attachment.cgi?id=1287):
	Avoid DRI initalisation when the Xfree86-DRI extension was turned
	off.
	Patch by Kristian Høgsberg <krh@bitplanet.net>.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #938 (https://bugs.freedesktop.org/attachment.cgi?id=938):
	Allow more extensions to be enabled/disabled.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #938 (https://bugs.freedesktop.org/attachment.cgi?id=938):
	Allow more extensions to be enabled/disabled.

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/loader/dixsym.c
	* xc/programs/Xserver/hw/xfree86/loader/extsym.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #899 (https://bugs.freedesktop.org/attachment.cgi?id=899):
	Fix module loader bustage due duplicate symbols
	caused by the first patch in Bugzilla #1361

2004-12-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/loader/dixsym.c
	* xc/programs/Xserver/include/globals.h
	* xc/programs/Xserver/mi/miinitext.c
	* xc/programs/Xserver/os/utils.c
	Bugzilla #1361 (https://bugs.freedesktop.org/show_bug.cgi?id=1361)
	attachment #894 (https://bugs.freedesktop.org/attachment.cgi?id=894):
	Allow turning on/off most of the Xserver extensions
	(=all except server-specific extensions (e.g. DMX, XpExtension,
	etc.) via +extension/-extension

2004-11-14  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv.man:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_cursor.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_dac.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_dma.h:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_proto.h:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_type.h:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_video.c:
	* xc/programs/Xserver/hw/xfree86/drivers/nv/nv_xaa.c:

	(Bugzilla #1777) Import Mark Vojkovich's changes to NV driver 
	since last sync	with XFree86, including:
	   Support for new NVIDIA chips.
	   Egbert has a laptop that needs some DPMS ordering reversed.
	   New chip support and workaround for Toshiba M30 laptop issue.
	   PCI-Xpress chip support.
	   DPMS support for DVI.
	   Cursor changes for NV11 so that alpha blended cursors will work
	     in conjunction with dithering (laptop panels).  It previously
	     did not.
	   HW support for alpha blended stretch blits on NV5 and higher,
	     though nothing is using them at this point.
	   Add support for VBlank syncing the Xv Blit adaptor on hardware
	     that supports it (NV11 and higher).
	   Make console restoration a little more robust.  We were making
	     an assumption that failed on a newer laptop.
	   Workaround for some NV31 DVI artifacts.	
	
	Also add nVidia license statement to nv man page to comply with
	requirement that it appear in "user documentation"

2004-10-17  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONEnterVT):
	Fix resume in radeon driver (bug 1220)

----------- 6.8.1 Release
	
2004-09-17  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Update the XORG_DATE for the release.

	* config/cf/cygwin.cf:
	Update cygwin release version.

	* BUILD:
	* README:
	* RELNOTES:
	* programs/Xserver/hw/xfree86/doc/BUILD:
	* programs/Xserver/hw/xfree86/doc/DESIGN:
	* programs/Xserver/hw/xfree86/doc/Install:
	* programs/Xserver/hw/xfree86/doc/OS2.Notes:
	* programs/Xserver/hw/xfree86/doc/README:
	* programs/Xserver/hw/xfree86/doc/README.DECtga:
	* programs/Xserver/hw/xfree86/doc/README.Darwin:
	* programs/Xserver/hw/xfree86/doc/README.LynxOS:
	* programs/Xserver/hw/xfree86/doc/README.NetBSD:
	* programs/Xserver/hw/xfree86/doc/README.OpenBSD:
	* programs/Xserver/hw/xfree86/doc/README.SCO:
	* programs/Xserver/hw/xfree86/doc/README.SiS:
	* programs/Xserver/hw/xfree86/doc/README.Solaris:
	* programs/Xserver/hw/xfree86/doc/README.XKB-Config:
	* programs/Xserver/hw/xfree86/doc/README.chips:
	* programs/Xserver/hw/xfree86/doc/README.dps:
	* programs/Xserver/hw/xfree86/doc/README.fonts:
	* programs/Xserver/hw/xfree86/doc/README.i740:
	* programs/Xserver/hw/xfree86/doc/README.i810:
	* programs/Xserver/hw/xfree86/doc/README.mouse:
	* programs/Xserver/hw/xfree86/doc/README.r128:
	* programs/Xserver/hw/xfree86/doc/README.rendition:
	* programs/Xserver/hw/xfree86/doc/README.s3virge:
	* programs/Xserver/hw/xfree86/doc/RELNOTES:
	* programs/Xserver/hw/xfree86/doc/Versions:
	* programs/Xserver/hw/xfree86/doc/sgml/defs.ent:
	* programs/xkbcomp/README.config:
	Update documentation for release.

2004-09-15  Daniel Stone  <daniel@freedesktop.org>

	* xc/extras/Xpm/lib/Attrib.c:
	* xc/extras/Xpm/lib/CrDatFrI.c:
	* xc/extras/Xpm/lib/WrFFrI.c:
	* xc/extras/Xpm/lib/XpmI.h:
	* xc/extras/Xpm/lib/create.c:
	* xc/extras/Xpm/lib/data.c:
	* xc/extras/Xpm/lib/hashtab.c:
	* xc/extras/Xpm/lib/parse.c:
	* xc/extras/Xpm/lib/scan.c:
	* xc/lib/Xpm/Imakefile:
	Merge patch from Mathieu Herrb to fix several integer overflows and
	other security errors in libXpm.


2004-09-07  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* BUILD:
	* programs/Xserver/hw/xfree86/doc/BUILD:
	* programs/Xserver/hw/xfree86/doc/sgml/BUILD.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/index.pre:
	Fix dates for release.

2004-09-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* RELNOTES:
	* programs/Xserver/hw/xfree86/doc/RELNOTES:
	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml:
	Update docs for Mac OS changes (Torrey T. Lyons).

2004-09-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* BUILD:
	* README:
	* RELNOTES:
	* programs/Xserver/hw/xfree86/doc/BUILD:
	* programs/Xserver/hw/xfree86/doc/DESIGN:
	* programs/Xserver/hw/xfree86/doc/Install:
	* programs/Xserver/hw/xfree86/doc/LICENSE:
	* programs/Xserver/hw/xfree86/doc/OS2.Notes:
	* programs/Xserver/hw/xfree86/doc/README:
	* programs/Xserver/hw/xfree86/doc/README.DECtga:
	* programs/Xserver/hw/xfree86/doc/README.Darwin:
	* programs/Xserver/hw/xfree86/doc/README.I128:
	* programs/Xserver/hw/xfree86/doc/README.LynxOS:
	* programs/Xserver/hw/xfree86/doc/README.NetBSD:
	* programs/Xserver/hw/xfree86/doc/README.OpenBSD:
	* programs/Xserver/hw/xfree86/doc/README.SCO:
	* programs/Xserver/hw/xfree86/doc/README.SiS:
	* programs/Xserver/hw/xfree86/doc/README.Solaris:
	* programs/Xserver/hw/xfree86/doc/README.XKB-Config:
	* programs/Xserver/hw/xfree86/doc/README.XKB-Enhancing:
	* programs/Xserver/hw/xfree86/doc/README.apm:
	* programs/Xserver/hw/xfree86/doc/README.ati:
	* programs/Xserver/hw/xfree86/doc/README.chips:
	* programs/Xserver/hw/xfree86/doc/README.cyrix:
	* programs/Xserver/hw/xfree86/doc/README.dps:
	* programs/Xserver/hw/xfree86/doc/README.fonts:
	* programs/Xserver/hw/xfree86/doc/README.i740:
	* programs/Xserver/hw/xfree86/doc/README.i810:
	* programs/Xserver/hw/xfree86/doc/README.mouse:
	* programs/Xserver/hw/xfree86/doc/README.newport:
	* programs/Xserver/hw/xfree86/doc/README.r128:
	* programs/Xserver/hw/xfree86/doc/README.rendition:
	* programs/Xserver/hw/xfree86/doc/README.s3virge:
	* programs/Xserver/hw/xfree86/doc/RELNOTES:
	* programs/Xserver/hw/xfree86/doc/Versions:
	* programs/xkbcomp/README.config:
	* programs/xkbcomp/README.enhancing:
	Update formatted docs.

2004-09-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml:
	Updated release notes for bug #999.

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	Update Radeon man page to note that RenderAccel is now enabled by
	default on certain chips.

2004-09-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	* programs/Xserver/hw/xfree86/doc/sgml/Install.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/README.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/Versions.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/XKB-Config.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/defs.ent:
	Second round of documentation updates.

2004-09-03  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/hw/xfree86/doc/sgml/README.sgml:
	Mostly fix version numbers and use symbolic release date.
	
	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml:
	Fix lots of version numbers.
	Change description of Composite extension a bit.
	Add reference to Xaw8 as the version of Xaw which includes
	XawPrintShell.
	Document Render additions to xclock.
	Document to XPrint additions to xedit.
	Note disappearance of X-TrueType.
	
	* programs/Xserver/hw/xfree86/doc/sgml/SCO.sgml:
	Add 'R' before &relvers;
	
	* programs/Xserver/hw/xfree86/doc/sgml/defs.ent:
	Add reldate entity
	
	* programs/Xserver/hw/xfree86/doc/sgml/dps.sgml:
	Add 'R' before &relvers;

	* programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml:
	Fix version numbers.
	Note disapparance of X-TrueType
	

2004-09-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* LABEL:
	* Makefile:
	* config/cf/X11.tmpl:
	* config/cf/cygwin.cf:
	* config/cf/lnxdoc.rules:
	* config/cf/lnxdoc.tmpl:
	* config/cf/xorg.cf:
	* config/util/makedef.cmd:
	* doc/man/general/Standards.man:
	* doc/man/general/X.man:
	* doc/man/general/XOrgFoundation.man:
	* doc/specs/BDF/bdf.ms:
	* doc/specs/CTEXT/ctext.tbl.ms:
	* doc/specs/FSProtocol/protocol.ms:
	* doc/specs/ICCCM/icccm.ms:
	* doc/specs/ICCCM/indexmacros.t:
	* doc/specs/ICE/ICElib.ms:
	* doc/specs/ICE/ice.ms:
	* doc/specs/SM/SMlib.ms:
	* doc/specs/SM/xsmp.ms:
	* doc/specs/X11/CH01:
	* doc/specs/X11/abstract.t:
	* doc/specs/X11/indexmacros.t:
	* doc/specs/XDMCP/xdmcp.ms:
	* doc/specs/XIM/xim.ms:
	* doc/specs/XLFD/xlfd.tbl.ms:
	* doc/specs/XProtocol/X11.protocol:
	* doc/specs/XProtocol/indexmacros.t:
	* doc/specs/Xaw/CH1:
	* doc/specs/Xaw/TPage_Credits:
	* doc/specs/Xaw/widg.idxmac.t:
	* doc/specs/Xext/DPMS.ms:
	* doc/specs/Xext/DPMSLib.ms:
	* doc/specs/Xext/bigreq.ms:
	* doc/specs/Xext/evi.ms:
	* doc/specs/Xext/record.ms:
	* doc/specs/Xext/recordlib.ms:
	* doc/specs/Xext/security.tex:
	* doc/specs/Xext/shape.ms:
	* doc/specs/Xext/shapelib.ms:
	* doc/specs/Xext/sync.tex:
	* doc/specs/Xext/synclib.tex:
	* doc/specs/Xext/tog-cup.ms:
	* doc/specs/Xext/xc-misc.ms:
	* doc/specs/Xi/library.ms:
	* doc/specs/Xi/porting.ms:
	* doc/specs/Xi/protocol.ms:
	* doc/specs/Xmu/Xmu.ms:
	* doc/specs/Xt/strings.mit:
	* doc/specs/i18n/Framework.ms:
	* doc/specs/i18n/LocaleDB.ms:
	* doc/specs/i18n/Trans.ms:
	* programs/Xserver/hw/xfree86/doc/sgml/Imakefile:
	* programs/Xserver/hw/xfree86/doc/sgml/NetBSD.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/README:
	* programs/Xserver/hw/xfree86/doc/sgml/README.build-docs:
	* programs/Xserver/hw/xfree86/doc/sgml/defs.ent:
	* programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml:
	* programs/Xserver/hw/xfree86/doc/sgml/mouse.sgml:
	First set of documentation updates.

	* programs/Xserver/miext/damage/damage.c: (getDrawableDamageRef):
	Include more correct fix for rootless interaction with damage (Bug
	#1168, Keith Packard).

2004-09-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/cygwin.cf:
	* config/cf/xorg.cf:
	Update release number and date for RC4.

2004-09-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/glxgears/glxgears.c: (usage):
	* programs/xedit/Imakefile:
	* programs/xedit/Xedit-noxprint.ad:
	* programs/xedit/Xedit-xprint.ad:
	* programs/xedit/Xedit.ad:
	* programs/xedit/commands.c: (DoSave), (ReallyDoLoad),
	(printshellDestroyXtProc), (printOKXtProc), (printCancelXtProc),
	(PrintFile), (DoPrint):
	* programs/xedit/hook.c: (LineEditAction):
	* programs/xedit/ispell.c: (IspellConvertHtmlAmp), (IspellSend),
	(ReplaceIspell):
	* programs/xedit/lisp/Imakefile:
	* programs/xedit/lisp/lisp.c:
	* programs/xedit/util.c: (MakeCommandButton):
	* programs/xedit/xedit.c: (main), (makeButtonsAndBoxes):
	* programs/xedit/xedit.h:
	* programs/xman/Imakefile:
	* programs/xman/ScrollByL.c: (Layout), (PaintText),
	(ScrollVerticalText), (Initialize), (SetValuesHook), (LoadFile),
	(PrintText):
	* programs/xman/ScrollByL.h:
	* programs/xman/ScrollByLP.h:
	* programs/xman/Xman-noxprint.ad:
	* programs/xman/Xman-xprint.ad:
	* programs/xman/Xman.ad:
	* programs/xman/buttons.c: (MakeTopBox), (CreateManpageWidget),
	(CreateOptionMenu):
	* programs/xman/defs.h:
	* programs/xman/handler.c: (OptionCallback), (DirectoryHandler),
	(Quit), (Search), (printshellDestroyXtProc), (printOKXtProc),
	(printCancelXtProc), (PrintThisManpage):
	* programs/xman/main.c: (main), (AdjustDefResources):
	* programs/xman/man.h:
	* programs/xman/misc.c: (PrintError), (OpenFile):
	* programs/xman/search.c: (DoSearch):
	* programs/xman/version.h:
	* programs/xset/Imakefile:
	Restore xman and xedit changes that were previously reverted, and
	make Xprint support optional (Bug #1273, Roland Mainz).

2004-09-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/X11.tmpl:
	* programs/glxgears/Imakefile:
	* programs/glxgears/glxgears.c: (event_loop), (main):
	* programs/xdpyinfo/Imakefile:
	* programs/xdpyinfo/xdpyinfo.c: (print_screen_info):
	* programs/xlogo/Imakefile:
	* programs/xlogo/xlogo.c: (Syntax), (main):
	* programs/xset/Imakefile:
	* programs/xset/xset.c: (main), (usage):
	Clean up defines for Xprint support and fix BuildServersOnly build
	for libXaw.

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/miext/damage/Imakefile:
	* programs/Xserver/miext/damage/damage.c: (getDrawableDamageRef):
	Workaround for servers using rootless layer with damage (Bug
	#1168, Torrey T. Lyons).

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* extras/Mesa/src/mesa/drivers/dri/i915/i830_vtbl.c:
	(i830_render_start):
	* extras/Mesa/src/mesa/drivers/dri/i915/i915_fragprog.c:
	(i915ValidateFragmentProgram):
	* extras/Mesa/src/mesa/drivers/dri/i915/i915_texprog.c:
	(i915ValidateTextureProgram):
	Fix colors on i8x0 DRI (Bug #1216, Keith Whitwell).

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/GL/apple/aglGlx.c: (glAquaDestroyContext),
	(glAquaLoseCurrent), (attach), (glAquaMakeCurrent),
	(glAquaCopyContext), (glAquaCreateContext), (glAquaRealizeWindow),
	(glAquaUnrealizeWindow), (init_visuals), (glAquaInitVisualConfigs),
	(glAquaInitVisuals), (glAquaResizeBuffers):
	Fix AGL display problems (Bug #1210, Torrey T. Lyons).

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/cygwin.cf:
	* config/cf/darwin.cf:
	Enable XtransFailSoft on cygwin and Darwin (Bug #1029, Alexander
	Gottwald, Torrey T. Lyons).

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/OpenBSDLib.tmpl:
	* config/cf/WinLib.tmpl:
	* config/cf/X11.tmpl:
	* config/cf/bsdLib.tmpl:
	* config/cf/bsdiLib.tmpl:
	* config/cf/cygwin.rules:
	* config/cf/cygwin.tmpl:
	* config/cf/darwinLib.tmpl:
	* config/cf/gnuLib.tmpl:
	* config/cf/hpLib.tmpl:
	* config/cf/ibmLib.tmpl:
	* config/cf/lnxLib.tmpl:
	* config/cf/os2Lib.tmpl:
	* config/cf/osfLib.tmpl:
	* config/cf/sco5.cf:
	* config/cf/sunLib.tmpl:
	* config/cf/sv4Lib.tmpl:
	* lib/Imakefile:
	* lib/Xaw/AllWidgets.c:
	* lib/Xaw/Imakefile:
	* lib/Xaw/sharedlib.c:
	* lib/Xaw7/Imakefile:
	* lib/Xaw7/Xaw-def.cpp:
	* programs/Imakefile:
	* programs/Xserver/hw/xfree86/xf86cfg/Imakefile:
	* programs/glxgears/Imakefile:
	* programs/xdpyinfo/Imakefile:
	* programs/xlogo/Imakefile:
	* programs/xlogo/XLogo.ad:
	* programs/xlogo/xlogo.c: (die), (Syntax), (main), (quit), (print):
	* programs/xphelloworld/Imakefile:
	* programs/xset/Imakefile:
	Bump major version number of libXaw (Bug #1273).

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* extras/Mesa/src/mesa/main/imports.h:
	Fix libGL build on ARM (Bug #1155).

2004-09-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/xkbcomp/keycodes/xfree86:
	Fix slash key on ABNT2 keyboard (Bug #1257, Alexander Gottwald).

2004-08-31  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/X11/Imakefile:
	Fix multiple definitions of XdmcpWrap for CYGWIN (Bug #1203,
	Alexander Gottwald).

2004-08-31  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/Imakefile:
	Fixed link ordering for building without Xinerama (Bug #1221).

2004-08-31  Egbert Eich  <eich@freedesktop.org>

	* lib/X11/GetWAttrs.c: (_XGetWindowAttributes),
	(XGetWindowAttributes):
	* lib/X11/PutBEvent.c: (_XPutBackEvent), (XPutBackEvent):
	* lib/X11/Xlibint.h:
	* lib/X11/imDefLkup.c: (_XimGetWindowEventmask):
	* lib/X11/imLcFlt.c:
	Fixed some lockups in XIM code when the application is running
	with multi thread support. These lockups occur deep down in
	XFilterEvents() which itself locks when another Xlib function
	gets called that also locks. This fixes two instances by
	separating those Xlib functions into an internal (non-locking)
	call and a locking wrapper that is used as an external function.
	There may be several other such instances therefore another 
	more general patch is eventually required (Bugzilla #1182).
	
2004-08-31  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/doc/sgml/BUILD.sgml:
	Added a note about cross compiling.
	* programs/Xserver/hw/xfree86/doc/sgml/README:
	Added instructions on how to build and updated formatted docs
	in the tree.
	
2004-08-30  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (PostKbdEvent):
	Fix keyboard driver regression (Bug #1238, Kristian Hoegsberg).

Mon Aug 30 22:58:59 2004  Soeren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml: Update the
	release notes.

2004-08-30  Egbert Eich  <eich@freedesktop.org>

	* config/cf/X11.rules:
	Make handling of XtransFailSoft Imake variable more consistent.
	It needs to receive a boolean value now (Alexander Gottwald).
	
2004-08-30  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/ibm.cf:
	* config/cf/ibmLib.tmpl:
	AIX Imake config file updates (Bug #1234, Dan McNichol).

2004-08-30  Egbert Eich  <eich@freedesktop.org>

	* config/cf/X11.rules:
	  Fix: move flag for HARD_FAIL in Xtransutil.c to the correct
	  setting of the Imake variable.
	* programs/Xserver/Xprint/ps/Imakefile:
	  Fix Imake condiditon for LynxOS (Thomas Mueller).
	
2004-08-30  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RADEONSetupRenderByteswap):
	Hotfix for Eric Anholt's fix for bug #1156 : Clear the
	RADEON_NONSURF_AP0_SWP_16BPP bit for 4 bpp data, otherwise it breaks
	at depth 16.

2004-08-29  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/i810/i810_memory.c:
	(I810AllocateGARTMemory):
	Fix ARGB cursor problem on i810 (Bug #1195, Alan Hourihane).

2004-08-29  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/OpenBSD.cf:
	Fix typo that caused both X.Org and XFree86 servers to be built on
	OpenBSD/AMD64 (Bug #1231, Matthieu Herrb).

2004-08-29  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/X11.tmpl:
	Fix make install when BuildServersOnly is YES (Bug #1213).

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c:
	Fix build failures when UseDeprecatedKeyboardDriver is YES and
	DoLoadableServer is NO (Bug #1229, Kristian Høgsberg).

	* programs/Xserver/hw/xfree86/loader/loader.c: (LoaderInit):
	Fix failure when using DLL loader and LD_BIND_NOW is set (Bug
	#1212, Adam Jackson).

2004-08-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xaa/xaaWideLine.c:
	Don't define _XOPEN_SOURCE before including math.h on Solaris -
	it's not needed on older releases, and breaks builds on Solaris 10.
	(Same as bugzilla #189).

2004-08-28  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Update release number and date for RC3.

2004-08-28  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	Merge Mesa 6.1

	* extras/Mesa/src/mesa/main/imports.h:
	Fix build on HPPA/MIPS (Bug #1155).

2004-08-28  Egbert Eich  <eich@freedesktop.org>

	* config/cf/X11.rules:
	* config/cf/X11.tmpl:
	* lib/FS/Imakefile:
	* lib/ICE/Imakefile:
	* lib/X11/Imakefile:
	* lib/xtrans/Imakefile:
	* lib/xtrans/Xtransutil.c: (trans_mkdir):
	* programs/Xserver/os/Imakefile:
	Set the define XtransFailSoft to restore the old behavior to
	fail softly when socket directory cannot chowned/chmod to correct
	user/group. This should be added on a per OS basis which hasn't
	been done.
	
2004-08-27  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/xf86fbman.c:
	(localQueryLargestOffscreenLinear):
	Fix for XV memory allocation: Also use tiled area for allocation
	even if it hasn't been used before.

2004-08-27  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/miext/cw/cw.c: (cwFillRegionTiled),
	(cwPaintWindowBackground), (cwPaintWindowBorder):
	Bug #1101: Fix PaintWindow in the pixmap case when the window's origin
	is not at the backing pixmap's origin.  Resulted in incorrect rendering
	in at least aisleriot, fluxbox, and KDE apps, and probably many more.
	While here, move the ParentRelative loop above the drawable grab -- may
	improve correctness with ParentRelative backgrounds' origins as well.
	Note that the border code doesn't handle ParentRelative yet.

2004-08-27  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/Xext/dmx.c: (ProcDMXForceWindowCreation):
	Add missing reply for DMX (Rik Faith).

2004-08-27  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/Xprint/ps/Imakefile:
	* programs/Xserver/Xprint/ps/ttf2pt1wrap.c:
	Fixed typos.
	
2004-08-27  Egbert Eich  <eich@freedesktop.org>

	* config/cf/lynx.cf:
	* lib/font/util/Imakefile:
	* programs/Xserver/Xprint/ps/Imakefile:
	* programs/Xserver/hw/xfree86/doc/sgml/LynxOS.sgml:
	* programs/Xserver/hw/xfree86/etc/MTRR-Lynx.shar:
	* programs/xdriinfo/Imakefile:
	* programs/xprehashprinterlist/Imakefile:
	Added support for LynxOS 4.0 (Thomas Mueller).
	* programs/Xserver/hw/xfree86/common/compiler.h:
	Fix arm netwinder build (Donnie Berkholz).
	
2004-08-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/GL/glx/Imakefile:
	Move line break/continuation to not be in the middle of a word
	(Bugzilla #1207)

2004-08-27  Egbert Eich  <eich@freedesktop.org>

	* config/cf/X11.rules:
	* config/cf/X11.tmpl:
	Fixed UseInstalled handling when cross compiling when building
	with different ProjectRoot. Set X11ProjectRoot to the ProjectRoot
	on the build host (where the binaries that run on the build host
	live) (Alexander Gottwald).
	
2004-08-27  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/ddc/interpret_edid.c:
	(get_monitor_ranges):
	- Make DDC code more VESA compliant: when MaxClock is set
	to 0xFF it means 'no value specified'. Therefore setting it
	to 0 (Thomas Winischhofer).

2004-08-26  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RADEONSetupRenderByteswap), (RADEONRestoreByteswap),
	(R100SetupTexture), (R200SetupTexture):
	Bug #1156: Fix the build on PPC by splitting the byte-order-setting code
	into a separate routine.  While here, fix the byte swapping in the 32bpp
	case. (Michel Daenzer)

2004-08-26  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONSetupForSolidLine):
	Bug #1157: Fix Radeon line acceleration in the DMA case
	(Michel Daenzer).

2004-08-26  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/GL/dri/drm/Imakefile:
	Add drm.h to SDK; required by xf86drm.h (Bug #1160, Bryan Stine).

2004-08-26  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c:
	(RADEONXineramaExtensionInit):
	Fix Radeon compilation without Xinerama (Bug #1179, Simon
	Schubert).

2004-08-26  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/vfb/InitOutput.c: (vfbScreenInit):
	Fix xtest failures in Xvfb from XMatchVisualInfo test.

2004-08-26  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/miext/cw/cw.c:
	* programs/Xserver/miext/cw/cw_ops.c:
	Bug #1138: Wrap funcs in CW's GC ops as well.  While this is unnecessary
	according to the rules as I understand them (bug #1045), not everybody
	follows the rules.  GC funcs were being called on the same GC from
	within GC ops, and the cwValidateGC caused a loop in the funcs chain
	that resulted in a crash, notably in cwPolylines.

2004-08-26  Egbert Eich  <eich@freedesktop.org>

	* lib/X11/xlibi18n/Xi18nLib.conf:
	Added missing make variable.
	
2004-08-26  Egbert Eich  <eich@freedesktop.org>

	* config/cf/lynx.cf:
	* fonts/bdf/100dpi/Imakefile:
	* fonts/bdf/75dpi/Imakefile:
	* fonts/bdf/75dpi/Imakefile.inc:
	* fonts/util/ucs2any.c:
	* lib/GL/glx/Imakefile:
	* programs/Xserver/hw/xfree86/doc/Imakefile:
	* programs/Xserver/hw/xfree86/etc/MTRR-Lynx.shar:
	* programs/Xserver/hw/xfree86/etc/bindist/LynxOS/host.def:
	* programs/Xserver/hw/xfree86/loader/xf86sym.c:
	* programs/Xserver/hw/xfree86/os-support/lynxos/Imakefile:
	* programs/fonttosfnt/Imakefile:
	* programs/xtrap/xtrapchar.c:
	* programs/xtrap/xtrapin.c:
	* programs/xtrap/xtrapout.c:
	Fixed support for LynxOS 3.1 (LynxOS 4 will follow) (Thomas Mueller).

2004-08-26  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/util/lndir.c: (dodir):
	Fix lndir to handle symlinks to directories correctly (Bug #1083,
	H.J. Lu).

	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c:
	(I830PutImage), (I830DisplaySurface):
	Fix i810 compilation without Xinerama (Bug #1180, Simon Schubert).

2004-08-24  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/Xext/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONGetLVDSInfo):
	Fix hangs during startup with Radeon driver (Bug #1007, Sjoerd
	Simons).

	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c:
	(I810PreInit), (I810CloseScreen):
	Fix i810 driver startup on Sony VAIO laptop (Bug #1084, Dave
	Airlie).

	* config/cf/X11.tmpl:
	Fix several library build problem (Bug #1147).

	* programs/Xserver/xkb/Imakefile:
	* programs/xrx/Imakefile:
	Fix build problems (Bugs #1148 and #1149).

2004-08-24  Keith Packard  <keithp@keithp.com>

	reviewed by: Stuart Kreitman <Stuart.Kreitman@Sun.COM>

	* lib/Xdmcp/Wraphelp.c: (_XdmcpAuthSetup), (_XdmcpAuthDoIt):
	Replace 'uint32_t' with 'CARD32' and 'uint8_t' with 'CARD8'.
	Add #include <X11/Xmd.h>

2004-08-20  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/hw/darwin/quartz/XDarwin.pbproj/project.pbxproj:
	Update XDarwin application version for release.

2004-08-20  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/sis/310vtbl.h:
	* programs/Xserver/hw/xfree86/drivers/sis/init.c:
	(InitCommonPointer):
	* programs/Xserver/hw/xfree86/drivers/sis/init.h:
	* programs/Xserver/hw/xfree86/drivers/sis/init301.c:
	(GetLCDStructPtr661), (GetLCDStructPtr661_2):
	* programs/Xserver/hw/xfree86/drivers/sis/init301.h:
	* programs/Xserver/hw/xfree86/drivers/sis/initdef.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_vb.c:
	(SISLCDPreInit):
	* programs/Xserver/hw/xfree86/drivers/sis/vstruct.h:
	Support for Sis 1280x800 panels (Bug #1139, Thomas Winischhofer).

2004-08-20  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/xterm/MANIFEST:
	* programs/xterm/configure:
	* programs/xterm/configure.in:
	* programs/xterm/main.c: (Exit):
	* programs/xterm/version.h:
	* programs/xterm/xterm.log.html:
	Merge xterm #196 patch which fixed utmp cleanup infinite loop (Bug
	#1137, Thomas E. Dickey).

2004-08-20  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Init.c: (InitOutput):
	* programs/Xserver/hw/xfree86/input/Imakefile:
	* programs/Xserver/hw/xfree86/input/confdrv.sh:
	Fix keyboard driver failing to initialize if DoLoadableServer is
	NO (Bug #1133, Kristian Høgsberg).

2004-08-20  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/Imakefile:
	* programs/Xserver/hw/xfree86/input/keyboard/Imakefile:
	Fix white space problem with BSD make (Bug #1132, Matthieu Herrb).

2004-08-19  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/man/general/security.man:
	Update documentation of authentication methods to cover the
	ServerInterpreted access type added in X11R6.7 and the 
	authentication types available via its framework.

2004-08-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/X11.tmpl:
	* config/cf/sun.cf:
	* config/cf/svr4.cf:
	* config/cf/xorg.cf:
	* programs/Xserver/hw/xfree86/doc/sgml/Solaris.sgml:
	Fix the build on Solaris/sparc to use Xorg server instead of the
	deprecated Xsun (Bug #1134, Alan Coopersmith).

2004-08-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/GL/mesa/main/Imakefile:
	* lib/GL/mesa/sparc/Imakefile:
	* programs/Xserver/GL/glx/Imakefile:
	* programs/Xserver/GL/mesa/main/Imakefile:
	* programs/Xserver/GL/mesa/swrast/Imakefile:
	* programs/Xserver/GL/mesa/tnl/Imakefile:
	Fix build problems on Solaris/sparc (Bug #1104, Alan Coopersmith).

2004-08-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/X11/Xutil.h:
	Fix header file to #ifdef the XKB keysyms when they are used.
	This fixes the X test suite build failure.

2004-08-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	Add missing no.*Extension symbols (Bug #1131, Aaron Plattner).

2004-08-18  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/darwinLib.tmpl:
	Fix libXevie build on Darwin (Bug #1124, Torrey T. Lyons).

	* lib/GL/mesa/drivers/osmesa/Imakefile:
	Fix libOSMesa build on Darwin (Bug #1125, Torrey T. Lyons).

	* lib/GL/apple/dri_dispatch.defs:
	* lib/GL/apple/dri_dispatch.h:
	Fix libGL build on Mac OS X 10.3.0-3 (Bug #1127, Torrey T. Lyons).

2004-08-18  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/miext/cw/cw.c: (cwCreateBackingGC),
	(cwDestroyBackingGC), (cwValidateGC), (cwDestroyGC), (cwCreateGC),
	(miInitializeCompositeWrapper):
	* programs/Xserver/miext/cw/cw_ops.c:
	Fix CopyArea for non-redir dst, redir src (Bug #1105, Eric
	Anholt).

2004-08-18  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/SM/sm_manager.c:
	* programs/Xserver/Xprint/ps/PsPixmap.c: (PsCreatePixmap):
	* programs/Xserver/render/renderedge.c: (RenderSampleFloorY):
	Fix AIX build problems (Bugs #1020, 1102, 1103, Dan McNichol).

	* programs/Xserver/hw/xfree86/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/newport/Imakefile:
	Remove old config files (Bug #1123, Jim Gettys).

	* programs/Xserver/hw/xfree86/common/xf86Init.c: (xf86PrintBanner):
	Remove old log message (Bug #1123, Jim Gettys).

2004-08-17  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Update release and date for RC2.

2004-08-17  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	Reenable Radeon Render acceleration now that interactions with 3D
	clients should be resolved.

2004-08-17  Eric Anholt  <anholt@FreeBSD.org>

	* extras/Mesa/src/mesa/drivers/dri/r200/r200_cmdbuf.c:
	(r200EmitVbufPrim), (r200AllocEltsOpenEnded), (r200EmitVertexAOS),
	(r200EmitAOS):
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_context.h:
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_ioctl.c:
	(r200FlushCmdBufLocked), (r200Clear):
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_ioctl.h:
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_lock.h:
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_state_init.c:
	(r200InitState):
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_swtcl.c:
	(flush_last_swtcl_prim):
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_tcl.c:
	(r200AllocElts), (EMIT_PRIM):
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_context.h:
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_ioctl.c:
	(radeonEmitVbufPrim), (radeonAllocEltsOpenEnded),
	(radeonEmitVertexAOS), (radeonEmitAOS), (radeonFlushCmdBufLocked),
	(radeonClear):
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_ioctl.h:
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_lock.h:
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_state_init.c:
	(radeonInitState):
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_swtcl.c:
	(flush_last_swtcl_prim):
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_tcl.c:
	(radeonAllocElts), (EMIT_PRIM):
	Check in new Radeon/R200 drivers from Mesa CVS which close several
	races in the code, which could cause rendering errors on r100 and hangs
	and rendering errors on r200, when there are multiple clients.

2004-08-17  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/cygwin.tmpl:
	Add SharedXevieReqs for cygwin (Bug #1108, Alexander Gottwald).

2004-08-17  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/GL/glx/Imakefile:
	Fix DRI module loading (Bug #1057, Ronny Vindenes).

	* programs/Xserver/hw/vfb/InitOutput.c: (vfbScreenInit):
	Fix Xvfb at 8bpp (Bug #1091).

	* programs/glxgears/Imakefile:
	Fix link order when building with Xprint in glxgears (Bug #1060,
	Alexander Gottwald).

2004-08-17  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/GL/glx/Imakefile:
	Fix bug where DRI drivers look in wrong dir (Bug #1057, Mike
	Harris, Ronny Vindenes).

	* programs/xphelloworld/Imakefile:
	Disable building xpawhelloworld until Xaw/Xprint library is
	available.

2004-08-16  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	* programs/Xserver/hw/xfree86/common/Imakefile:
	Update release and date for first RC.

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c:
	Fix kbd/keyboard driver for DoLoadableServer NO.

	* programs/Xserver/hw/xfree86/xf86Date.h:
	Revert change since it is better to set date in the config files.

2004-08-16  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Config.c:
	(xf86BuiltinInputDriver):
	* programs/Xserver/hw/xfree86/common/xf86Init.c:
	* programs/Xserver/hw/xfree86/input/keyboard/Imakefile:
	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (xf86KbdPlug),
	(xf86KeyboardPlug):
	Add kbd <-> keyboard aliasing when UseDeprecatedKeyboardDriver
	is NO (Bug #1072, Kristian Høgsberg).

2004-08-16  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/Xevie/Imakefile:
	Fix build problem with xevie.pc

2004-08-16  Stuart Kreitman  <stukreit@freedesktop.org>
	* xc/lib/Imakefile
	* xc/lib/Xext/Imakefile
	* xc/lib/Xext/Attic/Xevie.c moved to lib/Xevie
	* xc/lib/Xevie/Imakefile
	* xc/lib/Xevie/Xevie.c
	* xc/lib/Xevie/Xevie.man
	* xc/lib/Xevie/xevie.pc.in
	* xc/lib/Xevie/xevieplaceholder.h
	Bug #957 Moved Xevie client side to libXevie.so

2004-08-16  Kristian HÃžgsberg  <krh@redhat.com>

	As discussed and agreed on on the release-wranglers meeting of
	August 16, I'm committing the patch from bug #1060 to back out
	unconditional Xprint functionality.
	
	* lib/Xaw/Imakefile:
	Back out Xprint changes.

	* programs/xman: 
	* programs/xlogo: 
	* programs/xedit: 
	Revert xman to CVS of June 5, revert xlogo to CVS of May 8, revert
	xedit to CVS of April 25, to back out unconditional Xprint support.
	
	* config/cf/X11.tmpl: 
	Fix up Xprint config logic to be like the rest of the extensions:
	BuildXprint is a one-stop option for disabling everything Xprint
	related.  XprtServer controls building Xprt, BuildXprintLib
	controls building Xprint libs and BuildXprintClients controls
	building clients related to Xprint.  BuiltXprint defaults to YES
	and the other options respects relevant settings, i.e. BuildServer
	and BuildServersOnly.

	* lib/Imakefile: 
	Build Xaw regardless of BuildXprintLib setting.
	
	* programs/Imakefile: 
	Only build xphelloworld, xplsprinters and xprehashprinterlist when
	BuildXprintClients it YES.  Disable building xmore, it has always
	supported XawPrintShell.

	* programs/xdpyinfo: 
	* programs/xset: 
	* programs/glxgears: 
	Make Xprint support depend on BuildXprintLib.

2004-08-16  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.c:
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/riva_driver.c:
	* programs/Xserver/hw/xfree86/drivers/s3/s3_driver.c:
	* programs/Xserver/hw/xfree86/drivers/s3virge/s3v_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	Bug #1087: Make sure all the *Weak symbols are documented in the
	import list, so the loader knows not to complain about unresolved
	symbols	when an optional module isn't loaded.  This typically
	manifests as warnings about fbdevHW symbols when the user isn't
	using the framebuffer console.

2004-08-15  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Init.c: (xf86PrintBanner):
	* programs/Xserver/hw/xfree86/xorgVersion.h:
	Fix banner to print out proper version information.

2004-08-15  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compwindow.c:
	(compWindowUpdateAutomatic):
	Clip destination instead of source.  Should be the same,
	but it looks nicer to me.
	
	* programs/Xserver/miext/cw/cw.c: (cwCreateGCPrivate),
	(cwDestroyGCPrivate), (cwCheapValidateGC):
	Clean up transition between cheap and expensive GC wrappers
	by using the prologue and epilogue macros.  Before, the GC
	would be left unvalidated sometimes which would cause all
	kinds of entertaining bugs against a DDX which cares (XAA).

2004-08-15  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compint.h:
	* programs/Xserver/composite/compwindow.c: (compPositionWindow):
	Remove debugging code which did a full tree walk
	on every window operation 
	
	* programs/Xserver/miext/cw/cw.c: (cwDestroyGCPrivate),
	(cwSetWindowPixmap):
	Eliminate needless (and, it turns out, dangerous) call
	to ChangeGC on DestroyGCPrivate.

	in cwSetWindowPixmap, check if the pixmap is the screen
	pixmap and disable the wrapper by setting the private to NULL.

2004-08-15  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/common/xf86Configure.c:
	Remove #error used for testing.

2004-08-14  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compalloc.c: (compNewPixmap),
	(compAllocPixmap), (compReallocPixmap):
	Copy bits from parent window when allocating pixmaps so that
	Background == None works.
	
	* programs/Xserver/miext/cw/cw_render.c: (cwValidatePicture):
	Copy filter to backing picture during validation.
	
	* programs/Xserver/render/filter.c: (SetPictureFilter):
	* programs/Xserver/render/picture.c: (SetPictureTransform),
	(CopyPicture):
	Mark picture serialNumber when setting Filter or Transform so
	Validate occurs.

	* programs/Xserver/hw/xfree86/common/xf86Init.c: (InitOutput):
	Initialize xf86Screens[i]->pScreen to NULL so that RADEON
	driver doesn't crash during server reset using old pScreen.
	
2004-08-15  Kristian HÃžgsberg  <krh@redhat.com>

	* config/cf/DGUX.cf, config/cf/QNX4.cf, config/cf/bsdi.cf,
	config/cf/isc.cf, config/cf/lynx.cf, config/cf/mach.cf,
	config/cf/nto.cf, config/cf/sco5.cf, config/cf/sgi.cf,
	config/cf/sun.cf, config/cf/x386.cf
	Enable compilation of old keyboard driver for these platforms by
	default (#1070).

2004-08-14  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	Fix unresolved symbol warnings in r128 driver (Adam Jackson)

2004-08-14  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compwindow.c: (compRepaintBorder),
	(compSetPixmapVisitWindow):
	Redraw window borders when switching window pixmaps around
	
	* programs/Xserver/miext/cw/cw.c: (cwGetBackingDrawable),
	(cwGetWindowPixmap), (cwSetWindowPixmap),
	(miInitializeCompositeWrapper):
	* programs/Xserver/miext/cw/cw.h:
	* programs/Xserver/miext/cw/cw_render.c: (cwCreatePicturePrivate),
	(cwGetBackingPicture):
	Make cw "own" the window pixmaps by wrapping 
	GetWindowPixmap/SetWindowPixmap.

2004-08-14  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	* config/cf/NetBSD.cf:
	Bug #909: Remove incorrect HasGhostScript YES from BSD config files.

2004-08-15  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/common/xf86Configure.c:
	More kbd fun: write out "kbd" from Xorg -configure (#1078).

2004-08-14  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/miext/cw/cw.c: (cwCopyWindow):
	Fix offsets again.  Really, it works this time.  Promise.

2004-08-14  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/miext/cw/cw.c: (cwCopyWindow):
	Fix offsets, do whole region at once by using GC clipping

2004-08-14  Eric Anholt  <anholt@FreeBSD.org>

	reviewed by: <keihtp@keithp.com>

	* programs/Xserver/hw/xfree86/xaa/xaaPict.c: (XAADoComposite),
	(XAACompositeSrcCopy), (XAAComposite):
	Bug #1077: Fix source copy performance problem exposed by Composite.

2004-08-14  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/miext/cw/cw.c: (cwValidateGC):
	* programs/Xserver/miext/cw/cw.h:
	* programs/Xserver/miext/cw/cw_render.c: (cwCreatePicturePrivate),
	(cwDestroyPicturePrivate), (cwGetBackingPicture),
	(cwDestroyPicture), (cwChangePicture), (cwValidatePicture):
	Fix clip list computation and setting to ignore clip changes
	to "real" GC/Picture and track serial numbers correctly when
	copying pCompositeClip down.

2004-08-14  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/miext/cw/cw.c: (cwCopyWindow),
	(miInitializeCompositeWrapper), (cwCloseScreen):
	* programs/Xserver/miext/cw/cw.h:
	Wrap CopyWindow in cw, which fixes scrolling in many apps.

2004-08-14  Keith Packard  <keithp@keithp.com>

	* lib/X11/OpenDis.c: (XOpenDisplay):
	Use XLIB_SKIP_ARGB_VISUALS environment variable to disable
	all depth 32 visuals.  Necessary to keep Flash from crashing.

	* programs/Xserver/miext/cw/cw.c: (cwValidateGC):
	* programs/Xserver/miext/cw/cw_render.c: (cwValidatePicture):
	Must call ValidateGC/ValidatePicture on "real" GC/Picture to
	ensure pCompositeClip is set correctly.
	
	Need to take the composite clip from the "real" GC/Picture and
	turn it into the clientClip for the backing version. 

	* programs/Xserver/miext/damage/damage.c: (damageDamageRegion):
	Adjust pixmap screen origin to account for drawable->x/y
	Change debugging output a bit (disabled by default)

2004-08-13  Nolan Leake  <xorg-nolan@sigbus.net>

        * programs/Xserver/hw/xfree86/drivers/vmware/vmware.c
	Save the register state before we write to any of them.  This
	makes the VMware driver coexist with VESA fbcon.

2004-08-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/Imakefile:
	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Don't enable speedo & type1 modules if they're not being built

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	* programs/Xserver/hw/xfree86/xf86config/cards.c:
	Clean up a couple of hardcoded paths & vendor names to use defines
	set by Imakefile

	* config/cf/X11.tmpl:
	Bugzilla #1055: "#define BuildXprint NO" is broken (6.7.99.2)
	If XprtServer is undefined, but BuildXprint is defined, then
	BuildXprint should set XprtServer as well.

	* config/cf/xorg.cf:
	Remove extra setting of XprtServer - just let it use the setting
	in X11.tmpl	

2004-08-13  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/os/log.c: (VAuditF):
	Fix Xprt bug by disabling code that merges multiple audit messages
	(Bug #964, Roland Mainz).

Fri Aug 13 19:53:10 2004  Soeren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/hw/xfree86/drivers/mga/mga_storm.c
	(MGAStormSync): Fix for lockups on some versions of Matrox
	Mystique. #687, Patch from Mike Harris.

	* programs/Xserver/hw/xfree86/common/xf86RandR.c
	(xf86RandRSetMode): Call xf86EnableDisableFBAccess though the
	function pointer instead of directly. #1041, Patch from Aaron Plattner.

	* programs/Xserver/hw/xfree86/common/xf86RandR.c: Swap the
	phsyical size of the screen when rotiation. #1050, Patch from
	Aaron Plattner.

2004-08-13  Kristian HÃžgsberg  <krh@redhat.com>

	* config/cf/Imake.rules:
	Add .PHONY target when using GNU make.  This will speed up make in
	general, but more importantly fix #1042.

2004-08-13  Alexander Gottwald  <ago@freedesktop.org>

	* lib/X11/lcSjis.c:
	Set most significant bit to be a one. (Bug #1024, Kensuke Matsuzaki)
	* lib/X11/lcEuc.c:
	Fix conversion from sjis and euc. (Bug #1024, Toshio Takabe)

2004-08-13  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/xterm/*:
	Merge in version 195 from upstream xterm
	(http://dickey.his.com/xterm). Fixes #855.

	* programs/Xserver/Xprint/etc/init.d/Imakefile (install):
	Fix my typo in Solaris part of Xprint /etc/init.d install.

2004-08-13  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compalloc.c: (compFreePixmap):
	Empty damage object when freeing pixmap.

	* programs/Xserver/composite/compinit.c: (compCloseScreen),
	* programs/Xserver/composite/compint.h:
	(compInstallColormap), (compAddAlternateVisuals), (compScreenInit):
	Wrap InstallColormap so that the DDX doesn't see colormaps from
	our ARGB visual (avoids lovely green tint to screen).
	Also, set visual->nplanes of ARGB visual to all used
	(including alpha) planes so DIX can set pixel values correctly.

	* programs/Xserver/composite/compwindow.c:
	(compWindowUpdateAutomatic):
	Translate automatic update regions correctly to account for borders

	* programs/Xserver/dix/colormap.c:
	When nplanes == 32 (ARGB visuals), mask in all ones for alpha values
	to allocated pixel values.

	* programs/Xserver/fb/fbpict.h:
	Remove redundant fbAddTraps declaration

	* programs/Xserver/fb/fbwindow.c: (fbCopyWindow):
	Fix fbCopyWindow to work on non-screen pixmaps (not needed yet)
	
	* programs/Xserver/render/mipict.c: (miClipPictureReg),
	(miClipPictureSrc), (miCompositeSourceValidate),
	(miComputeCompositeRegion):
	Replace broken clipping code with that from modular tree.

	* programs/Xserver/render/mirect.c: (miColorRects):
	Respect subWindowMode.

2004-08-13  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/render/picture.c: (CopyPicture):
	Fix copy'n'paste-os of x/y in CopyPicture for AlphaXOrigin and
	ClipXOrigin.

2004-08-12  Eric Anholt  <anholt@FreeBSD.org>

	* extras/Mesa/XOrg-Xlist:
	Removed files left over from older versions of Mesa, both on the vendor
	branch and older ones from head.  Several directories have been pruned
	from the current import (but not docs, which includes COPYING), which
	are listed in the new file "XOrg-Xlist".  This can be used in the form
	of "rm -rf `cat .../XOrg-Xlist`" when preparing a Mesa checkout for
	importing.

2004-08-12  Keith Packard  <keithp@keithp.com>

	* programs/xcursorgen/redglass/gumby*
	* programs/xcursorgen/whiteglass/gumby*
	* programs/xcursorgen/handhelds/gumby*
	Replace the cursors used for the 'gumby' name by
	ones which don't infringe on copyright and trademarks.

2004-08-12  Eric Anholt  <anholt@FreeBSD.org>

	* extras/Mesa/include/GL/glxext.h:
	* programs/Xserver/GL/glx/singlesize.c: (__glGet_size):
	Fix after Mesa 20040812 merge: revert glxext.h to vendor branch, and fix
	bug #1022.

2004-08-12  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/hw/darwin/quartz/cr/Imakefile:
	* programs/Xserver/hw/darwin/quartz/cr/crScreen.m:
	(CRSetupScreen):
	* programs/Xserver/hw/darwin/quartz/xpr/Imakefile:
	* programs/Xserver/hw/darwin/quartz/xpr/xprScreen.c:
	(xprSetupScreen):
	Fix crash in rootless XDarwin due to rootless being initialized
	before damage extension.

2004-08-12  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/Imakefile:
	Add Imake instrumentation for the ProPolice fix; #define
	ProPoliceSupport YES in host.def to enable the workaround.

2004-08-12  Kristian HÃžgsberg  <krh@redhat.com>

	* config/cf/xorg.cf:
	Update PPC64 defines to use XorgServer instead of XF86Server.

	* config/cf/X11.tmpl:
	Fix double-backslash typo.

2004-08-12  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/miext/cw/cw.c: (cwDestroyGCPrivate),
	(cwValidateGC):
	* programs/Xserver/miext/cw/cw.h:
	* programs/Xserver/miext/cw/cw_ops.c:
	* programs/Xserver/miext/cw/cw_render.c: (cwCreateBackingPicture),
	(cwGetBackingPicture), (cwDestroyPicture), (cwValidatePicture),
	(cwInitializeRender), (cwFiniRender):
	Fix various cw issues, including a couple reported by deronj:
	- Fix wrapping of GC ops/funcs according to policy described in bug
	  #1045.
	- Remove ValidateGC/ValidatePictures on the redirected
	  drawables/pictures -- it's not needed, and DDXs shouldn't be seeing
	  redirected drawables in render or GC ops/funcs when cw is running.
	- Mark all GC/Picture state as dirty when moving from redirected to
	  non-redirected, since it hadn't been passed down in Change* or
	  Validate* while redirected.
	- Remove CreatePicture wrapper that didn't do anything.
	- Comment on why AddTraps wrapper isn't needed.

2004-08-12  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/composite/compint.h:
	* programs/Xserver/composite/compwindow.c: (compCheckRedirect):
	Fix some issues reported by deronj:
	- Hopefully fix a crash in compCheckRedirect on unrealizing windows.
	- Remove an extern that doesn't point at anything.

2004-08-11  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/Imakefile:
	* programs/Xserver/composite/Imakefile:
	* programs/Xserver/composite/cw.c:
	* programs/Xserver/composite/cw.h:
	* programs/Xserver/composite/cw_ops.c:
	* programs/Xserver/composite/cw_render.c:
	* programs/Xserver/miext/cw/Imakefile:
	Move cw to miext/cw after repo-copy.  It's not really tied to the
	composite extension, and may need to be separate any way to handle some
	wrapping ordering vs linking ordering issues.

2004-08-12  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineRestore):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	(RADEONEnterServer):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RadeonInit3DEngine), (R100SetupTexture),
	(R100SetupForCPUToScreenAlphaTexture),
	(R100SetupForCPUToScreenTexture), (R200SetupTexture),
	(R200SetupForCPUToScreenAlphaTexture),
	(R200SetupForCPUToScreenTexture):
	Fix context switching on Radeons and build problem when XF86DRI is
	not defined (Bug #922, Eric Anholt).

2004-08-12  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/Xserver/miext/damage/damage.c (damageCopyPlane) 
	(damageCopyArea):
	Add call to SourceValidate() when pDst == pSrc, so misprite.c get
	a chance to remove the sprite before the area is copied.  The
	drivers handle pDst != pSrc (#1030).

2004-08-11  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/r128_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.h:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	* programs/Xserver/hw/xfree86/drivers/imstt/imstt_driver.c:
	Factor out R{128,ADEON}Chipsets into their own headers so they can be
	sanely included in both the ati core and the r128/radeon submodules;
	r128 and radeon can now be directly loaded under dlloader.  Teach
	imstt about the dlloader-frendly way to talk to fbdevhw.  (Partial 
	for bugs #393 and #400.)

2004-08-11  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compwindow.c:
	(compWindowUpdateAutomatic):
	Paint to parent window instead of parent window's pixmap
	(helps for servers that don't have a pixmap for the root)

	* programs/Xserver/composite/cw_render.c: (cwGetBackingPicture):
	Fix offsets for render drawing.

2004-08-11  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/hw/darwin/darwin.c: (DarwinPrintBanner):
	Fix leftover XF86_VERSION_SNAP macro.

2004-08-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

        * xftfreetype.c: (_XftReleaseFile):
	Called strlen with (f->file) without checking for NULL (which
	happens when directly using FT_Face objects) (Bug #1047, Keith
	Packard).

2004-08-11  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drm.c:
	Bug #979: Don't include <sys/sysmacros.h> on linux, it occasionally
	emits makedev() as a function call that elfloader can't resolve.
	Originally Gentoo Bug #41962, reported by Ryan Breen, fix feedback
	from Ryan Lortie.

2004-08-11  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/xf86sym.c:
	Teach the loader about the extra symbols needed for Propolice-
	protected modules to work under elfloader.  From Matthieu Herrb
	(OpenBSD) by way of Travis Tilley (Gentoo).

2004-08-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/X11.tmpl:
	Fix Xnest and Xdmx builds when BuildServersOnly is YES (Bug #1026,
	Alexander Gottwald, Kevin Martin).

2004-08-11  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/fb/fbwindow.c: (fbCopyWindow):
	Add COMPOSITE change to fbCopyWindow (not needed yet)
	
	* programs/Xserver/hw/xnest/Cursor.c: (xnestSetCursor),
	(xnestMoveCursor):
	* programs/Xserver/hw/xnest/Events.c: (ProcessInputEvents),
	(xnestCollectEvents):
	* programs/Xserver/hw/xnest/GCOps.c: (xnestPushPixels):
	* programs/Xserver/hw/xnest/Screen.c: (xnestOpenScreen):
	* programs/Xserver/hw/xnest/XNCursor.h:
	Xnest was half-using midispcur and doing a bad job of it.
	Replace all of that code with mipointer which does a lot of the
	work.
	
	* programs/Xserver/miext/damage/damage.c: (getDrawableDamageRef),
	(damageCreateGC), (damageRemoveDamage), (damageInsertDamage),
	(damageDestroyPixmap), (damageSetWindowPixmap), (DamageSetup),
	(DamageRegister), (DamageUnregister):
	* programs/Xserver/miext/damage/damagestr.h:
	Support DDXen which don't provide GetWindowPixmap, or which
	return NULL for the root pixmap.

2004-08-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/os/Imakefile:
	* programs/Xserver/os/utils.c: (CheckUserParameters):
	Fix bogus contact address in Xserver/os/util.c (Bug #738).

2004-08-11  Eric Anholt  <anholt@FreeBSD.org>

	reviewed by: <keithp@keithp.com>

	* programs/Xserver/render/picture.c: (CopyPicture):
	In CopyPicture, add missing call to ChangePicture to notify about
	the changes that CopyPicture has done.

2004-08-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/Imake.cf:
	* config/cf/linux.cf:
	* config/cf/xorg.cf:
	* config/imake/imakemdep.h:
	* include/Xmd.h:
	* lib/Xt/Xtos.h:
	* programs/Xserver/fb/fb.h:
	* programs/Xserver/hw/xfree86/os-support/bus/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	* programs/Xserver/os/xalloc.c:
	Apply PPC64 build patch (Bug #303, Mike A. Harris, Alan
	Coopersmith).

2004-08-11  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/xf86config/Imakefile: 
	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c: 
	Patch xorgconfig to generate config files with correct keyboard
	driver; use "kbd" by default, "keyboard" if
	UseDeprecatedKeyboarDriver is YES (#1040).
	
	* programs/Xserver/Xprint/etc/profile.d/Imakefile: 
	* programs/Xserver/Xprint/etc/Xsession.d/Imakefile: 
	* programs/Xserver/Xprint/etc/init.d/Imakefile: 
	Don't install files outside ProjectRoot when
	NothingOutsideProjectRoot is YES (#972).
	
2004-08-11  Adam Jackson <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.c:
	Fix vesa.c's shadow symbol list.

2004-08-11 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/doc/hardcopy/XPRINT/Xprint_FAQ.html
        * xc/doc/hardcopy/XPRINT/Xprint_FAQ.txt
        * xc/doc/hardcopy/XPRINT/Xprint_FAQ.xml
        Syncing FAQ

2004-08-11 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/etc/init.d/xprint.cpp
        Bugzilla #492: /etc/init.d/xprint did not source xorg.conf
        for font paths additionally to xfree86 config files

2004-08-11  Eric Anholt  <anholt@FreeBSD.org>

	* programs/x11perf/Imakefile:
	* programs/x11perf/do_traps.c: (InitFixedTraps):
	- Fix the build with old libXrender headers installed by including
	  TOP_INCLUDES first in the INCLUDES line.
	- Drive-by fix of unused variables warnings in do_traps.c.

2004-08-10  Adam Jackson <ajax@freedesktop.org>

	* lib/X11/PolyReg.c:
	Bug #372: Prevent a crash in XPolygonRegion when called with a bogus
	point count.  Reported by Andreas Luik.

2004-08-10  Adam Jackson <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/atimodule.c:
	Bug #978: Silence more unresolved symbol warnings from the ati driver.
	Patch from Stefan Dirsch.

2004-08-10  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONAccelInit):
	Fix Radeon build problem with #define DoLoadableServer NO (Bug
	#1031)

2004-08-10  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	* programs/Xserver/hw/xfree86/common/xf86Init.c: (xf86PrintBanner):
	Update version to 6.7.99.1 and fix problem with snapshot string
	generation.

2004-08-10  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/atimodule.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Bug #978: Silence unresolved symbol warnings from the ati driver.
	Reported by Michel Daenzer.

2004-08-10  Kristian HÃžgsberg  <krh@redhat.com>

	* lib/Xcomposite/xcomposite.pc.in (Version):
	* lib/Xcomposite/xdamage.pc.in (Version): 
	* lib/Xcomposite/xfixes.pc.in (Version): 
	Replace @PACKAGE_VERSION@ with @VERSION@ so the substs works, fix
	copy-and-paste error.
	
2004-08-09  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/Imakefile:
	Fix install problem on platforms not using xorg.cf/xfree86.cf
	(Bug #339, Harold L. Hunt II, Alexander Gottwald).

	* lib/X11/lcUTF8.c: (create_tofontcs_conv):
	Fix crash when using X core font in zh_CN.UTF-8 locale (Bug #368,
	Yu Shao, David Dawes).

	* programs/Xserver/GL/glx/glxcmds.c: (DoMakeCurrent):
	Fix glXMakeCurrent(Dpy, None, NULL) crash (Bug #719, Adam
	Jackson).

	* config/cf/lnxLib.tmpl:
	* programs/Xserver/include/servermd.h:
	HP-PA build fix (Bug #828, Guy Martin, Paul Anderson).

	* include/Imakefile:
	* include/extensions/Imakefile:
	Fix SDK build for GATOS and Wacom driver (Bug #829, Bryan Stine).

	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:
	(MGAReadBios):
	Fix attempt to read video ROM before enabling it (Bug #843, Ivan
	Kokshaysky, Mike A. Harris).

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	(FindPCIVideoInfo):
	Fix detection of primary adapter (Bug #843, Ivan Kokshaysky, Mike
	A. Harris).

	* programs/xset/xset.man:
	Clarify xset man page description of how to use the keyboard
	repeat rate settings (Bug #846, Mike A. Harris).

	* programs/xkbcomp/symbols/czsk:
	* programs/xkbcomp/symbols/jp:
	* programs/xkbcomp/symbols/pc/pc:
	* programs/xkbcomp/symbols/us:
	* programs/xkbcomp/symbols/us_group2:
	* programs/xkbcomp/symbols/us_group3:
	Fix problem where print-screen key would get remapped to sys-req
	in certain keymaps, which broke GNOME printscreen functionality
	(Bug #847, Owen Taylor).

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineRestore):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONAccelInit):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	(RADEONEnterServer):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RADEONInit3DEngineForRender), (RadeonInit3DEngine),
	(R100SetupTexture), (R100SetupForCPUToScreenAlphaTexture),
	(R200SetupTexture):
	Fix several render problems:
	- MMIO mode support
	- Hang on IGP chips
	- VT switching hang
	- 3D render corruption
	(Bug #922, Hui Yu).
	
2004-08-09  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/loader/extsym.c (extLookupTab): 
	* programs/Xserver/hw/xfree86/loader/dixsym.c (dixLookupTab): 
	Move the new render symbols to dixsym.c instead so they are
	grouped with the other render symbols.

	* programs/Xserver/fb/fbpixmap.c (fbCreatePixmapBpp):
	Initialize screen_x and screen_y to 0.  This fixes a problem with
	the new Damage based sprite, where intersection test against the
	root pixmap would fail because the two fields were not
	initialized (damage.c, 166-170).

2004-08-08  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/cf/X11.tmpl:
	* programs/Xserver/Imakefile:
	Fix building without Xfixes extension

	* include/extensions/Imakefile:
	* lib/Xext/Imakefile:
	* programs/Xserver/dix/events.c:
	Fix building without Xevie

	* programs/Xserver/hw/dmx/dmxdpms.c: (_dmxDPMSInit):
	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	* programs/Xserver/hw/xfree86/loader/xf86sym.c:
	Fix building without DPMS

	* programs/Xserver/hw/xfree86/common/xf86Config.c:
	(configExtensions):
	Fix "Extensions" section config file support to accept general
	boolean options

2004-08-08  Kristian HÃžgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/common/Imakefile: 
	* config/cf/xorgsite.def: 
	* config/cf/xorg.cf:
	* programs/Xserver/hw/xfree86/common/xf86Init.c (InitInput):
	Disable legacy keyboard driver "keyboard", unless
	USE_DEPRECATED_KEYBOARD_DRIVER is defined.  Print warning if the
	old driver is used.

	* programs/Xserver/hw/xfree86/loader/extsym.c (extLookupTab):
	Add new render symbols to list of exported extension symbols so
	DoLoadableServer works again.

	* programs/Xserver/hw/xfree86/drivers/i810/Imakefile: 
	Remove non-existent i830_3d_reg.h from i810 install.sdk target.

2004-08-07  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xdmcp/DAofA8.c: (XdmcpDisposeARRAYofARRAY8):
	Check to see if array->data is NULL before we dereference it, 
	instead	of after.  (Prevents segfault when array->data is 
	initialized to NULL, but array->length is not set to 0.)

	* programs/xdm/xdmcp.c: (request_respond):
	Always initialize both data & length in ARRAYs.

2004-08-06  Matthieu Herrb <matthieu.herrb@laas.fr>

	* config/cf/OpenBSDLib.tmpl:
	update shared libries revisions on OpenBSD to track libc ABI changes. 

2004-08-06  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/mi/mieq.c:
	Fix minor timestamp lossage in mieq.
	
	* programs/Xserver/mi/Imakefile:
	* programs/Xserver/mi/misprite.c: (miSpriteReportDamage),
	(miSpriteCopyWindow):
	* programs/Xserver/mi/mispritest.h:
	Replace miSprite implementation with Damage-based one.
	Otherwise damage and misprite conflict causing looping.
	
	* programs/Xserver/miext/damage/damage.c: (damageDamageRegion),
	(DamageSubtract):
	Change pScreen usage around a bit to eliminate warnings
	

2004-08-06  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/hw/vfb/InitOutput.c: (vfbScreenInit),
	(InitOutput):
	Eliminate mfb support. Fix visuals to match "normal" PC hardware
	(making lightpipe work).

2004-08-06  Keith Packard  <keithp@keithp.com>

	* config/cf/linux.cf:
	Fix Debian section to respect NothingOutsideProjectRoot directive

2004-08-06  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/cw.c: (cwCheapValidateGC),
	(miInitializeCompositeWrapper):
	Clean up cw initialization, make sure wrappers re-wrap on exit.

2004-08-06  Keith Packard  <keithp@keithp.com>

	* programs/Xserver/composite/compinit.c: (compAddAlternateVisuals):
	* programs/Xserver/dix/colormap.c:
	* programs/Xserver/include/scrnintstr.h:
	Remove alpha-related fields from visual structure to retain
	binary compatibilty.  Applications using ARGB visuals will need
	to use Render or other mechanisms to compute pixel values
	instead of AllocColor

2004-08-06  Keith Packard  <keithp@keithp.com>

	* lib/Xrender/AddTrap.c: (XRenderAddTraps):
	* lib/Xrender/Imakefile:
	* lib/Xrender/Xrender.h:
	* lib/Xrender/configure.ac:
	Update to version 0.9 of Xrender (includes XRenderAddTraps)

2004-08-06  Keith Packard  <keithp@keithp.com>

	* include/extensions/render.h:
	* include/extensions/renderproto.h:
	* programs/Xserver/fb/Imakefile:
	* programs/Xserver/fb/fbedge.c: (fbRasterizeEdges):
	* programs/Xserver/fb/fbedgeimp.h:
	* programs/Xserver/fb/fbpict.c: (fbPictureInit):
	* programs/Xserver/fb/fbpict.h:
	* programs/Xserver/fb/fbtrap.c: (fbAddTraps),
	(fbRasterizeTrapezoid), (_GreaterY), (_Clockwise),
	(fbAddTriangles):
	* programs/Xserver/render/Imakefile:
	* programs/Xserver/render/mipict.c: (miIsSolidAlpha),
	(miPictureInit):
	* programs/Xserver/render/mipict.h:
	* programs/Xserver/render/mitrap.c: (miTrapezoids):
	* programs/Xserver/render/mitri.c: (miTriangles), (miTriStrip),
	(miTriFan):
	* programs/Xserver/render/picture.c: (AddTraps):
	* programs/Xserver/render/picture.h:
	* programs/Xserver/render/picturestr.h:
	* programs/Xserver/render/render.c: (RenderNumberRequests),
	(ProcRenderAddTraps), (SProcRenderAddTraps),
	(PanoramiXRenderAddTraps), (PanoramiXRenderInit):
	* programs/Xserver/render/renderedge.c: (RenderSampleCeilY),
	(RenderSampleFloorY), (RenderEdgeStep), (_RenderEdgeMultiInit),
	(RenderEdgeInit), (RenderLineFixedEdgeInit):
	* programs/Xserver/render/renderedge.h:
	* programs/x11perf/do_tests.c:
	* programs/x11perf/do_traps.c: (InitFixedTraps), (DoFixedTraps),
	(EndFixedTraps), (InitFixedTrapezoids), (DoFixedTrapezoids),
	(EndFixedTrapezoids):
	* programs/x11perf/x11perf.h:
	Add RenderAddTraps.  Rewrite trapezoid rendering code.

2004-08-06  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	Disable Render acceleration in Radeon driver temporarily until
	it no longer conflicts with the 3D code.

2004-08-05  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/composite/cw.c: (miInitializeCompositeWrapper),
	(cwCloseScreen):
	* programs/Xserver/composite/cw.h:
	* programs/Xserver/composite/cw_render.c: (cwFiniRender):
	Fix missing ';' in cw.c and unwrap the render wrapper properly.

2004-08-05  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/composite/cw.c: (miInitializeCompositeWrapper):
	* programs/Xserver/composite/cw.h:
	* programs/Xserver/composite/cw_render.c: (cwCreateBackingPicture),
	(cwDestroyBackingPicture), (cwCreatePicture), (cwValidatePicture),
	(cwGlyphs), (cwCompositeRects), (cwTrapezoids), (cwTriangles),
	(cwTriStrip), (cwTriFan), (cwInitializeRender):
	* programs/Xserver/render/picture.c: (CopyPicture):
	* programs/Xserver/render/picturestr.h:
	- Add a new Render function, CopyPicture, which will update a picture
	  with the flagged bits from a source picture.  Approved in principle
	  by keithp.
	- Use CopyPicture and SetTransform to update most of the backing
	  picture's state in the composite wrapper.  Filters are still missing.
	- Don't allocate a picture private, now that we calculate clipping
	  properly and don't need the serialNumber or stateChanges.
	- Use the format of the source pixmap rather than generating the format
	  from the window's visual.
	- Wrap the rest of the Render primitives that were stubbed out before.

Thu Aug  5 15:34:04 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* programs/Xserver/fb/Imakefile: Compile fbfill.c and fbpict.c
	with the mmx CFLAGS. DOH.

2004-08-04  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/composite/cw.c: (cwValidateGC),
	(cwFillRegionSolid), (cwFillRegionTiled),
	(cwPaintWindowBackground), (cwPaintWindowBorder):
	- Always validate the backing GC in cwValidateGC, not just when the clip
	  list changes.
	- Use FillTiled instead of FillSolid for painting tiled
	  border/background pixmaps, and don't needlessly change the scratch
	  GC's defaults.
	- Use the preferred dixChangeGC instead of DoChangeGC.
	- Simplify a silly loop and clean up a couple of comments.

2004-08-04  Michel Daenzer  <michel@daenzer.net>

	reviewed by: Hui Yu <hyu@ati.com>, Kevin E. Martin
	<kem@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_cursor.c:
	(RADEONSetCursorColors), (RADEONLoadCursorImage),
	(RADEONLoadCursorARGB):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONPutImage):
	Use info->ModeReg.surface_cntl to restore byte swapping for the
	framebuffer aperture on big endian machines, remove superfluous local
	variables and register reads.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(R100SetupTexture), (R200SetupTexture):
	Adapt framebuffer aperture byte swapping to texture format before
	copying data to offscreen area and restore it afterwards on big endian
	machines, fixes Render acceleration there.

2004-08-04  Egbert Eich  <eich@freedesktop.org>

	* lib/font/FreeType/ft.h:
	* lib/font/FreeType/ftfuncs.c: (FT_Do_SBit_Metrics),
	(FreeTypeRasteriseGlyph):
	Optimization of CJK rendering when using versions of freetype
	prior to 2.1.8 (Chisato Yamauchi).
	* lib/font/FreeType/fttools.c:
	* lib/font/FreeType/module/myftstdlib.h:
	A small backward compatibility fix to make the freetype module
	build with freetype version < 2.1.7.
	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c:
	(fbdevHWLoadPalette), (fbdevHWAdjustFrame), (fbdevHWDPMSSet),
	(fbdevHWSaveScreen):
	Fixed/added some debugging code.
	
2004-08-03  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONAccelInit):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitAccel):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RadeonGetTextureFormat), (RadeonGetColorFormat),
	(RadeonGetBlendCntl), (R100SetupTexture),
	(R100SetupForCPUToScreenAlphaTexture),
	(R100SetupForCPUToScreenTexture), (R200SetupTexture),
	(R200SetupForCPUToScreenAlphaTexture),
	(R200SetupForCPUToScreenTexture):
	* programs/Xserver/hw/xfree86/xaa/xaa.h:
	* programs/Xserver/hw/xfree86/xaa/xaaInitAccel.c: (XAAInitAccel):
	* programs/Xserver/hw/xfree86/xaa/xaaPict.c: (XAADoComposite):
	- Add two new XAA hooks, SetupForCPUToScreenTexture2 and
	  SetupForCPUToScreenAlphaTexture2.  These add a dstFormat argument
	  after the previous format argument, which the driver needs to use to
	  properly set up the destination format.  Two new arrays are added for
	  the list of destination formats supported that correspond to the
	  previous format arrays for sources.
	- Make Render acceleration only occur when the new hook for that
	  acceleration type is supplied and the dst format list is set, along
	  with the src format list being set.  Without knowing the destination
	  format, the Render acceleration couldn't properly support all the
	  destinations it might encounter.
	- Bump XAA module minor version.
	- Update the Radeon Render acceleration to use the new hooks when the
	  XAA module is sufficiently new.  Fix a bug in the src/dst alpha
	  booleans for ops, and use them to set blend_cntl to support
	  destinations without alpha.  Add missing PICT_a1r5g5b5 texture format,
	  and add list terminator. (!)

2004-08-03  Matthieu Herrb <matthieu.herrb@laas.fr>
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_merged_fb.c
	Add missing argument to xf86DrvMsg().

2004-08-03  Matthieu Herrb <matthieu.herrb@laas.fr>
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.h
	Fix Constification problems.

2004-08-03  Matthieu Herrb <matthieu.herrb@laas.fr>
	* programs/Xserver/hw/xfree86/ddc/xf86DDC.h
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.c
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.h
	* programs/Xserver/miext/shadow/shadow.h
	* programs/Xserver/miext/shadow/shpacked.c
	* programs/Xserver/miext/shadow/shplanar.c
	* programs/Xserver/miext/shadow/shrotate.c
	Fix glitches in pointer to functions declarations.

2004-08-03  Egbert Eich  <eich@freedesktop.org>

	* lib/font/FreeType/ftfuncs.c: (FreeTypeOpenInstance),
	(FT_Do_SBit_Metrics), (FreeTypeRasteriseGlyph):
	Bugzilla #925: Simpler version of backward compatibility
	fix (Chisato Yamauchi).
	Fix to support older versions of gcc (Matthieu Herrb).
	
2004-08-03  Matthieu Herrb <matthieu.herrb@laas.fr>
	* programs/Xserver/hw/xfree86/drivers/mga/mga_storm.c:
	* programs/Xserver/hw/xfree86/xaa/xaaPCache.c:
	* programs/Xserver/hw/xfree86/xaa/xaalocal.h:
	Fix declaration of XAACachePlanarMonoStippleProc.
	Rename XAACachePlanarMonoStippleWeak to
	XAAGetCachePlanarMonoStipple() for consistency with other parts of
	xaa and fix forward declaration in xaalocal.h.
	Fixes last comments on Bug #962.
	
2004-08-03  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/X11.tmpl:
	* programs/Xserver/Imakefile:
	Fix build with BuildComposite by linking the composite library into the
	servers before damage/xfixes, and enable BuildComposite by default now.
	Note that the Composite extension is still disabled at run-time by
	default.

2004-08-02  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/composite/compinit.c:
	* programs/Xserver/composite/cw.c: (cwGetBackingDrawable),
	(cwCreateGCPrivate), (cwCheapValidateGC), (cwGetImage),
	(cwGetSpans), (cwFillRegionSolid), (cwFillRegionTiled),
	(cwPaintWindowBackground), (cwPaintWindowBorder),
	(miInitializeCompositeWrapper), (cwCloseScreen):
	* programs/Xserver/composite/cw.h:
	* programs/Xserver/composite/cw_ops.c: (cwFillSpans), (cwSetSpans),
	(cwPutImage), (cwCopyArea), (cwCopyPlane), (cwPolyPoint),
	(cwPolylines), (cwPolySegment), (cwPolyRectangle), (cwPolyArc),
	(cwFillPolygon), (cwPolyFillRect), (cwPolyFillArc), (cwPolyText8),
	(cwPolyText16), (cwImageText8), (cwImageText16), (cwImageGlyphBlt),
	(cwPolyGlyphBlt), (cwPushPixels):
	* programs/Xserver/composite/cw_render.c: (cwGetBackingPicture),
	(cwCreatePicture), (cwInitializeRender):
	Major improvements to Composite wrapper.  Several issues remain, but it
	now appears stable in limited testing.
	- Allocate the picture private, avoiding segfault.
	- Wrap PaintWindow to draw the background/border to the backing pixmap
	  (based on Deron Johnson's comptran.c).
	- Set the x_off/y_off returns to translate coordinates properly.
	- Don't bother allocating temporary areas for the modified coordinates.
	  Layers above are responsible for handling lower layers changing the
	  arguments, so cw doesn't have to worry about it.  mibstore.c has to do
	  the allocation because it calls down twice (front buffer and backing
	  store). (Suggested by keithp)
	- Handle the mode argument to PolyPoint, Polylines, and FillPolygon.
	- Remove some dead elements in the cw privates.
	- Kill a prototype warning in compinit.c by adding the cw.h header.

2004-08-02  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/mi/miinitext.c:
	The Damage extension has to wrap after (be called before) the Composite
	extension so that the redirecting of drawables by the wrapper doesn't
	confuse Damage.

2004-08-02  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/apm/apm_accel.c:
	* programs/Xserver/hw/xfree86/drivers/apm/apm_funcs.c:
	* programs/Xserver/hw/xfree86/drivers/chips/ct_accel.c:
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_storm.c:
	* programs/Xserver/hw/xfree86/drivers/s3/s3_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.c:
	* programs/Xserver/hw/xfree86/ramdac/IBM.c:
	* programs/Xserver/hw/xfree86/ramdac/IBM.h:
	* programs/Xserver/hw/xfree86/ramdac/TI.c:
	* programs/Xserver/hw/xfree86/ramdac/TI.h:
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.c:
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.h:
	* programs/Xserver/hw/xfree86/xaa/xaaPCache.c:
	* programs/Xserver/hw/xfree86/xaa/xaaStipple.c:
	* programs/Xserver/hw/xfree86/xaa/xaaTEGlyph.c:
	* programs/Xserver/hw/xfree86/xaa/xaalocal.h:
	* programs/Xserver/miext/shadow/shadow.h:
	* programs/Xserver/miext/shadow/shpacked.c:
	* programs/Xserver/miext/shadow/shplanar.c:
	* programs/Xserver/miext/shadow/shrotate.c:
	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhwstub.c:
	* programs/Xserver/hw/xfree86/xf1bpp/mfbmap.h:
	Bug #962: Remove LoaderSymbol calls introduced by the dlloader
	work so DoLoadableServer NO builds work again.

Mon Aug  2 21:49:33 2004  Soeren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c
	(mapVidMem): Remove double cast.

2004-08-02  Egbert Eich  <eich@freedesktop.org>

	* config/cf/linux.cf:
	Removed distro specific stuff.
	* lib/font/FreeType/ftfuncs.c: (FreeTypeOpenInstance):
	Fixed FreeType module to build with FreeType versions older
	than 2.1.7.
	* programs/Xserver/hw/xfree86/common/xf86Configure.c:
	(configureDDCMonitorSection):
	Fixed typo.
	* programs/Xserver/hw/xfree86/common/xf86DPMS.c: (DPMSClose):
	Added vtSema to protect call of driver DPMS function.
	* programs/Xserver/hw/xfree86/common/xf86Helper.c:
	(xf86SetDefaultVisual):
	removed unneeded variable
	* programs/Xserver/hw/xfree86/common/xf86Init.c: (InitOutput):
	* programs/Xserver/hw/xfree86/common/xf86RandR.c:
	(xf86RandRGetInfo), (xf86RandRSetConfig):
	* programs/Xserver/hw/xfree86/common/xf86str.h:
	Modified RandR driver hook to reduce the number of function calls
	to one. Function is sufficiently generic to be extended in the
	future.
	
2004-08-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONDisplayPowerManagementSet):
	Fix Radeon crash on server exit or generation

2004-08-01  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c:
	Remove the last user of fbdevHWFillInScreenInfo.

2004-07-31  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* config/cf/bsdLib.tmpl:
	* config/cf/darwinLib.tmpl:
	Added SharedXfixesReqs, SharedXdamageReqs and SharedXcompositeReqs

2004-07-31  Stuart Kreitman  <stuart dot kreitman at sun dot com>

	* lib/Xext/Imakefile:
	* lib/Xext/Xevie.c:

2004-07-31  Alexander Gottwald  <ago@freedesktop.org>

	* config/cf/cygwin.tmpl:
	Added SharedXfixesReqs, SharedXdamageReqs and SharedXcompositeReqs

2004-07-31  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Config.c:
	(configExtensions), (xf86HandleConfigFile):
	* programs/Xserver/hw/xfree86/parser/Extensions.c:
	(xf86parseExtensionsSection), (xf86printExtensionsSection),
	(xf86freeExtensions):
	* programs/Xserver/hw/xfree86/parser/Imakefile:
	* programs/Xserver/hw/xfree86/parser/configProcs.h:
	* programs/Xserver/hw/xfree86/parser/read.c: (xf86readConfigFile),
	(xf86freeConfig):
	* programs/Xserver/hw/xfree86/parser/write.c: (doWriteConfigFile):
	* programs/Xserver/hw/xfree86/parser/xf86Parser.h:
	* programs/Xserver/include/globals.h:
	* programs/Xserver/mi/miinitext.c: (EnableDisableExtension),
	(EnableDisableExtensionError):
	* programs/Xserver/os/utils.c: (ProcessCommandLine):
	Add "Extensions" section support to configuration parser

2004-07-31  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/Imakefile:
	* programs/Xserver/composite/Imakefile:
	* programs/Xserver/composite/compalloc.c: (compReportDamage),
	(compDestroyDamage), (compRedirectWindow), (compFreeClientWindow),
	(compUnredirectWindow), (compRedirectSubwindows),
	(compFreeClientSubwindows), (compUnredirectSubwindows),
	(compRedirectOneSubwindow), (compUnredirectOneSubwindow),
	(compAllocPixmap), (compFreePixmap), (compReallocPixmap):
	* programs/Xserver/composite/compext.c: (CompositeClientCallback),
	(CompositeResetProc), (FreeCompositeClientWindow),
	(FreeCompositeClientSubwindows), (ProcCompositeQueryVersion),
	(ProcCompositeRedirectWindow), (ProcCompositeRedirectSubwindows),
	(ProcCompositeUnredirectWindow),
	(ProcCompositeUnredirectSubwindows),
	(ProcCompositeCreateRegionFromBorderClip),
	(ProcCompositeNameWindowPixmap), (CompositeNumberRequests),
	(ProcCompositeDispatch), (SProcCompositeQueryVersion),
	(SProcCompositeRedirectWindow), (SProcCompositeRedirectSubwindows),
	(SProcCompositeUnredirectWindow),
	(SProcCompositeUnredirectSubwindows),
	(SProcCompositeCreateRegionFromBorderClip),
	(SProcCompositeNameWindowPixmap), (SProcCompositeDispatch),
	(CompositeExtensionInit):
	* programs/Xserver/composite/compinit.c: (compCloseScreen),
	(compScreenUpdate), (compBlockHandler), (compFindVisuallessDepth),
	(compAddAlternateVisuals), (compScreenInit):
	* programs/Xserver/composite/compint.h:
	* programs/Xserver/composite/compwindow.c: (compCheckWindow),
	(compCheckTree), (compSetPixmapVisitWindow), (compSetPixmap),
	(compCheckRedirect), (compPositionWindow), (compRealizeWindow),
	(compUnrealizeWindow), (compPaintWindowBackground),
	(compClipNotify), (compIsAlternateVisual), (compImplicitRedirect),
	(compMoveWindow), (compResizeWindow), (compChangeBorderWidth),
	(compReparentWindow), (compCopyWindow), (compCreateWindow),
	(compDestroyWindow), (compSetRedirectBorderClip),
	(compGetRedirectBorderClip), (compGetWindowVisual),
	(compWindowFormat), (compWindowUpdateAutomatic),
	(compWindowUpdate):
	* programs/Xserver/composite/cw.c: (cwGetBackingDrawable),
	(cwCreateGCPrivate), (cwDestroyGCPrivate), (cwValidateGC),
	(cwChangeGC), (cwCopyGC), (cwDestroyGC), (cwChangeClip),
	(cwCopyClip), (cwDestroyClip), (cwCheapValidateGC),
	(cwCheapChangeGC), (cwCheapCopyGC), (cwCheapDestroyGC),
	(cwCheapChangeClip), (cwCheapCopyClip), (cwCheapDestroyClip),
	(cwCreateGC), (cwGetImage), (cwGetSpans),
	(miInitializeCompositeWrapper), (cwCloseScreen):
	* programs/Xserver/composite/cw.h:
	* programs/Xserver/composite/cw_ops.c: (cwFillSpans), (cwSetSpans),
	(cwPutImage), (cwCopyArea), (cwCopyPlane), (cwPolyPoint),
	(cwPolylines), (cwPolySegment), (cwPolyRectangle), (cwPolyArc),
	(cwFillPolygon), (cwPolyFillRect), (cwPolyFillArc), (cwPolyText8),
	(cwPolyText16), (cwImageText8), (cwImageText16), (cwImageGlyphBlt),
	(cwPolyGlyphBlt), (cwPushPixels):
	* programs/Xserver/composite/cw_render.c: (cwFindVisualById),
	(cwCreateBackingPicture), (cwDestroyBackingPicture),
	(cwGetBackingPicture), (cwCreatePicture), (cwDestroyPicture),
	(cwChangePicture), (cwValidatePicture), (cwComposite), (cwGlyphs),
	(cwCompositeRects), (cwTrapezoids), (cwTriangles), (cwTriStrip),
	(cwTriFan), (cwInitializeRender):
	* programs/Xserver/dix/colormap.c:
	* programs/Xserver/dix/window.c: (SetWindowToDefaults):
	* programs/Xserver/include/pixmapstr.h:
	* programs/Xserver/include/scrnintstr.h:
	* programs/Xserver/include/windowstr.h:
	* programs/Xserver/mi/mi.h:
	* programs/Xserver/mi/miinitext.c:
	* programs/Xserver/mi/mivaltree.c:
	(miRegisterRedirectBorderClipProc), (miComputeClips):
	Integrate COMPOSITEWRAP branch including composite wrapper.  This code
	still has several issues:
	- CopyWindow and PaintWindow wrappers missing (will be done soon)
	- Some segfaults seen in the Render wrappers.
	- Xprt server build breaks with Composite.
	- DDXs must be recompiled for Composite due to VisualRec size change.
	- Composite bugs pointed out by Deron Johnson in email.

	Also, reorder XFixes initialization according to comments by Keith which
	are also in xserver CVS.

2004-07-31  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/xfixes/region.c: (ProcXFixesExpandRegion),
	(SProcXFixesExpandRegion):
	* programs/Xserver/xfixes/xfixes.c: (XFixesNumberRequests):
	* programs/Xserver/xfixes/xfixes.h:
	* programs/Xserver/xfixes/xfixesint.h:
	Update xfixes server code to major version 3 from xserver CVS, and
	perform minor diff-reduction versus xserver CVS.

2004-07-31  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/Imakefile:
	* programs/Xserver/composite/Imakefile:
	* programs/Xserver/composite/compalloc.c: (compReportDamage),
	(compDestroyDamage), (compRedirectWindow), (compFreeClientWindow),
	(compUnredirectWindow), (compRedirectSubwindows),
	(compFreeClientSubwindows), (compUnredirectSubwindows),
	(compRedirectOneSubwindow), (compUnredirectOneSubwindow),
	(compAllocPixmap), (compFreePixmap), (compReallocPixmap):
	* programs/Xserver/composite/compext.c: (CompositeClientCallback),
	(CompositeResetProc), (FreeCompositeClientWindow),
	(FreeCompositeClientSubwindows), (ProcCompositeQueryVersion),
	(ProcCompositeRedirectWindow), (ProcCompositeRedirectSubwindows),
	(ProcCompositeUnredirectWindow),
	(ProcCompositeUnredirectSubwindows),
	(ProcCompositeCreateRegionFromBorderClip),
	(ProcCompositeNameWindowPixmap), (CompositeNumberRequests),
	(ProcCompositeDispatch), (SProcCompositeQueryVersion),
	(SProcCompositeRedirectWindow), (SProcCompositeRedirectSubwindows),
	(SProcCompositeUnredirectWindow),
	(SProcCompositeUnredirectSubwindows),
	(SProcCompositeCreateRegionFromBorderClip),
	(SProcCompositeNameWindowPixmap), (SProcCompositeDispatch),
	(CompositeExtensionInit):
	* programs/Xserver/composite/compinit.c: (compCloseScreen),
	(compScreenUpdate), (compBlockHandler), (compFindVisuallessDepth),
	(compAddAlternateVisuals), (compScreenInit):
	* programs/Xserver/composite/compint.h:
	* programs/Xserver/composite/compwindow.c: (compCheckWindow),
	(compCheckTree), (compSetPixmapVisitWindow), (compSetPixmap),
	(compCheckRedirect), (compPositionWindow), (compRealizeWindow),
	(compUnrealizeWindow), (compPaintWindowBackground),
	(compClipNotify), (compIsAlternateVisual), (compImplicitRedirect),
	(compMoveWindow), (compResizeWindow), (compChangeBorderWidth),
	(compReparentWindow), (compCopyWindow), (compCreateWindow),
	(compDestroyWindow), (compSetRedirectBorderClip),
	(compGetRedirectBorderClip), (compGetWindowVisual),
	(compWindowFormat), (compWindowUpdateAutomatic),
	(compWindowUpdate):
	* programs/Xserver/composite/cw.c: (DrawableIsRedirWindow),
	(cwGetBackingDrawable), (cwCreateGCPrivate), (cwDestroyGCPrivate),
	(cwValidateGC), (cwChangeGC), (cwCopyGC), (cwDestroyGC),
	(cwChangeClip), (cwCopyClip), (cwDestroyClip), (cwCheapValidateGC),
	(cwCheapChangeGC), (cwCheapCopyGC), (cwCheapDestroyGC),
	(cwCheapChangeClip), (cwCheapCopyClip), (cwCheapDestroyClip),
	(cwCreateGC), (cwGetImage), (cwGetSpans),
	(miInitializeCompositeWrapper), (cwCloseScreen):
	* programs/Xserver/composite/cw.h:
	* programs/Xserver/composite/cw_ops.c: (cwFillSpans), (cwSetSpans),
	(cwPutImage), (cwCopyArea), (cwCopyPlane), (cwPolyPoint),
	(cwPolylines), (cwPolySegment), (cwPolyRectangle), (cwPolyArc),
	(cwFillPolygon), (cwPolyFillRect), (cwPolyFillArc), (cwPolyText8),
	(cwPolyText16), (cwImageText8), (cwImageText16), (cwImageGlyphBlt),
	(cwPolyGlyphBlt), (cwPushPixels):
	* programs/Xserver/composite/cw_render.c: (cwComposite),
	(cwGlyphs):
	* programs/Xserver/dix/colormap.c:
	* programs/Xserver/dix/window.c: (SetWindowToDefaults):
	* programs/Xserver/include/pixmapstr.h:
	* programs/Xserver/include/scrnintstr.h:
	* programs/Xserver/include/windowstr.h:
	* programs/Xserver/mi/mi.h:
	* programs/Xserver/mi/miinitext.c:
	* programs/Xserver/mi/mivaltree.c:
	(miRegisterRedirectBorderClipProc), (miComputeClips):
	* programs/Xserver/render/picture.c: (PictureFindVisual),
	(PictureInitIndexedFormats), (PictureInit), (SetPictureClipRegion):
	* programs/Xserver/xfixes/region.c: (ProcXFixesExpandRegion),
	(SProcXFixesExpandRegion):
	* programs/Xserver/xfixes/xfixes.c: (XFixesNumberRequests):
	* programs/Xserver/xfixes/xfixes.h:
	* programs/Xserver/xfixes/xfixesint.h:

2004-07-30  Eric Anholt  <anholt@FreeBSD.org>

	* include/extensions/Imakefile:
	Install the new headers if the library is being built as well.

2004-07-30  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/X11.tmpl:
	* include/extensions/Imakefile:
	* include/extensions/composite.h:
	* include/extensions/compositeproto.h:
	* include/extensions/xfixesproto.h:
	* include/extensions/xfixeswire.h:
	* lib/Imakefile:
	* lib/Xcomposite:
	* lib/Xdamage:
	* lib/Xfixes:
	Bring in Xfixes, Xdamage, and Xcomposite userland from xserver CVS:
	- Update Xfixes headers to protocol major version 3.
	- Add composite headers.
	- Add libXfixes, libXdamage, and libXcomposite.
	- Add imake glue for new libraries, but leave Composite off by default
	  until issues are resolved.

2004-07-31  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/dmx/dmx.h:
	* programs/Xserver/hw/dmx/dmxinit.c: (InitOutput),
	(ddxProcessArgument):
	* programs/Xserver/hw/dmx/dmxwindow.c: (dmxDestroyWindow):
	* programs/Xserver/include/globals.h:
	* programs/Xserver/mi/miinitext.c: (EnableDisableExtension):
	* programs/Xserver/os/utils.c: (UseMsg), (ProcessCommandLine):
	Add new extension enable/disable feature
	Allow XTEST, XINERAMA, RENDER, XKB, XEVIE to be enabled/disabled
	Update DMX to use new render disabling code

2004-07-30  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/dix/cursor.c:
	* programs/Xserver/dix/dispatch.c:
	* programs/Xserver/dix/window.c:
	- Add some XFIXES bits apparently missed in the DAMAGE-XFIXES merge
	- Add missing XCSECURITY ifdef.
	- Sync some whitespace to xserver CVS and surrounding style.

2004-07-30  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/miext/damage/damage.c: (damageDamageRegion),
	(damageRemoveDamage), (damageInsertDamage), (DamageCreate),
	(DamageRegister), (DamageUnregister):
	Integrate latest damage bits, including the addition of Composite code.
	Includes REGION_INIT -> REGION_NULL necessary to avoid segfaults with
	inlined region macros.

2004-07-30  Stuart Kreitman  <stuart dot kreitman at sun dot com>

	* config/cf/X11.tmpl:
	* programs/Xserver/Xext/Imakefile:
	* programs/Xserver/Xext/xevie.c: (XevieExtensionInit), (XevieEnd),
	(XevieClientStateCallback), (XevieServerGrabStateCallback):
	* programs/Xserver/dix/events.c:
	* programs/Xserver/mi/miinitext.c:

	Bugzilla #947: Merge from XEVIE branch, turning on XEVIE, updating the xevie impl.

2004-07-31  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/ddc/xf86DDC.c:
	* programs/Xserver/hw/xfree86/ddc/xf86DDC.h:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	* programs/Xserver/hw/xfree86/drivers/chips/ct_ddc.c:
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dac3026.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dacG.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/riva_driver.c:
	* programs/Xserver/hw/xfree86/drivers/s3virge/s3v_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_driver.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c:
	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.h:
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.c:
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.h:
	Change several LoaderSymbol calls introduced by the bug #400 patch to
	*Weak() resolver functions.

2004-07-30  Eric Anholt  <anholt@FreeBSD.org>

	* lib/Xt/Composite.c:
	* lib/Xt/Composite.h:
	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_video.c:
	(SMI_BuildEncodings), (SetAttrSAA7111):
	Rename some COMPOSITE macros and enums to avoid conflicting with the
	COMPOSITE extension's new macro.  These appear to only be used
	internally.

2004-07-31  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/GL/glx/single2.c:
	Fix compiler warning

2004-07-31  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/neomagic/neo.h:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_2070.c:
	(Neo2070AccelInit):
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_2097.c:
	(Neo2097AccelInit):
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_2200.c:
	(Neo2200AccelInit):
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	(NEOPreInit), (NEOScreenInit), (neoModeInit):
	Adding experimental pseudocolor overlay stuff to NeoMagic
	driver.
	
2004-07-30  Torrey T. Lyons <torrey@freedesktop.org>

        * programs/Xserver/hw/darwin/Imakefile:
        * programs/Xserver/hw/darwin/quartz_1.3 removed all files:
        Remove unused, unsupported, and broken code for Mac OS X 10.0.

2004-07-30  HUI YU  <hyu@ati.com>

	reviewed by: <Kevin Martin>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/atichip.c: (ATIChipID):
	* programs/Xserver/hw/xfree86/drivers/ati/atichip.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineReset), (RADEONEngineRestore):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONAccelInit):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_bios.c:
	(RADEONGetBIOSInfo), (RADEONGetConnectorInfoFromBIOS),
	(RADEONGetClockInfoFromBIOS), (RADEONGetLVDSInfoFromBIOS),
	(RADEONGetHardCodedEDIDFromBIOS), (RADEONGetTMDSInfoFromBIOS):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONEntPriv), (RADEONDisplayDDCConnected),
	(RADEONCrtIsPhysicallyConnected), (RADEONGetPanelInfoFromReg),
	(RADEONGetLVDSInfo), (RADEONGetTMDSInfo), (RADEONGetPanelInfo),
	(RADEONGetClockInfo), (RADEONQueryConnectedMonitors),
	(RADEONSetFBLocation), (RADEONGetVRamType), (RADEONPreInitConfig),
	(RADEONValidateMergeModes), (RADEONPreInit),
	(RADEONRestoreCommonRegisters), (RADEONRestoreCrtcRegisters),
	(RADEONRestoreCrtc2Registers), (RADEONRestoreFPRegisters),
	(RADEONRestorePLLRegisters), (RADEONSaveCrtcRegisters),
	(RADEONInitDispBandwidth), (RADEONInitCrtcRegisters),
	(RADEONInitCrtc2Registers), (RADEONInitFPRegisters),
	(RADEONFreeScreen), (RADEONDacPowerSet),
	(RADEONDisplayPowerManagementSet):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_macros.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	(RADEONProbe):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONDisplayVideo):
	Add support for new Radeon chips: 
	R420/M18, R423, RV370/M22, RV380/M24, RS300.
	Add special handlings for DELL triple-head server (RV100).
	Misc. bug fixes for flat panel, host aperture, etc (Bug #946)

2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/Imakefile:
	Fix build on s390/s390x platforms.

2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/xf86Cursor.c:
	(xf86SwitchMode):
	* programs/Xserver/hw/xfree86/common/xf86Init.c: (InitOutput):
	* programs/Xserver/hw/xfree86/common/xf86RandR.c:
	(xf86RandRGetInfo), (xf86RandRSetMode), (xf86RandRSetConfig),
	(xf86RandRInit):
	* programs/Xserver/hw/xfree86/common/xf86str.h:
	Add support for on-the-fly screen rotation when supported by
	hardware (Aron Plattner). 
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/fb/Imakefile:
	* programs/Xserver/fb/fbpseudocolor.c: (xxUpdateWindowImmediately),
	(xxGetBaseColormap), (xxCreateScreenResources), (xxCloseScreen),
	(xxMyVisual), (xxInitColormapDummy), (xxInitColormapPrivate),
	(xxCreateColormap), (xxCmapInstalled), (xxInstalledCmapDelete),
	(xxDestroyColormap), (xxComputeCmapShift), (xxStoreColors),
	(xxInstallColormap), (xxUninstallColormap),
	(xxListInstalledColormaps), (xxCreateWindow), (xxWalkChildren),
	(xxPickMyWindows), (xxCopyWindow), (xxWindowExposures),
	(xxPaintWindow), (xxCopyPseudocolorRegion),
	(xxUpdateCmapPseudocolorRegion), (xxGetWindowRegion),
	(xxUpdateRegion), (xxUpdateFb), (xxBlockHandler),
	(xxWakeupHandler), (xxSetup), (xxCreateGC), (xxValidateGC),
	(xxDestroyGC), (xxChangeGC), (xxCopyGC), (xxChangeClip),
	(xxCopyClip), (xxDestroyClip), (xxFillSpans), (xxSetSpans),
	(xxPutImage), (xxCopyArea), (xxCopyPlane), (xxPolyPoint),
	(xxPolylines), (xxPolySegment), (xxPolyRectangle), (xxPolyArc),
	(xxFillPolygon), (xxPolyFillRect), (xxPolyFillArc), (xxPolyText8),
	(xxPolyText16), (xxImageText8), (xxImageText16), (xxImageGlyphBlt),
	(xxPolyGlyphBlt), (xxPushPixels), (xxComposite), (xxGlyphs),
	(xxPrintVisuals):
	* programs/Xserver/fb/fbpseudocolor.h:
	* programs/Xserver/hw/xfree86/xaa/Imakefile:
	* programs/Xserver/hw/xfree86/xaa/xaaWrapper.c:
	(xaaWrapperCreateScreenResources), (xaaWrapperCloseScreen),
	(xaaWrapperCreateWindow), (xaaWrapperCopyWindow),
	(xaaWrapperWindowExposures), (xaaWrapperPaintWindow),
	(xaaWrapperCreateColormap), (xaaWrapperDestroyColormap),
	(xaaWrapperStoreColors), (xaaWrapperInstallColormap),
	(xaaWrapperUninstallColormap), (xaaWrapperListInstalledColormaps),
	(xaaSetupWrapper), (xaaWrapperPreCreateGC), (xaaWrapperCreateGC),
	(xaaWrapperValidateGC), (xaaWrapperDestroyGC),
	(xaaWrapperChangeGC), (xaaWrapperCopyGC), (xaaWrapperChangeClip),
	(xaaWrapperCopyClip), (xaaWrapperDestroyClip),
	(xaaWrapperFillSpans), (xaaWrapperSetSpans), (xaaWrapperPutImage),
	(xaaWrapperCopyArea), (xaaWrapperCopyPlane), (xaaWrapperPolyPoint),
	(xaaWrapperPolylines), (xaaWrapperPolySegment),
	(xaaWrapperPolyRectangle), (xaaWrapperPolyArc),
	(xaaWrapperFillPolygon), (xaaWrapperPolyFillRect),
	(xaaWrapperPolyFillArc), (xaaWrapperPolyText8),
	(xaaWrapperPolyText16), (xaaWrapperImageText8),
	(xaaWrapperImageText16), (xaaWrapperImageGlyphBlt),
	(xaaWrapperPolyGlyphBlt), (xaaWrapperPushPixels),
	(xaaWrapperComposite), (xaaWrapperGlyphs), (XAASync):
	* programs/Xserver/hw/xfree86/xaa/xaaWrapper.h:
	An experimental pseudocolor emulation layer.
	Not fully completed, currently only works for 16bpp.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/xf86Helper.c:
	(xf86SetDefaultVisual):
	removing some unnecessary restricitons on the allowed visuals.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/chips/ct_BltHiQV.h:
	* programs/Xserver/hw/xfree86/drivers/chips/ct_accel.c:
	(AccelInit), (Sync), (SetupForCPUToScreenColorExpandFill),
	(ReadPixmap):
	* programs/Xserver/hw/xfree86/drivers/chips/ct_cursor.c:
	(CHIPSLoadCursorImage):
	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.c:
	(chipsPreInitHiQV), (CHIPSScreenInit), (chipsModeInitHiQV),
	(chipsMapMem):
	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.h:
	Improved BE support in C&T driver (Rob Taylor, Jean-Laurent Gazelle).
	(Code adapted Egbert Eich).
	
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c:
	(I810ScreenInit):
	Do I810EmitFlush() during screen init to make sure 2D engine is
	in a sane state (Peter Kunzmann).
	

2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/savage/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_bci.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_cursor.c:
	(SavageHWCursorInit), (SavageLoadCursorImage),
	(SavageSetCursorColors):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit), (SavageLeaveVT), (SavageWriteMode),
	(SavageScreenInit), (SavageInternalScreenInit), (SavageModeInit),
	(SavageCloseScreen), (SavageSaveScreen), (SavageAdjustFrame),
	(SavageSwitchMode), (SavageLoadPalette), (SavageUpdateKey),
	(SavageLoadPaletteSavage4):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_regs.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.c:
	(SavageInitSecondaryStreamOld), (SavageInitSecondaryStreamNew),
	(SavageInitSecondaryStream), (SavageInitStreamsOld),
	(SavageInitStreamsNew), (OverlayParamInit),
	(InitStreamsForExpansion), (SavageStreamsOn), (SavageStreamsOff):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_video.c:
	(savageOUTREG), (SavageClipVWindow), (SavageInitVideo),
	(SavageStopVideo), (SavageSetBlend), (SavageDisplayVideoOld),
	(SavageDisplayVideoNew), (SavagePutImage), (SavageStopSurface),
	(SavageInitOffscreenImages):
	Add pseudocolor overlay mode. Leave streams engine running at
	all times to prevent artefacts during video playback.
	
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavageScreenInit)
	* programs/Xserver/hw/xfree86/drivers/savage/savage_vbe.c:
	(SavageSetTextMode), (SavageSetVESAMode), (SavageGetDevice),
	(SavageGetBIOSModes):
	Fixed VBE mode list code to work together with reading DDC
	data using VBE functions.
	
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(ShadowWait), (WaitQueue3D), (WaitQueue4), (WaitQueue2K),
	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitAccel), (SavageHelpPatternROP), (SavageHelpSolidROP),
	(SavageSubsequentScreenToScreenCopy), (SavageSetupForSolidFill),
	(SavageSetupForScreenToScreenColorExpand),
	(SavageSetupForCPUToScreenColorExpandFill),
	(SavageSubsequentScanlineCPUToScreenColorExpandFill),
	(SavageSetupForMono8x8PatternFill),
	(SavageSubsequentMono8x8PatternFillRect):
	Fixed data types to muffle compiler.
	
	* programs/Xserver/hw/xfree86/drivers/savage/savage_image.c:
	(SavageSubsequentImageWriteRect):
	Fixed requested size of FIFO for image writes. Fixes temporary
	lockups.

2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/dix/privates.c:
	* programs/Xserver/hw/xfree86/common/xf86cmap.c:
	(xf86HandleColormaps), (CMapInitDefMap):
	* programs/Xserver/include/screenint.h:
	* programs/Xserver/lbx/lbxcmap.c: (LbxDefCmapPrivInit):
	Adding a colormap index to the InitColormapPrivate() func
	call. Without it it was completely useless.
	* programs/Xserver/hw/xfree86/common/xf86cmap.c:
	 (CMapInstallColormap):
	test if colormap with index really exists in the list of
	installed maps before using it.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* lib/xtrans/Xtransutil.c: (trans_mkdir):
	fail hard if socket directories cannot be chowned to root or
	chmod'ed to the requested mode if 'sticky' bit is requested for 
	this directory	instead of just print a warning that will remain 
	unnoticed most of the times.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/xf86DPMS.c: (DPMSClose):
	* programs/Xserver/hw/xfree86/common/xf86Events.c: (xf86VTSwitch):
	* programs/Xserver/hw/xfree86/common/xf86Init.c: (AbortDDX):
	Set DPMS to ON when VT switching away or shutting down the server.
	Failing to do this may leave the text console blank.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/os-support/linux/int10/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/linux/int10/linux.c:
	(xf86ExtendedInitInt10), (MapCurrentInt10):
	Improved error messages.
	* programs/Xserver/hw/xfree86/os-support/linux/int10/x86emu/Imakefile:
	build fixes for AMD64.
	* programs/Xserver/hw/xfree86/os-support/shared/libc_wrapper.c:
	(xf86shmget), (xf86shmat), (xf86shmdt), (xf86shmctl):
	Made shm* functions in the libc_wrapper more standard conformant
	by setting errno correctly.
	* programs/Xserver/hw/xfree86/vbe/vbe.c: (VBEExtendedInit):
	Use xf86ExendedInitInt10() in VBEExtendedInit() to be able to
	pass flags.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/GL/dri/dri.c:
	* programs/Xserver/GL/dri/xf86dri.c:
        Fix static build.
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c:
	(TweakMemorySize):
	 add i845 to the list of chips that allow memory size tweaking.
	
2004-07-30  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/fb/fb.h:
	* programs/Xserver/fb/fballpriv.c:
	* programs/Xserver/fb/fboverlay.c:
	* programs/Xserver/fb/fboverlay.h:
	* programs/Xserver/hw/xfree86/drivers/apm/apm_accel.c:
	* programs/Xserver/hw/xfree86/drivers/apm/apm_funcs.c:
	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/atifillin.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atifillin.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atiprobe.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_probe.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	* programs/Xserver/hw/xfree86/drivers/chips/ct_accel.c:
	* programs/Xserver/hw/xfree86/drivers/chips/ct_ddc.c:
	* programs/Xserver/hw/xfree86/drivers/cirrus/cir_driver.c:
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/i810/i810_accel.c:
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c:
	* programs/Xserver/hw/xfree86/drivers/i810/i830_accel.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dac3026.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dacG.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_storm.c:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nsc/nsc_gx1_accel.c:
	* programs/Xserver/hw/xfree86/drivers/nsc/nsc_gx2_accel.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/riva_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/riva_xaa.c:
	* programs/Xserver/hw/xfree86/drivers/s3/s3_driver.c:
	* programs/Xserver/hw/xfree86/drivers/s3virge/s3v_accel.c:
	* programs/Xserver/hw/xfree86/drivers/s3virge/s3v_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_image.c:
	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_accel.c:
	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis300_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis310_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tga/tga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tga/tga_line.c:
	* programs/Xserver/hw/xfree86/drivers/trident/blade_accel.c:
	* programs/Xserver/hw/xfree86/drivers/trident/image_accel.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_accel.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/xp_accel.c:
	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_accel.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c:
	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.h:
	* programs/Xserver/hw/xfree86/xaa/xaaFallback.c:
	* programs/Xserver/hw/xfree86/xaa/xaaInit.c:
	* programs/Xserver/hw/xfree86/xaa/xaaROP.c:
	* programs/Xserver/hw/xfree86/xaa/xaalocal.h:
	* programs/Xserver/hw/xfree86/xaa/xaarop.h:
	* programs/Xserver/hw/xfree86/xaa/xaawrap.h:
	* programs/Xserver/hw/xfree86/xf1bpp/mfbmap.h:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbbres.c:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbbresd.c:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbfillarc.c:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbhrzvert.c:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbimggblt.c:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbline.c:
	* programs/Xserver/hw/xfree86/xf4bpp/mfbzerarc.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcArea.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcGC.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcIO.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcPixFS.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcPntWin.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcPolyPnt.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcWinFS.c:
	* programs/Xserver/hw/xfree86/xf4bpp/ppcWindow.c:
	* programs/Xserver/hw/xfree86/xf4bpp/vgaGC.c:
	* programs/Xserver/hw/xfree86/xf8_16bpp/cfb8_16.h:
	* programs/Xserver/hw/xfree86/xf8_16bpp/cfbscrinit.c:
	* programs/Xserver/hw/xfree86/xf8_32bpp/cfb8_32.h:
	* programs/Xserver/hw/xfree86/xf8_32bpp/cfbscrinit.c:
	* programs/Xserver/hw/xfree86/xf8_32wid/cfb8_32wid.h:
	* programs/Xserver/hw/xfree86/xf8_32wid/cfbscrinit.c:
	* programs/Xserver/mfb/maskbits.c:
	* programs/Xserver/mfb/maskbits.h:
	* programs/Xserver/mfb/mfb.h:
	* programs/Xserver/mfb/mfbscrinit.c:
	Bug #400 (partial): Driver fixes for the dlloader.  When using
	dlloader, all framebuffer formats except cfb and the overlay modes
	should work, and r128 and radeon need to be loaded from the ati
	driver (both issues to be fixed soon).  Tested on i740, s3virge,
	mach64, tdfx, vesa, and vga drivers.  elfloader users shouldn't be
	affected.

2004-07-30  Torrey T. Lyons <torrey@freedesktop.org>

	* programs/Xserver/miext/rootless/rootless.h:
	* programs/Xserver/miext/rootless/rootlessCommon.c:
	* programs/Xserver/miext/rootless/rootlessCommon.h:
	* programs/Xserver/miext/rootless/rootlessWindow.c:
	* programs/Xserver/hw/darwin/quartz/Preferences.h:
	* programs/Xserver/hw/darwin/quartz/Preferences.m:
	* programs/Xserver/hw/darwin/quartz/XServer.h:
	* programs/Xserver/hw/darwin/quartz/XServer.m:
	* programs/Xserver/hw/darwin/quartz/pseudoramiX.c:
	* programs/Xserver/hw/darwin/quartz/pseudoramiX.h:
	* programs/Xserver/hw/darwin/quartz/quartz.c:
	* programs/Xserver/hw/darwin/quartz/quartz.h:
	* programs/Xserver/hw/darwin/quartz/quartzCocoa.m:
	* programs/Xserver/hw/darwin/quartz/quartzCommon.h:
	* programs/Xserver/hw/darwin/quartz/cr/crScreen.m:
	* programs/Xserver/hw/darwin/quartz/fullscreen/fullscreen.c:
	* programs/Xserver/hw/darwin/quartz/xpr/xprScreen.c:
	Merge many XDarwin improvements:
	    - Fix launch of X clients by double clicking in the Finder when
	      there is a space in the path (Torrey T. Lyons).
	    - Interpret scroll wheel mouse events correctly when shift is
	      held down (Benjamin Burke).
	    - Add option to always use Mac command key equivalents
	      (John Harper and Torrey T. Lyons).
	    - Add support for dynamic screen configuration changes in rootless
	      mode (John Harper and Torrey T. Lyons).
	    - Add documentation on generic rootless layer (Torrey T. Lyons).

2004-07-30  Torrey T. Lyons <torrey@freedesktop.org>

	* xc/config/cf/darwin.cf:
	* xc/programs/Xserver/Imakefile:
	* xc/programs/Xserver/hw/darwin/darwin.c:
	* xc/programs/Xserver/hw/darwin/Imakefile:
	* xc/programs/Xserver/hw/darwin/darwinXinput.c:
	Add initial Xinput support for XDarwin (Greg Parker).

2004-07-30  Torrey T. Lyons <torrey@freedesktop.org>

	* programs/Xserver/hw/darwin/iokit/xfIOKit.c:
	Make XDarwin not default to StaticColor on ix86 (Shantonu Sen).

2004-07-30  Egbert Eich  <eich@pdx.freedesktop.org>

        * programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c:
        (TweakMemorySize), (I830BIOSPreInit):
        Removed bugs on TweakMemorySize() which prevented it from
        working at all.
        * Initialized last element of BIOS version number string
        to 0 to avoid random problems.
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.c:
	(handlePciBIOS):
	Write back original value to BIOS Base register for the
	case where function failed.
	
2004-07-30  Egbert Eich  <eich@pdx.freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c:
	(TweakMemorySize), (I830BIOSPreInit):
	Removed bugs on TweakMemorySize() which prevented it from working
	at all.
	* Initialized last element of BIOS version number string to 0 
	to avoid random problems.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* lib/xtrans/Xtransutil.c: (ConvertAddress):
	Fixed typo in a comment.
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:
	Deleted bogus comment.
	* programs/Xserver/hw/xfree86/os-support/shared/sigio.c:
	(xf86BlockSIGIO), (xf86UnblockSIGIO):
	Added debugging support.
	
2004-07-30  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.c:
	(chipsPreInitHiQV):
	Fixed log messages.
	
2004-07-30 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
        * xc/programs/Xserver/Xprint/etc/init.d/Imakefile
        * xc/programs/Xserver/Xprint/etc/init.d/xprint.cpp
        Bugzilla #940: Filter /etc/init.d/xprint throught CPP/|MakeScriptFromCpp()|' to
        allow platform-specific customisation.

2004-07-30  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/dmx/config/Imakefile:
	Fix BuildServersOnly build

2004-07-30  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/GL/dri/dri.c:
	* programs/Xserver/GL/dri/xf86dri.c:
	* programs/Xserver/GL/glx/single2.c: (DoGetString):
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c:
	Fix "DoLoadableServer NO" build

2004-07-29 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
        Bugzilla #937: /etc/init.d/xprint should clear some environment
        variables.

2004-07-29  Torrey T. Lyons <torrey@freedesktop.org>

	* xc/lib/GL/apple/Imakefile:
	* lib/GL/apple/dri_dispatch.c:
	* lib/GL/apple/dri_dispatch.defs:
	* lib/GL/apple/dri_dispatch.h:
	Fix building libGL with AppleDRI support on Mac OS X 10.2.3 and
	newer. Improve the CGL dispatch table for indirect contexts.

2004-07-29  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/dix/dixutils.c: (AlterSaveSetForClient):
	Cleaned up code since client's saveSet is no longer defined
	as a pointer* (forgot one change in previous check-in)

2004-07-29  Kevin E. Martin <kem-at-freedesktop-dot-org>

	* programs/Xserver/Imakefile:
	Use LibraryTargetName when not building a loadable server

	* programs/Xserver/Xext/shape.c:
	* programs/Xserver/include/window.h:
	Move extern function declarations to window.h

	* programs/Xserver/dix/dixutils.c: (AlterSaveSetForClient):
	* programs/Xserver/dix/window.c:
	Cleaned up code since client's saveSet is no longer defined
	as a pointer*

	* programs/Xserver/include/dix.h:
	Added externs back in

	* programs/Xserver/miext/damage/damage.c:
	Change #if to #ifdef to fix compiler warning

	* programs/Xserver/render/picturestr.h:
	Add function declarations that were inadvertently removed
	by previous check in

	* config/cf/dmx.cf:
	Disable extensions that are not (yet) supported by DMX

2004-07-28  Stuart Kreitman  <stuart dot kreitman at sun dot com>

	* include/extensions/Imakefile:
	* programs/Xserver/Imakefile:
	* programs/Xserver/Xext/Imakefile:
	* programs/Xserver/Xext/shape.c:
	* programs/Xserver/dix/dispatch.c: (Dispatch):
	* programs/Xserver/dix/dixutils.c: (ISOLatin1ToLower),
	(CompareISOLatin1Lowered), (AlterSaveSetForClient):
	* programs/Xserver/dix/events.c:
	* programs/Xserver/dix/window.c:
	* programs/Xserver/include/Imakefile:
	* programs/Xserver/include/cursorstr.h:
	* programs/Xserver/include/dix.h:
	* programs/Xserver/include/dixstruct.h:
	* programs/Xserver/include/regionstr.h:
	* programs/Xserver/include/window.h:
	* programs/Xserver/mi/Imakefile:
	* programs/Xserver/mi/miinitext.c:
	* programs/Xserver/render/filter.c: (PictureGetFilterId),
	(PictureAddFilter), (PictureSetDefaultFilters), (SetPictureFilter):
	* programs/Xserver/render/picture.c: (PictureCreateDefaultFormats),
	(PictureFindVisual), (PictureInitIndexedFormats),
	(PictureMatchVisual), (PictureInit), (SetPictureClipRegion):

	* programs/Xserver/xfixes, programs/Xserver/damageext
	* programs/Xserver/miext/damage

	Bugzilla #859: Merge from DAMAGE-XFIXES branch

2004-07-28 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/lib/Xaw/Print.h
	* xc/programs/xman/man.h
	* xc/programs/xmore/printdialog.c
	* xc/programs/xmore/printdialog.h
        Bugzilla #938: Update XawPrintShell per feedback and review comments.

2004-07-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sunLib.tmpl:
	Fix shared reqs for Xlibi18n, Xaw6 & Xmu for Solaris

	* programs/Xserver/hw/xfree86/common/xf86Io.c:
	* programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h:
	Improved support for Compose and Kana Lock LED's on Sun keyboards

	* programs/Xserver/hw/xfree86/os-support/sunos/sun_kbdEv.c:
	Add event definitions for additional keys on Sun Japanese keyboards

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	VUID mouse protocol support for Solaris
	Make default mouse message clearer on machines that use a default
	other than /dev/mouse.
	
2004-07-27 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/FreeBSD.cf
	* xc/config/cf/Imake.tmpl
	* xc/config/cf/NetBSD.cf
	* xc/config/cf/linux.cf 
        Bugzilla #909: Disable build of PDF documents where GhostScript may
        not work at build time.

2004-07-27  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONSetOverlayGamma), (RADEONSetTransform), (RADEONResetVideo),
	(RADEONAllocAdaptor), (RADEONSetupImageVideo),
	(RADEONSetPortAttribute), (RADEONGetPortAttribute),
	(RADEONDisplaySurface), (RADEONInitOffscreenImages):
	- Add gamma correction support to the radeon video overlay

2004-07-27  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/Xprint/ddxInit.c:
        Fix Xprint build on Darwin.

2004-07-27  Torrey T. Lyons  <torrey@freedesktop.org>

	* lib/GL/apple/Imakefile:
	* lib/GL/apple/dri_dispatch.c:
	* lib/GL/apple/dri_dispatch.defs:
	* lib/GL/apple/dri_dispatch.h:
	* lib/GL/apple/dri_driver.c:
	* lib/GL/apple/dri_glx.c:
	* lib/GL/apple/dri_glx.h:
	* lib/GL/glx/Imakefile:
	* lib/GL/glx/glxext.c:
	* programs/Xserver/GL/apple/Imakefile:
	* programs/Xserver/GL/apple/aglGlx.c:
	* programs/Xserver/GL/apple/indirect.c:
	* programs/Xserver/GL/glx/single2.c:
	Fix XDarwin's broken build of libGL and server side GLX.

2004-07-27  Rik Faith  <faith(at)freedesktop.org>

	* programs/Xserver/hw/dmx/dmxextension.c: (dmxDetachScreen):
	* programs/Xserver/hw/dmx/input/dmxconsole.c:
	(dmxConsoleDrawWindows), (dmxConsoleDraw), (dmxConsoleClearCursor),
	(dmxConsoleCollectEvents), (dmxCloseConsole), (dmxConsoleInit):
	When using DMX console input, make detached screens display as
	grey (vs. white for attached and black for dead-space).

2004-07-27 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/glxinfo/glxinfo.c
        Bugzilla #934: Fix glxinfo that it can be build against
        Sun's version of GL.

2004-07-27  Alexander Gottwald  <ago@freedesktop.org>

	* config/cf/cygwin.cf:
	added --enable-runtime-pseudo-reloc to ExtraLoadFlags
	use make -C dir to step into subdirectories
	define BourneShell as /bin/bash -e to have make stopping after a subdir 
	failed
	    
2004-07-27  Alexander Gottwald  <ago@freedesktop.org>

	* config/cf/cygwin.cf:
	Merge latest changes from CYGWIN branch
	* config/cf/cygwin.rules (MakeFonts):
	Use find | xargs combination instead of simple shell globbing to prevent
	commandline argument overflow

2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* programs/xdm/config/Imakefile:
	Define an initial VT for {Net,Open}BSD on amd64.

2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/os-support/bsd/bsd_mouse.c:
	(wsconsReadInput):
	Fix a bug that caused an entire batch of events to be
	thrown out when one of an unknown type is encountered.
	(Ty Sarna, NetBSD).

2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* lib/xkbui/Imakefile:
	Define SoRev from SOXKBUIREV, not SOXKBFILEREV.
	
2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* lib/X11/ConnDis.c: (_X11TransConnectDisplay):
	* programs/xhost/xhost.c: (change_host), (get_hostname):
	- remove remaining AMOEBA references.
	* programs/Xserver/os/genalloca.c:
	- remove unused file.	

2004-07-26  Alex Deucher  <agd5f@yahoo.com>

	reviewed by: <Ryan Underwood>

	* programs/Xserver/hw/xfree86/drivers/mga/mga_maven.h:
	- add mga_maven.h; needed for mga maven support (Ryan Underwood)

2004-07-26  Alex Deucher  <agd5f@yahoo.com>

	reviewed by: <Ryan Underwood>

	* programs/Xserver/hw/xfree86/drivers/mga/mga.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dac3026.c:
	(MGA3026_i2cInit):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dacG.c:
	(MGAG_ddc1Read), (MGAG_I2CGetBits), (MGAG_I2CPutBits),
	(MGAG_DDC_P1_I2CPutBits), (MGAG_DDC_P2_I2CPutBits),
	(MGAG_MAVEN_I2CPutBits), (MGAG_DDC_P1_I2CGetBits),
	(MGAG_DDC_P2_I2CGetBits), (MGAG_MAVEN_I2CGetBits), (MGAG_i2cInit):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c: (MGAdoDDC),
	(MGAMavenRead):
	- enable maven support for TV detection, DPMS, and DDC on crtc2 
	on G400 (Ryan Underwood)
	(http://bugs.xfree86.org/show_bug.cgi?id=1098)
	* programs/Xserver/hw/xfree86/i2c/xf86i2c.c: (xf86I2CBusInit):
	* programs/Xserver/hw/xfree86/i2c/xf86i2c.h:
	- expose I2CStart; needed for mga maven support (Ryan Underwood)

2004-07-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* extras/Mesa/src/mesa/tnl/t_vertex_c.c:
	Use __func__ instead of __FUNCTION__ on C99 compatible compilers,
	fall back to nothing for compilers that aren't C99 or a new enough
	gcc to fix build errors on systems not using gcc compilers.

2004-07-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/doc/README.mouse:
	* programs/Xserver/hw/xfree86/doc/sgml/mouse.sgml:
	- Change xf86config to xorgconfig
	- Update Solaris mouse support information

2004-07-26  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineReset):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONDisplayDDCConnected), (RADEONGetBIOSParameters),
	(RADEONLoadPalette), (RADEONScreenInit),
	(RADEONRestoreFPRegisters), (RADEONRestorePLLRegisters),
	(RADEONSaveFPRegisters), (RADEONInitCrtcRegisters),
	(RADEONInitCrtc2Registers), (RADEONInitFPRegisters),
	(RADEONSetDynamicClock):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONSetTransform), (RADEONResetVideo), (RADEONSetPortAttribute):
	- Add radeon DynamicClocks option
	- add small clean ups from ati's last code drop 
	(typo_fixes, remove_fudge, laptop, xvfix)
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.c:
	(MGAWakeupHandler), (MGADRIScreenInit):
	- Fix possible segfault (Ryan Underwood)
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_video.c:
	(NEOInitVideo), (NEOPutVideo), (NEODisplayVideo):
	- Add Xv support to pre-nm2160 neomagic chipsets (bug #321)

2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>
	* programs/xdm/Imakefile:
	* programs/xdm/xdm.man:
	Fix log file location in manual page.

2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/input/elographics/xf86Elo.c:
	- Use xf86RemoveEnabledDevice() in the DEVICE_OFF case too.
	  Fixes a lock-up after server reset.
	- Call InitPtrFeedbackClassDeviceStruct() during DEVICE_INIT 
	  phase, in order to avoid a segfault in the X server caused
	  by 'xset q'.
	
2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>
	* programs/xfs/difs/main.c: (main):
	* programs/xfs/os/error.c: (InitErrors):
	Fix opening of log file with '-user nobody'. Problem reported by
	Oleg Safiullin and Mike Pechkin.

2004-07-27  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* programs/Xserver/render/render.c: (ProcRenderCreateCursor):
	remove extra ';' (Alan Hourihane, Keith Packard).

2004-07-26  Adam Jackson  <ajax@freedesktop.org>

        * programs/Xserver/GL/glxmodule.c,
          programs/Xserver/GL/apple/indirect.c,
          programs/Xserver/GL/dri/dri.c,
          programs/Xserver/GL/glx/glxext.c,
          programs/Xserver/GL/glx/glxscreens.c,
          programs/Xserver/GL/glx/glxserver.h,
          programs/Xserver/GL/glx/glxutil.h,
          programs/Xserver/GL/mesa/X/xf86glx.c,
          programs/Xserver/GL/windows/indirect.c:
        Bug #377: Make lib{glx,GLcore,dri} work when compiled as dlloader
        modules.
        * programs/Xserver/hw/xfree86/drivers/ati/atipreinit.c,
          programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c,
          programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
        Bug #848: Clean up gatos notice messages.

2004-07-26  Alexander Gottwald  <ago@freedesktop.org>

	* lib/Imakefile:
	* lib/windows/Imakefile:
	* lib/windows/WindowsWM-def.cpp:
	* lib/windows/WindowsWM.man:
	* lib/windows/windowswm.c:
	* lib/windows/windowswm.h:
	* lib/windows/windowswmstr.h:
	Import lib/windows from CYGWIN branch. 

2004-07-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/X11.tmpl:
	Add LINTXLIBONLY macro to match lint library dependencies
	Fix LinkHardCopyPS macro to work with Solaris make

	* config/cf/sun.cf
	Improved lint flags for the lint included with Sun compilers

2004-07-26  Alexander Gottwald  <ago@freedesktop.org>

	* config/cf/cygwin.rules:
	Bugzilla #921: link without linker definition file 

2004-07-26  Alexander Gottwald  <ago@freedesktop.org>

	* config/cf/X11.tmpl:
	Bugzilla #912: Wraps linking of name.ps -> name.PS in an extra define 
	which is empty for CaseSensitiveFileSystem == NO 
	* doc/hardcopy/XKB/Imakefile:
	Bugzilla #912: Test for CaseSensitiveFileSystem before linking 
	XKBlib.ps.gz -> XKBlib.PS.gz

2004-07-24  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/input/mouse/mouse.c: (MouseProc):
	* programs/Xserver/hw/xfree86/os-support/bsd/bsd_mouse.c:
	(wsconsPreInit):
	* programs/Xserver/hw/xfree86/os-support/xf86OSmouse.h:
	Fix a problem with wsmouse driver loosing events on 64bit 
	architectures (XFree86 Bugzilla #1438, John Heasley).
	"To fix this, I've added a mouse buffer (Xisb buffer) "scale"
	value to the  MouseDevPtr type.  If set, it is used as 
	structure size of which we want space for a few."
	
2004-07-24  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* config/cf/Imake.cf:
	* config/cf/OpenBSD.cf:
	* programs/Xserver/hw/xfree86/os-support/bsd/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bsd/i386_video.c:
	(xf86OSInitVidMem), (xf86EnableIO), (xf86DisableIO), (amd64setWC),
	(amd64undoWC):
	* programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h:
	Bugzilla #884: OpenBSD/amd64 support.

2004-07-23  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/xorg.cf:
	* programs/Xserver/hw/xfree86/drivers/via/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	- Remove unnecessary CppManTarget(via,) which produced multiple target
	  definition warnings.
	- Change the VIA DDX to tell clients to look for unichrome_dri.so, the
	  module that X.Org distributes.
	- Move the VIA DRI into DevelDRIDrivers because it is still insecure.
	  See: http://dri.sourceforge.net/IRC-logs/20040628.txt

2004-07-22  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/xorg.cf:
	* config/cf/xorgsite.def:
	* lib/GL/mesa/drivers/dri/Imakefile:
	* lib/GL/mesa/drivers/dri/unichrome/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/atiaccel.c:
	(ATIInitializeAcceleration):
	* programs/Xserver/hw/xfree86/drivers/ati/aticonfig.c:
	(ATIProcessOptions):
	* programs/Xserver/hw/xfree86/drivers/ati/aticonsole.c:
	(ATISwitchMode), (ATIEnterVT), (ATILeaveVT):
	* programs/Xserver/hw/xfree86/drivers/ati/atiload.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atiload.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atilock.c: (ATIUnlock):
	* programs/Xserver/hw/xfree86/drivers/ati/atimach64.c:
	(ATIMach64PreInit), (ATIMach64SetDPMSMode):
	* programs/Xserver/hw/xfree86/drivers/ati/atimach64accel.c:
	(ATIMach64Sync), (ATIMach64SetupForScreenToScreenCopy),
	(ATIMach64SubsequentScreenToScreenCopy),
	(ATIMach64SetupForSolidFill), (ATIMach64SubsequentSolidFillRect),
	(ATIMach64SetupForSolidLine),
	(ATIMach64SubsequentSolidHorVertLine),
	(ATIMach64SubsequentSolidBresenhamLine),
	(ATIMach64SetupForMono8x8PatternFill),
	(ATIMach64SubsequentMono8x8PatternFillRect),
	(ATIMach64SetupForScanlineCPUToScreenColorExpandFill),
	(ATIMach64SubsequentScanlineCPUToScreenColorExpandFill),
	(ATIMach64SubsequentColorExpandScanline):
	* programs/Xserver/hw/xfree86/drivers/ati/atimach64cursor.c:
	(ATIMach64LoadCursorImage):
	* programs/Xserver/hw/xfree86/drivers/ati/atimach64io.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atimisc.c: (ATISetup):
	* programs/Xserver/hw/xfree86/drivers/ati/atioption.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atioption.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atiregs.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atiscreen.c:
	(ATIMinBits), (ATIScreenInit), (ATICloseScreen):
	* programs/Xserver/hw/xfree86/drivers/ati/atistruct.h:
	- Add a new option, BuildDevelDRIDrivers, which controls whether
	  DevelDRIDrivers is non-empty.  DevelDRIDrivers contains those drivers
	  aren't built by default either due to being unusable on that
	  architecture (but buildable for testing) or due to security concerns,
	  as in the mach64 and savage cases.
	- Merge the Mach64 DDX's DRI support, under the XF86DRI_DEVEL define,
	  which is set only when BuildDevelDRIDrivers is set.
	- Fix up of the sets of DRI drivers built for various architectures.
	- Fix build of unichrome DRI driver, which is now enabled on x86.

2004-07-22  Eric Anholt  <anholt@FreeBSD.org>

	* lib/GL/GL/Imakefile:
	The i830 driver has been replaced by i915.  Update this Imakefile block
	that's very rarely used (if ever?) to avoid complaints about things
	being undefined.

2004-07-23  Alexander Gottwald  <ago@freedesktop.org>

	* programs/xphelloworld/xpxmhelloworld/Imakefile:
	* programs/xphelloworld/xpawhelloworld/Imakefile:
	Bugzilla #781: fix -lXprintUtil and -lXp references
	Removed -L$(PROJECTROOT)/lib which breaks crosscompile builds. The 
	The extra libdir was wrong and the correct one was added with
	$(MOTIFLIB)    

Thu Jul 22 20:03:11 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* programs/Xserver/fb/fbfill.c (fbFill): Call MMX solid fill
	routine when available.
	
	* programs/Xserver/fb/fbpict.c (fbComposite): Call MMX operations
	when available.

	* config/cf/xorg.cf: New HasGcc34 macro

	* programs/Xserver/fb/fbmmx.c: New file with many operations
	implemented with MMX intrinsics, conditional on having GCC 3.4 on
	i386.

2004-07-22  Alexander Gottwald  <ago@freedesktop.org>

	* programs/xphelloworld/xphelloworld/Imakefile:
	* programs/xphelloworld/xpsimplehelloworld/Imakefile:
	* programs/xphelloworld/xpxthelloworld/Imakefile:
	* programs/xplsprinters/Imakefile: 
	Bugzilla #781: fix -lXprintUtil and -lXp references
	
2004-07-21  Eric Anholt  <anholt@FreeBSD.org>

	Imported new Mesa, DRM, and DRI sources as of 20040721 and resolved
	conflicts.

2004-07-21  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	* config/cf/NetBSD.cf:
	* config/cf/linux.cf:
	Bugzilla #909: Remove HasGhostScript YES default from these .cfs, as
	it's causing build failures for users on these platforms (not available,
	or fails when processing files).

2004-07-20  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/Imake.tmpl:
	* lib/Xaw/Imakefile:
	* programs/Xserver/hw/darwin/Imakefile:
	* programs/Xserver/hw/xfree86/common/Imakefile:
	* programs/Xserver/hw/xfree86/xf86config/Imakefile:
	* programs/fonttosfnt/Imakefile:
	* programs/proxymngr/Imakefile:
	* programs/twm/Imakefile:
	* programs/xmh/Imakefile:
	* programs/xterm/Imakefile:
	Remove the VENDOR_DEFINES from ALLDEFINES, as the quoting on
	VENDOR_DEFINES was breaking some old imake software, and it really
	doesn't seem like an appropriate define for all imake-using software.
	Instead, add it to the DEFINES of those pieces that need it.

2004-07-19 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/X11.tmpl
        * xc/doc/man/misc/Imakefile 
        Bugzilla #899: Fixing Solaris builds bustage caused by the checkin
        in bug #891.

Tue Jul 20 19:38:06 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* lib/X11/omGeneric.c (parse_fontdata): Set font_data->xlfd_data
	to NULL after XFree(). (#837, patch from Daniel Berrange).

Tue Jul 20 18:23:32 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* config/cf/linux.cf: Use /dev/urandom on Linux.(#761).

2004-07-20 Alexander Gottwald <ago@freedesktop.org>

	* xc/programs/Xserver/xdmcp.c (get_addr_by_name):
    Bugzilla #889: Bind -from address to port number 0 instead of 177
    
2004-07-19 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/attributes.c
        Bugzilla #893: Fixing the bug that Xprt did not honor ${LC_ALL}
        when looking for model-config dirs.

2004-07-19 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/X11.tmpl
        * xc/doc/hardcopy/Imakefile
        * xc/doc/hardcopy/XPRINT/Imakefile
        Bugzilla #891: Fixing some installation problems with hardcopy
        dirs.
        
2004-07-18  Rik Faith  <faith(at)freedesktop.org>

	* programs/Xserver/hw/dmx/dmxextension.c:
	(dmxAdjustCursorBoundaries):
	Addition of console input after removal of core backend input that
	is not on screen 0 can cause a segfault.  Fix by preventing
	reinitialization of detached inputs.
	* programs/Xserver/hw/dmx/dmxgcops.c: (dmxFindAlternatePixmap),
	(dmxGetImage):
	When Xinerama is active and screen 0 is detached, pixmaps for
	XGetImage must be obtained from another screen.
	
2004-07-18 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/Ps.h
	* xc/programs/Xserver/Xprint/ps/PsColor.c
	* xc/programs/Xserver/Xprint/ps/PsGC.c 
        Bugzilla #858: Fixing the problem that clients cannot use the
        TrueColor visual without calling |XInstallColormap();|.

2004-07-17  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	- Default to assuming that ports that can be built without the xorg
	  pieces being installed are installed before the xorg build begins.
	  #define HasStandardPorts NO can turn this behavior off.  Also fixes
	  some freetype issues related to it looking in the wrong place.
	- While here, remove some unnecessary #if nesting in threads.

2004-07-17  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	Wrap CcCmd and CplusplusCmd in #ifndef to kill lots of warnings when
	changing them in host.def (common for ccache).

2004-07-17  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/X11.tmpl:
	Be sure to set the DmxLibrary-related defines to NO if BuildDmxLibrary
	is NO.  Kills a lot of preprocessor warnings.

2004-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/lib/xtrans/Xtrans.c:
	Fix typo in debug message in MakeAllCLTSServerListeners
	* xc/programs/Xserver/os/Imakefile:
	Add $(GETPEER_DEFINES) to DEPEND_DEFINES for makedepend
	* xc/programs/Xserver/os/access.c:
	* xc/doc/specs/SIAddresses/localuser.txt:
	Add "localuser" and "localgroup" access types to server-interpreted
	authentication scheme.
	
2004-07-15  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineRestore):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONAccelInit):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RADEONInit3DEngineForRender):
	* programs/Xserver/hw/xfree86/drivers/via/via_memory.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_priv.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_tuner.c:
	Bugzilla #803,804: Fix build in the !XF86DRI case after DRI and
	Radeon Render acceleration merges.

2004-07-12 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/sun.cf
        Bugzilla #862: Solaris performance improvements using some
        "magic" compiler flags (-zlazyload -zcombreloc -xstrconst -xildoff
        etc.)

2004-07-12 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/etc/init.d/Imakefile
        Bugzilla #776: (Work-in-progress) Adding glue to setup
        links for /etc/init.d/ scripts in Linux.

2004-07-12 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/config/cf/linux.cf
        Bugzilla #824: Build fix for SuSE Linux

2004-07-07  Eric Anholt  <anholt@FreeBSD.org>

	* Imakefile:
	Bugzilla #478: Install xrender.pc (required by xcursor.pc).

2004-07-07  Rik Faith  <faith(at)freedesktop.org>

	* programs/Xserver/hw/dmx/dmxinit.c:
	* programs/Xserver/hw/dmx/glxProxy/glxsingle.c:
	* programs/Xserver/hw/dmx/glxProxy/glxvendor.c:
	* programs/Xserver/hw/dmx/input/Imakefile:
	* programs/Xserver/hw/dmx/input/dmxinputinit.c:
	* programs/Xserver/hw/dmx/input/dmxsigio.c:
	Bugzilla #817: Enable build under Solaris
	(Thanks to Alan Coopersmith)

2004-07-06  Kevin E. Martin <kem(at)freedesktop.org>

	* config/cf/README:
	* config/cf/X11.tmpl:
	* config/cf/linux.cf:
	* config/cf/xf86site.def:
	* config/cf/xfree86.cf:
	* config/cf/xorg.cf:
	* config/cf/xorgsite.def:
	* include/extensions/Imakefile:
	* programs/Xserver/Imakefile:
	Disable building DMX on OSs that have not been verified to build
	correctly (Kevin Martin).

	* programs/Xserver/Xext/dmx.c: (ProcDMXChangeScreensAttributes),
	(ProcDMXChangeDesktopAttributes):
	* programs/Xserver/hw/dmx/Imakefile:
	* programs/Xserver/hw/dmx/dmxcb.c: (dmxConnectionBlockCallback):
	* programs/Xserver/hw/dmx/dmxextension.c:
	(dmxConfigureScreenWindow):
	* programs/Xserver/hw/dmx/dmxinit.c: (InitOutput):
	* programs/Xserver/hw/dmx/glxProxy/glxcmds.c: (MakeCurrent),
	(CreateGLXPixmap), (__glXDoSwapBuffers):
	Fix DMX build when Xinerama is not enabled (Kevin Martin).

2004-07-06  Egbert Eich <eich(at)freedesktop.org>

	* extras/Mesa/src/mesa/drivers/dri/i915/intel_context.h:
	* extras/Mesa/src/mesa/drivers/dri/i915/intel_tris.c:
	ifdef'ed some IA32-only assembler statements. Presently these
	chipsets are IA32 only, anyway (Egbert Eich).

	* programs/Xserver/hw/xfree86/common/xf86Bus.c: (CheckGenericGA):
	* programs/Xserver/hw/xfree86/os-support/bus/ia64Pci.c:
	(ia64ScanPCIWrapper):
	Disabling generic VGA testing for IA64 architectures.
	Temporarily disabling support for ZX1 bus. This code is extremely
	invasive and is executed as fallback without testing for a ZX1
	chipset. It brings a SGI Altrix to a grinding halt. (Egbert Eich).

2004-07-06  Egbert Eich  <eich(at)freedesktop.org>

	* config/cf/xorg.cf:
	Separated Intel drivers from default DriDrivers to avoid building
	them on IA64 (Egbert Eich).
	
	* lib/Xdmcp/Wrap.h:
	Fixed wrong function prototype (Egbert Eich).
	
	* programs/Xserver/hw/xfree86/common/xf86Bus.c: (CheckGenericGA):
	Don't test for generic VGA on IA64 (Egbert Eich).
	
	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	Fixed a segfault when accessing a structure before verifying the
	pointer exists (Egbert Eich).
	
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig), (RADEONDoAdjustFrame):
	Added a showcache option for debugging (Egbert Eich).

	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c:
	(I810PreInit), (I810SwitchMode):
	Increase default video RAM size to 16MB when DRI is enabled and
	more than 128MB are available (Egbert Eich).
	Fixed lockups during mode switch. Problem was introduced when 
	attempting to copy the behavior during LeaveVT()/EnterVT() but
	but forgetting to call I810DRILeave() before I810DRIEnter().
	The entire DRILeave()/Enter() scenario has been commented out
	as it didn't seem to be necessary (Egbert Eich).
	
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c:
	(TweakMemorySize), (I830BIOSPreInit), (I830BIOSScreenInit),
	(I830BIOSEnterVT):
	Fix TweakMemorySize() (tested with i855/i865) (Egbert Eich).
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	increased MAX_DEVICES to 128 (Egbert Eich).

	* programs/Xserver/hw/xfree86/common/xf86Globals.c:
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	* programs/Xserver/hw/xfree86/os-support/bus/ix86Pci.c:
	(ix86PciSelectCfgmech):
	Use OS provided PCI config space access as default method
	(Egbert Eich).
	
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	(linuxPciOpenFile):
	Added support for Linux 2.6 proc file format.
	
	* programs/Xserver/hw/xfree86/vbe/vbe.c: (VBEExtendedInit),
	(VBEGetVBEInfo):
	Fixed unaligned accesses to pieces of the VBE info block.
	VESA did not align elements to size (Egbert Eich).
	
2004-07-06  Alexander Gottwald  <ago@freedesktop.org>

	* programs/xcalc/math.c: (bkspf)
	Bugzilla #665: bugs in xcalc -rpn mode
	decimal_point is a const char* not char. the patch uses strcmp instead 
	of plain char == char operator and allows decimal_point to be of any 
	length.
	localeconv() is only called if X_LOCALE is _not_ defined

2004-07-05  Eric Anholt  <anholt@FreeBSD.org>

	* programs/xdm/socket.c: (CreateWellKnownSockets):
	XFree86 bugzilla #1376: xdm opens random tcp sockets
	
	"Even when DisplayManager.requestPort is set to 0, xdm will open a
	chooserFd tcp socket on all interfaces. This apparently cannot be
	disabled by configuration and presents a possible security risk. Older
	versions of xdm/socket.c appear to have checked and aborted if
	request_port == 0, but the current one does not..."

2004-07-04  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/dmx/Imakefile:
	Can't have tabs starting lines not associated with a target.

2004-07-04  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	* config/cf/NetBSD.cf:
	* config/cf/X11.tmpl:
	* config/cf/host.def:
	* config/cf/linux.cf:
	* lib/dpstk/Imakefile:
	* programs/xphelloworld/xpawhelloworld/Imakefile:
	* programs/xphelloworld/xpxmhelloworld/Imakefile:
	Bugzilla #757: Remove incorrect HasMotif YES defaults for linux and
	BSDs.  Also fix Motif imake goop to handle motif not being in /usr/X11R6
	better.

2004-07-03  Eric Anholt  <anholt@FreeBSD.org>

	* include/extensions/render.h:
	Bugzilla #635: Correct the definition of CPLastBit to account for
	ComponentAlpha, which may fix behavior of the server's
	SetPictureToDefaults.

2004-07-01 Alexander Gottwald <ago@freedesktop.org>
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_vtbl.c:
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_vtbl.c:
	#Bug 802: C variable declaration fix for old gcc in i915 code
    
2004-06-29 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Imakefile
        * xc/programs/Xserver/Xprint/Xprint.html
        * xc/programs/Xserver/Xprint/Xprint.man
        * xc/programs/Xserver/Xprint/Xprint.sgml
        * xc/programs/xplsprinters/xplsprinters.html
        * xc/programs/xplsprinters/xplsprinters.man
        * xc/programs/xplsprinters/xplsprinters.sgml
        * xc/programs/xprehashprinterlist/Imakefile
        * xc/programs/xprehashprinterlist/xprehashprinterlist.c
        * xc/programs/xprehashprinterlist/xprehashprinterlist.html
        * xc/programs/xprehashprinterlist/xprehashprinterlist.man
        * xc/programs/xprehashprinterlist/xprehashprinterlist.sgml
        Bugzilla #810: Add small adminstration tool to rehash the list of available
        printers on demand.

2004-06-29 Alexander Gottwald <ago@freedesktop.org>
	* lib/Xaw/AllWidgets.c, lib/Xaw/sharedlib.c:
	#Bug 806: undefined reference to xawPrintShellWidgetClass in Xaw6 for 
    cygwin. Wrap references to xawPrintShellWidgetClass with #ifndef OLDXAW.

2004-06-29 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/extras/Mesa/src/mesa/main/imports.h
        Bugzilla #805: Build fix for AMD64,
        patch by Stefan Dirsch <sndirsch@suse.de>

2004-06-28  Nolan  <xorg-nolan@sigbus.net>
	* programs/Xserver/hw/xfree86/drivers/vmware/vmware.c:
	* programs/Xserver/hw/xfree86/drivers/vmware/vmware.h:
	* programs/Xserver/hw/xfree86/drivers/vmware/vmwarecurs.c:
	Send cursor hotspot through the FIFO.  This fixes host cursor.
	Allow any bpp when 8BIT_EMULATION is set.
	Save/restore the ID register.

2004-06-28  Alan Coopersmith  <alan.coopersmith@sun.com>
	* lib/GL/glx/glx_pbuffer.c:
	* lib/GL/glx/glxextensions.h:
	Add GLX_ALIAS_VOID for GLX_ALIAS of functions with return type void
	to fix builds with non-gcc compilers that refuse to let you do
	return function_that_returns_void(...)
	* programs/Xserver/hw/xfree86/os-support/shared/sigiostubs.c
	Remove includes of xf86drm.h that break non-DRI builds
	
2004-06-25 Alexander Gottwald <ago@freedesktop.org>
	* programs/Xserver/randr/randr.c:
	* programs/Xserver/randr/randrstr.h:
	#Bug 780: add RRSetScreenConfig
	* programs/Xserver/os/access.c:
	#Bug 784: Ignore unconfigured interfaces with xdmcp
	* config/cf/X11.tmpl programs/Imakefile:
	#Bug 785: make build of xterm configurable
	* include/Xpoll.h:
	#Bug 786: make XFD_* macros respect FD_SETSIZE

2004-06-24 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/XpConfig/C/print/attributes/document
        * xc/programs/Xserver/XpConfig/C/print/models/Imakefile
        * xc/programs/Xserver/XpConfig/C/print/models/CANONC3200-PS/Imakefile
        * xc/programs/Xserver/XpConfig/C/print/models/CANONC3200-PS/model-config
        * xc/programs/Xserver/XpConfig/C/print/models/CANONC3200-PS/fonts/Imakefile
        Bugzilla #791: Adding special support for Canon C3200N

2004-06-24 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/Init.c
        * xc/programs/Xserver/Xprint/spooler.c
        Bugzilla #660: Fix for the issue that GetPrinterList does not
        return printer descriptions on Solaris.
        The patch implements a framework which allows
        the printer enumerator scripts to pass additional printer
        attributes to the information pool (currently only
        "xp-printerattr.descriptor" is implemented).

2004-06-22 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/attributes.c
        Bugzilla #789: Workaround for the issue that Xprt may hang when
        the CUPS spooler frontend sends messages to stdout.

2004-06-21 Alexander Gottwald <ago@freedesktop.org>
	* xc/programs/Xserver/Imakefile:
	* xc/programs/Xserver/GL/Imakefile:
	* xc/programs/Xserver/GL/glx/Imakefile:
	* xc/extras/Mesa/include/GL/gl.h:
	* xc/extras/Mesa/include/GL/internal/glcore.h:
	* xc/lib/GL/glx/glxext.c:
	* xc/programs/Xserver/GL/glx/single2.c:
	#Bug 782: Merge native OpenGL for Windows from CYGWIN branch
	* xc/programs/Xserver/hw/xwin:
	* xc/config/cf/cygwin.cf:
	* xc/config/cf/cygwin.tmpl:
	* xc/config/cf/cygwin.rules:
	#Bug 777: Merge from CYGWIN branch
	* xc/programs/Xserver/include/dix.h:
	* xc/programs/Xserver/dix/dispatch.c:
	* xc/programs/Xserver/hw/vfb/InitOutput.c:
	* xc/programs/Xserver/hw/xnest/Init.c:
	* xc/programs/Xserver/Xprint/ddxInit.c:
	#Bug 778: add ddxBeforeReset
	* xc/programs/Xserver/fb/fb.h:
	* xc/programs/Xserver/miext/rootless/Imakefile:
	* xc/programs/Xserver/miext/rootless/rootlessConfig.h:
	#Bug 783: rootless patches for cygwin
	* xc/programs/glxgears/Imakefile:
	* xc/programs/xedit/Imakefile:
	* xc/programs/xlogo/Imakefile:
	* xc/programs/xman/Imakefile:
	* xc/programs/xmore/Imakefile:
	#Bug 781: Fix -lXprintUtil and -lXp references

2004-06-20 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/XpConfig/C/print/attributes/document
        Bugzilla #772: Switch default resolution from 300DPI to 600DPI.

2004-06-19  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineRestore):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c:
	(RADEONAccelInit):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	(RADEONEnterServer):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig), (RADEONBlockHandler), (RADEONScreenInit),
	(RADEONRestorePLLRegisters), (RADEONCloseScreen):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c:
	(RadeonGetTextureFormat), (F_TO_DW), (ATILog2),
	(RADEONInit3DEngineForRender), (RemoveLinear), (RenderCallback),
	(AllocateLinear), (RadeonInit3DEngine), (R100SetupTexture),
	(R100SetupForCPUToScreenAlphaTexture),
	(R100SetupForCPUToScreenTexture),
	(R100SubsequentCPUToScreenTexture), (R200SetupTexture),
	(R200SetupForCPUToScreenAlphaTexture),
	(R200SetupForCPUToScreenTexture),
	(R200SubsequentCPUToScreenTexture):
	Bug #748:
	- Add Render acceleration for Radeon 100 and 200-series cards, enabled
	by default.  Notable performance gains include 27fps in cairogears
	instead of 6fps (compared to 50 with glitz), and my disks are now the
	bottleneck in an ls -lR in gnome-terminal.  Only supported in DRI mode
	because the MMIO submission hangs the card so far, but the code is left
	in because it may be supportable soon.
	- Add xorg.conf options to disable Render acceleration and to force the
	subpixel order in the server (Hui Yu).

2004-06-19 Roland Mainz <roland.mainz@nrubsig.org>
        * xc/programs/Xserver/Xprint/etc/Xsession.d/Imakefile
        Bugzilla #765: Rename "92xprint-xpserverlist" to "92xprint-xpserverlist.sh"
        to match the new RedHat policy for X11 session startup files.

2004-06-19 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
	* xc/programs/Xserver/os/utils.c
        Bugzilla #764: Rework previous solution and make Xprt to default
        to "-noreset" (the default of Solaris's version of Xprt)
        and add a "-reset" option which can be used to restore the
        default behaviour on demand.

2004-06-19 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
        Bugzilla #764: Start Xprt with option "-noreset" to get rid
        of the problem that Xprt resets itself aftert each client
        disconnect when there is only one client and no dtpdmd.
        This solves at least the following problems:
        - Font paths set after Xprt startup via "xset +fp ..." get lost
        - Resources stored in the Xserver get lost
        - Displaying a print dialog is awfully slow

2004-06-17  Thomas Winischhofer  <thomas@winischhofer.net>

	* programs/Xserver/hw/xfree86/drivers/sis/300vtbl.h:
	* programs/Xserver/hw/xfree86/drivers/sis/310vtbl.h:
	* programs/Xserver/hw/xfree86/drivers/sis/init.c:
	* programs/Xserver/hw/xfree86/drivers/sis/init.h:
	* programs/Xserver/hw/xfree86/drivers/sis/init301.c:
	* programs/Xserver/hw/xfree86/drivers/sis/init301.h:
	* programs/Xserver/hw/xfree86/drivers/sis/initdef.h:
	* programs/Xserver/hw/xfree86/drivers/sis/oem300.h:
	* programs/Xserver/hw/xfree86/drivers/sis/oem310.h:
	* programs/Xserver/hw/xfree86/drivers/sis/osdef.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis.man:
	* programs/Xserver/hw/xfree86/drivers/sis/sis300_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis300_accel.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis310_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis310_accel.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis6326_video.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_accel.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_common.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_cursor.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_cursor.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_dac.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_dac.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_dga.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_dri.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_dri.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_driver.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_opt.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_regs.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_setup.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_shadow.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_shadow.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_vb.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_vb.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_vga.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_video.c:
	* programs/Xserver/hw/xfree86/drivers/sis/vgatypes.h:
	* programs/Xserver/hw/xfree86/drivers/sis/vstruct.h:
	Fix some 1400x1050 and 1600x1200 LCD panel modes
	Fix Xv code (linebuffer size, minimum overlay size)
	Add video blitter as second Xv adaptor (M650/651 and later)
	Fix 1024x600 LCD panel support
	Add hotplug support (including LCD)
	Fix support for 661/741/760 (many changes)
	Add support for many modes previously not supported for LCD
	Add preliminary support for 340
	
2004-06-16  Eric Anholt  <anholt@FreeBSD.org>

	* lib/XvMC/hw/i810/I810XvMC.c: (XvMCCreateContext),
	(XvMCDestroyContext):
	* lib/XvMC/hw/i810/I810XvMC.h:
	* lib/XvMC/hw/i810/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/i810/Imakefile:
	Mop-up from the DRI 20040613 import, taking care of some drm.h
	header location and type changes.

	The DRI commits were a merge from DRI-XFree86-4_3_99_12-merge to
	DRI-trunk-20040613, bringing in Mesa 6.1 and the DRM from 20040613
	as well.

	Some of the notable things this brings in, off the top of my head:
	- More OpenGL extensions
	- MergedFB for Radeon (Dualhead DRI support on these cards)
	- Many GLX fixes
	- Working SiS DRI driver
	- Major Radeon and R200 DRI driver updates
	- fbconfigs support
	- Beginnings of pbuffer support (indirect only, and only in specific
	  circumstances).

	Does not bring in the Mach64 or Savage DRI support from these updtes,
	due to security concerns that remain with these.

2004-06-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xplsprinters/xplsprinters.c
	* xc/programs/xplsprinters/xplsprinters.html
	* xc/programs/xplsprinters/xplsprinters.man
	* xc/programs/xplsprinters/xplsprinters.sgml
        Bugzilla #742: Add a "-d" option to display only the printer
        "name" and "description", avoiding the far more expensive query
        done by "-l" (which opens a connection to the print server and
        queries all printer attributes).

2004-06-12  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/doc/man/general/X.man
	Bugzilla #691: Manual page X(7) does not reference Xprt(1x), 
	xplsprinters(1x), etc.

	* xc/config/cf/Imake.rules
	Correct comment to match rule name for InstallDriverSDKObjectModule

	* xc/programs/Xserver/hw/xfree86/os-support/sunos/sun_kbd.c
	Log results of ioctls to probe keyboard type & layout
	
2004-06-12  Eric Anholt  <anholt@FreeBSD.org>

	* config/imake/imake.c: (define_os_defaults):
	Allow overriding of os version with OSREL env var on FreeBSD.
	Used in the ports cluster and cross-version testing.

2004-06-09 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
	Bugzilla #734: Add a "diag" switch to /etc/init.d/xprint
        to deliver some diagnostics information usefull for debugging
        on the customer side.

2004-06-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xedit/Xedit.ad
	* xc/programs/xman/Imakefile
	* xc/programs/xman/ScrollByL.c
	* xc/programs/xman/ScrollByL.h
	* xc/programs/xman/ScrollByLP.h
	* xc/programs/xman/Xman.ad
	* xc/programs/xman/buttons.c
	* xc/programs/xman/defs.h
	* xc/programs/xman/handler.c
	* xc/programs/xman/man.h
	* xc/programs/xman/misc.c
	* xc/programs/xman/print.c
	* xc/programs/xman/print.h
	* xc/programs/xman/search.c
	* xc/programs/xman/version.h
	* xc/programs/xmore/XMore.ad
	* xc/programs/xmore/print.c
	* xc/programs/xmore/printdialog.c
	Bugzilla #668: Add print support to xman.

2004-06-02 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
	Bugzilla #714: 'Fix' for Debian Bug#250887 ("/etc/init.d/xprint non-free") - the
        reporter does not like the "All rights reserved"-string in the file
        so lets get rid of it. License of all the Xprint sources is
        MIT/X.org anyway.

2004-05-31  Eric Anholt  <anholt@FreeBSD.org>
	* fonts/scaled/TTF/Imakefile:
	VeraIt.ttf wasn't getting installed.

2004-05-30 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xedit/Imakefile
	* xc/programs/xedit/Xedit.ad
	* xc/programs/xedit/commands.c
	* xc/programs/xedit/hook.c
	* xc/programs/xedit/ispell.c
	* xc/programs/xedit/xedit.c
	* xc/programs/xedit/xedit.h
	* xc/programs/xmore/XMore.ad
	* xc/programs/xmore/print.c
	* xc/programs/xmore/print.h
	* xc/programs/xmore/xmore.c
	Bugzilla #695: Add print support to Xedit

2004-05-30 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xmore/XMore.ad  
	* xc/programs/xmore/print.c
	* xc/programs/xmore/print.h
	* xc/programs/xmore/printdialog.c
	* xc/programs/xmore/printdialog.h
	* xc/programs/xmore/xmore.c
	* xc/programs/xmore/xmore.h
	Bugzilla #693: XMore and XawPrintDialog work-in-progress, fixing
        various problems and adding framework for i18n.

2004-05-29  Alan Coopersmith  <alan.coopersmith@sun.com>
	* programs/xkbcomp/rules/Imakefile:
	Bugzilla #531: missing xfree86.lst (Grzegorz DÃÂbrowski <gdx@poczta.fm>)

2004-05-29  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	* config/cf/OpenBSD.cf:
	* config/cf/OpenBSDLib.tmpl:
	* config/cf/X11.tmpl:
	* config/cf/os2.cf:
	* config/cf/os2Lib.tmpl:
	* lib/GL/GL/Imakefile:
	* lib/Imakefile:
	* lib/X11/Imakefile:
	* lib/XThrStub/Imakefile:
	* lib/XThrStub/UIThrStubs.c:
	Bugzilla #640: Eliminate the XThrStub library and clean up/fix
	threading defines on FreeBSD/OpenBSD.
	Includes removal of lib/XThrStub/UIThrStubs.c after repocopy to
	xc/lib/X11.

2004-05-27  Egbert Eich  <eich@freedesktop.org>

	* programs/Xserver/GL/Imakefile:
	* programs/Xserver/Imakefile:
	Bugzilla #573: Don't build DRI when server which uses this module
	doesn't get built.
	
2004-05-26 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
	Bugzilla #456: Work around problems in RedHat's version of
        chkconfig ("chkconfig sets priorities to -1")

2004-05-26 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint
	Bugzilla #680: RFE: /etc/init.d/xprint should ensure that the CWD
        is writeable for spooler applications (this works around some
        versions of CUPS which seem to require that).

2004-05-26  Egbert Eich  <eich@freedesktop.org>

	* extras/x86emu/include/x86emu.h:
	* extras/x86emu/include/x86emu/fpu_regs.h:
	* extras/x86emu/include/x86emu/regs.h:
	* extras/x86emu/include/x86emu/types.h:
	* extras/x86emu/src/x86emu/LICENSE:
	* extras/x86emu/src/x86emu/debug.c: (x86emu_single_step):
	* extras/x86emu/src/x86emu/decode.c: (X86EMU_exec),
